<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of Gibii/Melia.

Gibii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

//define("NBCOLS",8);      //pour les classes et les comptences
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
include("../include/eleve.inc.php");
opensession("Admin",false);
$statut=$sess_statut;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=Windows-1252">
<TITLE>Caractristiques d'un lve</TITLE>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">

<script language="javascript">
function eleveestbon() { //vrifie le formulaire avant envoi
 var frm=document.form1;
 if (!frm.nom.value) {
     alert("Le champ nom est absent.");
     return false;
 }
 if (!frm.login.value) {
     alert("Le champ login est absent.");
     return false;
 }
 return true;
}

function confirmer() {
    return (confirm('Supprimer vraiment cet lve ?'));
}

</script>
</HEAD>

<BODY class="arialadmin">
<?php
//entre avec id en paramtre avec l'URL
//id=0 : nouvel lve, tous les champs sont vides
//id>0 : lve existant  modifier ventuellement (ELEVE_ID=$id)
if (!isset($id)) {
    print "</body></html>";
    exit(); //cas du premier affichage de la page
}

connecte($host,$user,$mdp,$db);
$sql="SELECT * FROM eleves WHERE eleve_id=$id;";
$result=query ($sql);
$row=mysql_fetch_array($result);
$nomquot=stripslashes($row["nom"]);
$prenomquot=stripslashes($row["prenom"]);

//Trouver le login
$sqlogin="SELECT * FROM comptes WHERE eleve_id=$id;";
$reslogin=query($sqlogin);
$rowlogin=mysql_fetch_array($reslogin);
$loginquot=stripslashes($rowlogin["login"]);


//trouver tous les DIVCOD
$sqlclasses="SELECT * FROM classes WHERE etab_id=$etab_id ORDER BY divcod;";
$resultclasses=query ($sqlclasses);

//trouver toutes les langues
$res=query("SELECT disc_id,libelle FROM disciplines ORDER BY libelle");
while (list($disc_id,$libelle)=mysql_fetch_array($res)) {
        $tablang[$disc_id]=$libelle;
}

//trouver les langues de l'lve
$lv=array(); //si nouvel lve ($id=0) ce tableau restera vide
$res=query("SELECT rang,disc_id FROM lien_eleves_disciplines WHERE eleve_id=$id");
while (list($r,$d)=mysql_fetch_array($res)) {
      $lv[$r]=$d;
}


//Mettre "selected" dans l'lment du tableau $civ correspondant  l'option slectionne
$civ=array("M."=>"","Mme"=>"","Mlle"=>"");
$civ[$row["civil"]]="selected";



print "\n<form name='form1' method='post' action='eleves_traiter.php?id=$id'
          onsubmit='return eleveestbon();'>";
?>

<table border = "0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td width="40%">
        <?php
          if (isset($eleve_id))
              echo "<font color=\"navy\" size=\"1\">Id n ".$row['eleve_id'].
                   "</font>\n";
        ?>
        <br /><br />
        </td>
        <td width="40%">&nbsp;</td>
    </tr>
    <tr>
        <td width="40%">
        <p><input type="text" name="nom" size=25 value="<?php echo $nomquot; ?>"> Nom </p>
        </td>
        <td width="40%">
        <p><input type="text" name="prenom" size="20" value="<?php echo $prenomquot; ?>"> Pr&eacute;nom</p>
        </td>
    </tr>
    <tr>
        <td width="40%">
        <p> <br />
        <select name=civilite>
                <option value="M." <?php echo $civ["M."] ?>> M.</option>
                <option value="Mme" <?php echo $civ["Mme"] ?>> Mme</option>
                <option value="Mlle"<?php echo $civ["Mlle"] ?>> Mlle</option>
        </select>
        </p>
        </td>
        <td width="40%">
        <p><br />
        <select name="newclasse_id" size="1">
            <?php
             //l'option slectionne se retrouvera dans $newclasse_id
             //afficher les classes dans une combo-box, avec la classe de l'lve slectionne
             while ($rowclasses=mysql_fetch_array($resultclasses)) {
                  $classeact=$rowclasses["classe_id"];
                  $selected=($classeact==$row["classe_id"]) ? "selected" : "";
                  //if ($selected) echo
                  print "<option $selected value='$classeact'>";
                  print $rowclasses["divcod"].
                        "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;". //pour largir la combo-box
                        "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
                  print "</option>\n";
              }
             mysql_free_result($resultclasses);
            ?>
        </select> Classe
        </p>
        </td>
    </tr>
    <tr>
        <td width="40%">
         <p><br /><input type="text" name="login" value="<?php echo $loginquot; ?>"> Login de base</p>
        </td>
        <td width="40%">
        <p><br /><input type="text" name="dnaiss" size="20" value='<?php echo $row["dnaiss"]; ?>'> Date de naissance </p>
        </td>

    </tr>
    <tr>
        <td width="40%">
         <p><br /><input type="checkbox" name="mdpinit"> Rinitialiser le mot de passe (d. de naiss.)</p>
        </td>
        <td width="40%">
        <p> <br /> </td></tr></table>
         <br />
         <?php
  //Affichage des langues vivantes  rserver pour Melia
  if ($MODULE=="Melia") {
?>
         <center><table border="0">
         <tr><td>
          <p align=center class="rubrique">Langues vivantes : </p><td height="40"></td></td></tr>
         <tr>
         <td>
        <?php
        for ($r=1; $r<=3; $r++) {
            if (isset($lv[$r])) $langue=$lv[$r]; //langue pratique en position $r
            else $langue=-1;
            print "<select name=\"combolangue[$r]\" size=\"1\" >\n";
            //remplir les combo
            if ($langue==-1) $selected="selected=\"selected\"";
            else $selected="";
            print "<option value=\"-1\" $selected>";  //valeur vide
            print "</option>\n";
            for ($ilangue=0; $ilangue<count($tablang); $ilangue++) {
                if ($ilangue==$langue) $selected="selected=\"selected\"";
                else $selected="";
                print "<option value=\"$ilangue\" $selected>";
                print $tablang[$ilangue];
                print "</option>";
            }
            print "</select>\n&nbsp;&nbsp;";
            //print_r($tablang);
        }
        ?>
           </p>
        </td>

    </tr>

 </table></center>

 <?php
  //Fin affichage tableau des langues vivantes pour Melia
  }
?>


<input type='hidden' name='oldclasse_id' value='<?php echo $row["classe_id"]; ?>'>
<input type='hidden' name='oldlogin' value='<?php echo $loginquot; ?>'>
<table border="0" align=center><tr><td>
<input type="submit" class="coul"  name="enregistrer" value="Envoi des modifications">
<input type="reset" class="coul" name="Annuler" value="Annuler">
<input type="submit" class="coul"  name="supprimer" value="Supprimer la fiche" onclick="return confirmer();">
</td></tr></table>
</form>

<?php



if (isset($id) && $id) {
    print "<hr />lve n $id<br>";
    $resdem=query("SELECT message_id,item_id, disc_id FROM demandes
                   WHERE  eleve_id=$id
                     and  TO_DAYS(CURDATE())-TO_DAYS(date)<=$etab_nbj_vie_demande
                   ORDER BY date DESC");



    $compte=0;
    $liste1='';
    $liste=array();
    while (list($message_id,$item_id,$disc)=mysql_fetch_array($resdem)) {
       if (!itemacquis($id,$item_id,$disc)) {
           if ($disc==-1) $liste1.=$item_id.', ';
           else {
               if (!isset($liste[$disc])) $liste[$disc]='';
               $liste[$disc].=$item_id.',';
           }
           $compte++;
       }
    }
    $pluriel=($compte>1)? "s":"";
    printf ("Item%s demand%s : ",$pluriel,$pluriel);

    if ($liste1)         //GiBii
        print $liste1;
    else {                   //Melia
        $lvchoix=getlvchoix($id);
        print '<br>';
        for ($r=1; $r<count($lvchoix); $r++) {
             $langue=$lvchoix[$r];
             $liblangue=getlangue($langue);
             if (!empty($liste[$langue]))
                 print "&nbsp;&nbsp;&nbsp;&nbsp;$liblangue -> ".substr($liste[$langue],0,-1).'<br>';
        }

    }
    if (!$compte) print "[aucun].";
    print "<br>";
}

?>

</BODY>
</HTML>