<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
****************************************************************************/
include("../include/vars_adm.php");
include("../include/get.inc.php");
include("../include/util.inc.php");
include("../include/utiljs.php");
opensession('Admin',false);

$tabsession=_session();
$old_max_refus=$tabsession['etab_nb_max_refus'];
$old_nbj_vie_demande=$tabsession['etab_nbj_vie_demande'];
$old_nb_validations=$tabsession['etab_nb_validations'];

$source=_get('source');
if (strpos($source, "?")>0) $source=substr($source,0,strpos($source,"?"));
switch ($source) {
    case "options"   :
         //deuxime passage : traitement du formulaire
         //$style sera celui envoy par les cas ci-dessous
         //recuprequest() donne priorit aux variables GET et POST sur celles
         //de session. C'est essentiel pour le 2e passage o les variables
         //de session auraient cras les variables POST engranges dans le
         //formulaire (ce qu'a fait opensession).
         recuprequest(); //rtablit la priorit au POST
         break;
    case "admin_bas" :
         $style="arialadmin";
         //premier passage : on mmorise les 2 scripts suivants
         //les 2 points d'interrogation '?' sont normaux ! Il y a 2 niveaux de paramtres
         $cible1="options.php?source=options&cible2=../admin/admin_ut.php&style=".$style."&etab_id=".$etab_id;
         break;
    default: print "Vous n'tes pas autoris  accder directement  cette page.";
             exit(); //entre anormale
}

if (!isset($cible2)) {  //premier passage : on affiche le formulaire
    include("../admin/options.form.php");
}
else {
    //traitement du formulaire
    //========================
    connexion("$db");
    if (isset($btn_sauver)) {
       //Mise  la norme des boolens
       $etab_alert_message_vide=bool($etab_alert_message_vide);
       $etab_mdp_eleve=bool($etab_mdp_eleve);
       $etab_mdp_prof=bool($etab_mdp_prof);
       $etab_fiche_profs=bool($etab_fiche_profs);
       $etab_stats_profs=bool($etab_stats_profs);
       $etab_pop_profs=bool($etab_pop_profs);
       //Garder ce param pour sadmin...
       //$modifs_items_etab=bool($modifs_items_etab);
       $etab_valid_profs=bool($etab_valid_profs);
       $etab_result_profs=bool($etab_result_profs);

       //quelques addslashes...
       $etab_nom=addslashes($etab_nom);
       $etab_adresse=addslashes($etab_adresse);
       $etab_ville=addslashes($etab_ville);

       //sauvegarder des paramtres dans la table _Etablissement
       $sqlsauve="UPDATE etablissements
                  SET nom='$etab_nom',
                  adresse='$etab_adresse', codepostal='$etab_codepostal',
                  ville='$etab_ville', theme='$etab_theme',
                  niveau='$etab_niveau', nb_validations=$etab_nb_validations,
                  nbj_vie_demande=$etab_nbj_vie_demande, nb_max_demandes=$etab_nb_max_demandes,
                  nb_max_refus=$etab_nb_max_refus,
                  modele_login_e='$etab_modele_login_e',
                  modele_login_p='$etab_modele_login_p',
                  alert_message_vide=$etab_alert_message_vide,
                  mdp_eleve=$etab_mdp_eleve, mdp_prof=$etab_mdp_prof,
                  fiche_profs=$etab_fiche_profs, stats_profs=$etab_stats_profs,
                  pop_profs=$etab_pop_profs,
                  valid_profs=$etab_valid_profs, result_profs=$etab_result_profs
                  WHERE etab_id=$etab_id ;";
       query($sqlsauve);

       //Corriger les demandes en cours en cas de changement de stratgie
       $rapport="<br>";

       if (($etab_nb_max_refus!=0 && ($etab_nb_max_refus<$old_max_refus || $old_max_refus==0 )) ||
            ($etab_nbj_vie_demande<$old_nbj_vie_demande) ||
            ($etab_nb_validations<$old_nb_validations))
            $rapport=apure_demandes($etab_id,$etab_nb_validations,$etab_nbj_vie_demande,$old_nbj_vie_demande,$etab_nb_max_refus);
            elseif ($etab_nb_validations>$old_nb_validations) {
              //augmentation des nb de validations, on ajuste les rponses...
              //$rapport=abonde_reponses($etab_id,$etab_nb_validations);
            }


       //effectuer ventuellement les modifications des paramtres en mmoire
       //(utile seulement pour une provenance depuis admin -et non install)
       getparams_etab($etab_id);
       //rcupre les variables de session depuis _params et les "sessionnise"

       //on peut envoyer la pure HTML  partir de l
        print "<html><head>\n";
        print "<title>Options du B2i</title>\n";
        print "<link rel=\"stylesheet\" href=\"../themes/".$etab_theme."/b2i.css\">\n";
        print "</head>";
        print "<body class=\"".$style."\">\n";
        print "<p class=\"sous_titre\">Paramtres gnraux du B2I</p><hr>\n";
        print "<p align=\"center\">&nbsp;\n";
        print "Les nouveaux param&egrave;tres ont &eacute;t&eacute; sauvegard&eacute;s
              avec succ&egrave;s<br>";
        print $rapport;
        print "</p><form name=\"form1\" method=\"post\" action=\"$cible2\">";
        print "<p align=\"center\">";
        print "<input type=\"submit\" class=\"coul\" name=\"envoi\" value=\"Suite\">";
        print "</p></form></body></html>";
    }
    else {
        //il demande de poursuivre sans sauvegarder
        include("../include/utiljs.php");

        if (!strpos($cible2,"?")) $separ="?";
           else $separ="&";
        goto($cible2.$separ."stat=adm");
    }
} //else traitement du formulaire
?>
