<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
$statut=_request('statut');
opensession($statut,false);


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
       <title>Traitement du formulaire</title>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
</head>


<?php
include("../include/utiljs.php");

function supp_refs($id) {
query("DELETE FROM lien_profs_classes WHERE prof_id=$id;");
query("DELETE FROM lien_profs_rubriques WHERE prof_id=$id;");
//on ne supprime pas dans reponses pour ne pas brimer les lves.
}

function supprimer($id) {
supp_refs($id);
query("DELETE FROM profs WHERE prof_id=$id;");
query("DELETE FROM comptes WHERE prof_id=$id;");
}

function enregistrer($prof_id) {
//enregistre un prof :
//si le prof existait dj ($idprof!=0), c'est une modification
     //enregistre civilit, nom, prnom (table PROFS) et classes (table CLASSES)
//si c'est un nouveau ($idprof==0), c'est une cration
     //enregistre les mmes choses, en crant un PROF_ID et un compte (table COMPTES)

global $etab_id, $sess_ascol,
       $IMPOSE_CHGT_MDP;
//astuce : rcupration des variables du formulaire en local
$t=_post();
foreach ($t as $c => $v) $$c=$v;    //on dispose de toutes les variables du formulaire
//...sauf pour un trs vieux PHP. Dans ce cas, on rcupre les variables globales
if (!isset($nom)) {
    global $nom,$prenom,$civilite,$discipline,$disc_id,$login,$dnaiss,$mdpinit,$pradmin;
}
//print "discipline id = $disc_id<br>";
$nomquot=addslashes($nom);          //pour les requtes SQL
$prenomquot=addslashes($prenom);    //sinon, M'BOLO se fait jeter...
$disciplinequot=addslashes($discipline);
$loginquot=addslashes($login);
//criture dans les tables PROFS, COMPTES, prparation de LIENS_PROFS_CLASSES
$dnaiss=normerdatenaiss($dnaiss);
if ($prof_id) {
    //----------------------
    //modification d'un prof
    //----------------------
    //on rcupre l'ancien login (mthode peu fute : on aurait pu le stocker et le passer en paramtre)
    $result=query("SELECT login FROM comptes WHERE prof_id=$prof_id;");
    $row=mysql_fetch_array($result);
    $oldloginquot=$row["login"];
    $oldlogin=stripslashes($oldloginquot);
    if ($login!=$oldlogin) { // le login a t chang : maj de la table COMPTES
        //le paramtre $conn est n'importe quoi (voir remarques dans la fonction)
        $login=LoginUnique($login); //cherche le login possible avec $login
        $loginquot=addslashes($login);
        query("UPDATE comptes SET login='$loginquot' WHERE login='$oldloginquot';");
    }
    if (isset($mdpinit) && ($mdpinit=="on"))   { //demande d 'initialisation du mdp
        $passwd=md5($dnaiss);
        query("UPDATE comptes SET mdp='$passwd' WHERE login='$loginquot';");
    }
     //print_r(_post());
    if ((isset($pradmin)) &&  ($pradmin=="on")) $sqladm="1";
        else $sqladm="0";
    $sqladm=", admin=".$sqladm;

     //alert($sqladm);

    $sql="UPDATE profs ".
         "   SET nom='$nomquot', prenom='$prenomquot', civil='$civilite', ".
         "       dnaiss='$dnaiss', disc_id='$disc_id' ".$sqladm.
         " WHERE prof_id=$prof_id;";
    query($sql);



    //supprimer les anciennes rfrences (classes et comptences)
    supp_refs($prof_id);

}
else {
    //--------------------------
    //cration d'un nouveau prof
    //--------------------------
    $login=LoginUnique(($login) ? $login : $prenom[0].$nom[0]);
    $loginquot=addslashes($login);
    //on ne fabrique plus de faux GEP (a ne sert  rien pour la bascule)
    //ajouter le prof dans PROFS
    if ((isset($pradmin)) && ($pradmin=='on')) $sqladm=", admin='1' ";
        else $sqladm=", admin='0' ";

    $sql="INSERT INTO profs ".
         "   SET nom='$nomquot', prenom='$prenomquot', civil='$civilite', ".
         "       dnaiss='$dnaiss', disc_id='$disc_id', etab_id=$etab_id, ".
         "       annee='$sess_ascol' ".$sqladm.";";
    query($sql);
    $prof_id=mysql_insert_id();

    //rajouter un compte dans COMPTES
    $passwd=md5($dnaiss);
    if ($IMPOSE_CHGT_MDP) $actif=0; else $actif=1;

    $sql="INSERT INTO comptes
                 SET login      = '$loginquot',
                     mdp        = '$passwd',
                     statut     = 'Prof',
                     actif      = $actif,
                     nbsessions = 0,
                     prof_id   = $prof_id,
                     etab_id    = $etab_id";

    query($sql);
    $cpte_id=mysql_insert_id();

    //Mettre  jour l'enregistrement du prof
    $sql="UPDATE profs ".
         "   SET compte_id=$cpte_id ".
         "   WHERE prof_id=$prof_id;";
    query($sql);
}

//-----------------------------
//ajouter les nouvelles classes
//-----------------------------
if (isset($CBClasses)) $k=count($CBClasses);
    else $k=0;
for ($i=0; $i<$k; $i++) {
     $classe_id=$CBClasses[$i];
     query("INSERT INTO lien_profs_classes SET prof_id=$prof_id,classe_id=$classe_id");
}

//---------------------------------
//ajouter les nouvelles comptences
//---------------------------------
if (isset($CBCompetences)) $j=count($CBCompetences);
    else $j=0;
for ($i=0; $i<$j; $i++) {
     $rub_no=$CBCompetences[$i];
     query("INSERT INTO lien_profs_rubriques
            SET prof_id=$prof_id, rub_no=$rub_no;");
     }
}


//*******************
//Programme principal
//*******************
//On arrive ici depuis profs_form ou profs_ajout1, aprs avoir cliqu
//sur l'un des boutons de la page : enregistrer, supprimer, quitter

if ($statut=="Prof") print "<body class=\"arialprof\">";
else print "<body class=\"arialadmin\">";

if (!isset($id)) {
    echo "Le paramtre en id n'existe pas dans l'URL";
    print "</body><html>\n";
    exit();
}
connecte($host,$user,$mdp,$db);
if (isset($enregistrer)) {
    Enregistrer($id);
    $message="enregistre";
    //session_puts("disc_id");
    //alert($disc_id);
    echo "<BR>";
}
elseif (isset($supprimer)) {
    supprimer($id);
    $message="supprime";
}
//alert("avant de sortir statut=$statut");
if ($statut=="Admin") {
    refresh_frame("liste");
    alert("Fiche bien $message !");
    goto("../admin/profs_form.php?statut=Admin");
}
else {
    goto("../prof/prof_bas.php");
}
//attention : ce script est appel par admin et par prof
//l'ancre ci-dessous revient dans tous les cas  la bonne page.

?>
</body>
</html>
