<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/eleve.inc.php");

opensession("Eleve",false);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=Windows-1252">
<title>Choix de l'lve</title>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">

<script language="javascript">
function wstatus(m) {
  //affichages dans la barre de statut
  var mess='';
  switch (m) {
      case 0 : mess='Pas de rponse des professeurs...';break;
      case 1 : mess='Il n\'y a pas suffisamment de rponses positives.';break;
      case 2 : mess='Item obtenu !';break;
      case 3 : mess='Voir les rponses...';break;
      case 4 : mess='Pas demand.';break;
  }
  window.status=mess;
}

function soumettre() {
   window.document.formchoix.submit();
    return true;
}

function changeIMG(nameIMG,srcIMG) {
  if (document.images) {
      var monimg=document.images[nameIMG];
      monimg.src=srcIMG;
  }
}

function prechargeimg() {
  if (document.images) { //s'il y a des champs IMG dans le document
     var tabparams=prechargeimg.arguments;
     var tabimages=new Array();
     for (i=0; i<tabparams.length; i++) { //>
         tabimages[i]=new Image();
         tabimages[i].src="../themes/<?php echo $etab_theme; ?>/boutons/"+tabparams[i];
     }
  }
}

function compte_coches() {
    //compte le nombre d'items cochs et vrifie par rapport  ceux demands
    //alert('Dans compte_coches');
    var s=0;
    var nbcases=document.formchoix.elements.length;

    //limite est un "paramtre" pass par PHP mais qui se trouve tre
    //une constante lorsqu'on regarde le source de la page
    var limite=window.document.formchoix.lim.value;  //champ cach
    for(var i=0; i<nbcases ; i++)  //>
       if (document.formchoix.elements[i].checked) s++;
    if (s==0) {
        alert('Aucun lment n\'a t coch !');
        return false;
    }
    else {
        if (s>limite) {      //trop de coches
            if (limite<=0) { //n'a pas le droit de cocher >
               alert('Tu ne peux plus cocher d\'items pour l\'instant !');
               document.formchoix.reset();
            }
            else {           //le nombre de coches dpasse le maximum
               alert('Tu as coch '+s+' items alors que ta limite actuelle est '+limite);
            }
            return false;
        }
        else return true;    //il a coch sans dpasser le max
    }
    }

</script>
</head>
<body class="arialeleve" bgcolor="white" text="black" link="blue" vlink="purple" alink="red">
<script language="javascript">
  prechargeimg(
    'edemande.gif','odemande.gif','ndemande.gif',
    'eacquis.gif','oacquis.gif','nacquis.gif',
              'e01.gif','e02.gif',
    'e10.gif','e11.gif','e12.gif',
    'e20.gif','e21.gif','e22.gif',
              'n01.gif','n02.gif',
    'n10.gif','n11.gif','n12.gif',
    'n20.gif','n21.gif','n22.gif',
              'o01.gif','o02.gif',
    'o10.gif','o11.gif','o12.gif',
    'o20.gif','o21.gif','o22.gif'
    );
</script>

<?php

 if ($disc_id==0) {
    print "Pas de langue dfinie, demandez  votre professeur !";
     exit();
}

$eleve_id=$sess_mec_id;
print "<form name=\"formchoix\"
        method=\"post\"
        action=\"eleve_coche1.php?eleve_id=$eleve_id\">";

if (!isset($eleve_id)) die("Paramtre eleve_id absent !");
$conn  = connecte($host, $user, $mdp, $db);

switch ($etab_niveau) {
    case "niv1": $condition=" brevet_no=1 ";break;
    case "niv2": $condition=" brevet_no=2 "; break;
    case "niv3": $condition=" brevet_no=3 "; break;
    case "niv12"  : $condition=" (brevet_no=1 || brevet_no=2) "; break;
    case "niv23"  : $condition=" (brevet_no=2 || brevet_no=3) "; break;
    default: $condition="";
}
if ($condition) {
    $condition1="  and ".$condition;
    $condition2 =" where ".$condition;
}
else {
    $condition1=''; $condition2='';
}

//obtenir les rubriques du brevet $brevet_no
$resrub=query("select rubriques.*, count(*) as nbitems ".  //nb d'items/rubrique
              "from rubriques,items ".
              "where rubriques.rub_no=items.rub_no ".
              $condition1.
              "group by rubriques.rub_no ".
              "order by rubriques.rub_no;");

//obtenir les items du brevet $brevet_no
$resit =query("select * from items ".
              $condition2.
              "order by rub_no, s_rub_no;");

$reslib=query("select base from libelles,items ".
              "WHERE items.item_id=libelles.item_id ".
              $condition1.
              "order by rub_no, s_rub_no;");


//afficher la situation de l'lve par rapport  chaque item
//en mme temps, comptabilis le nombre d'items en attente
//l'lve ne pourra pas dpasser le nombre de demandes max en comptant
//les coches ET les demandes en cours

$limite=$etab_nb_max_demandes;
$idximg=0;  //numros des champs IMG

while ($rowrub=mysql_fetch_array($resrub)) {
    $nbitems=$rowrub["nbitems"];
    $num_rub=$rowrub["rub_no"];
    //Afficher rubrique et niveau correspondant

    //print "<p class='rubrique'>".$rowrub["libelle"]." (niveau : ".getnivo($num_rub).")</p>";
    print "<p class='rubrique'>".$rowrub["libelle"];
    if ($MODULE=="GiBii") print " (niveau : ".getnivo($num_rub).").";
    print "</p>";
    print "<table  border=0 width='100%'>\n";
    for ($it=0 ; $it<$nbitems ; $it++) {
         $rowit=mysql_fetch_array($resit);
         $item_id=$rowit["item_id"];

         //couleur de la ligne suivant sa parit
         $cl=($it%2==0) ? "paire" : "impaire";
         print "<tr class='$cl'>\n";

         //colonne 1 : l'tat ou l'action possible sur l'item
         print "<td align='center' valign='middle' width='91' height='28'>\n";
         $nomtagimg="img".$idximg;

         $message_id=demandeactive($eleve_id,$item_id,$disc_id);
         if (itemacquis($eleve_id,$item_id,$disc_id))  {
             $nombasefic="acquis.gif";
             $typeres="a";
             $ancre="  <img name='$nomtagimg' src='../themes/".$etab_theme."/boutons/n$nombasefic' width='91' height='26' border='0' alt='Item obtenu'>\n";
             $mouseover=" onmouseover=\"changeIMG('$nomtagimg','../themes/".$etab_theme."/boutons/o$nombasefic');wstatus(2);\" \n";
             $mousedown=" onmousedown=\"changeIMG('$nomtagimg','../themes/".$etab_theme."/boutons/e$nombasefic');wstatus(3);\" \n";
             $mouseout =" onmouseout =\"changeIMG('$nomtagimg','../themes/".$etab_theme."/boutons/n$nombasefic');wstatus(-1);\" \n";
             $typebouton=true;
         }
         else {
             if ($message_id) { //il y a une demande en attente
                 $mouseover=$mousedown=$mouseout="";
                 list($nboui,$nbnon)=bilanrep($message_id);
                 if (($nboui==0) && ($nbnon==0)) {
                     $typeres="ec";
                     $limite--;
                     $nombasefic="demande.gif";
                     $ancre="  <img name='$nomtagimg' src='../themes/".$etab_theme."/boutons/n$nombasefic' width='91' height='26' border='0' alt='Demande en cours'>\n";
                     $mouseover=" onmouseover=\"changeIMG('$nomtagimg','../themes/".$etab_theme."/boutons/o$nombasefic');wstatus(0);\" \n";
                     $mousedown=" onmousedown=\"changeIMG('$nomtagimg','../themes/".$etab_theme."/boutons/e$nombasefic');wstatus(3);\" \n";
                     $mouseout =" onmouseout =\"changeIMG('$nomtagimg','../themes/".$etab_theme."/boutons/n$nombasefic');wstatus(-1);\" \n";
                 }
                 elseif ($nboui<4 && $nbnon<4) {
                     $typeres="on";
                     $limite--;
                     $nombasefic=$nboui.$nbnon.".gif";
                     $ancre="<img name='$nomtagimg' src='../themes/".$etab_theme."/boutons/n$nombasefic' width='91' height='26' border='0' alt='oui : $nboui  non : $nbnon'>\n";
                     $mouseover=" onmouseover=\"changeIMG('$nomtagimg','../themes/".$etab_theme."/boutons/o$nombasefic');wstatus(1);\" \n";
                     $mousedown=" onmousedown=\"changeIMG('$nomtagimg','../themes/".$etab_theme."/boutons/e$nombasefic');wstatus(3);\" \n";
                     $mouseout =" onmouseout =\"changeIMG('$nomtagimg','../themes/".$etab_theme."/boutons/n$nombasefic');wstatus(-1);\" \n";
                 }
                 else {                //pas d'image disponible...
                     $typeres="on";
                     $ancre="oui:$nboui<br>non:$nbnon";
                     $limite--;
                     $mouseover="";
                     $mousedown="";
                     $mouseout="";
                 }
                 $typebouton=true;
             }
             else  {
             //pas de demande ou date de la demande >30
                 $typebouton=false;
             }  //else messageid
         } //else itemacquis
         if ($typebouton) {
             print "<a href='eleve_traiter.php?message_id=$message_id".
                   "&eleve_id=$eleve_id&item_id=$item_id&typeres=$typeres' \n";
             print $mouseover;
             print $mousedown;
             print $mouseout;
             print " >\n";
             print "$ancre\n";
             print "</a>\n";
         }
         else {
             print "<input type='checkbox' name='CBItem[]' value=$item_id>\n";
         }
         print "\n\t</td>\n";
         $idximg++;

         //colonne 2 : le texte de l'item
         $rowlib=mysql_fetch_array($reslib);
         $libperso=getlibperso($etab_id, $item_id);
         if ($libperso!="")  $lib=$libperso;
            else $lib=$rowlib["base"];

         print "\n\t<td><p class='item'>\n";
         print $lib;
         print "\n\t</p></td></tr>\n";
    } //for $it=0
    print "</table>\n";
} //while rowrub
print "<input type=\"hidden\" name=\"lim\" value=\"$limite\">";
print "</form>";
?>


</body>
</html>
