<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol 
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/eleve.inc.php");
include("../include/utiljs.php");

opensession("Eleve");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
       <title>Compte rendu de la demande</title>
<base target=_top>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
</head>
<body class="arialeleve">
<?php

function traite($t,$borne,$long) {
 //$t texte  traiter
 //$borne longueur max d'un mot
 //On remplace les \n par des espaces pour pouvoir traiter : tant pis pour les potes !
 $tt="";
 $saucisson=explode(" ",strtr(trim($t),"\n"," "));
 $nb=count($saucisson);
 for ($i=0;$i<$nb;$i++) {
    $rondelle=$saucisson[$i];
    $l=strlen($rondelle);
    if ($l) {
      if ($l>$borne) $rondelle=substr($rondelle,0,$borne);
      $tt.=$rondelle.' ';
    }
 }
 return substr($tt,0,$long);
}



//on vient des botes de saisie des commentaires
//print "nombre = ".count($commentaire)."<br>";
connecte($host, $user, $mdp, $db);

$nbdemandes=count($commentaire);
$liste_attente=demandes_en_attente($eleve_id,$disc_id);
$nbattente=count($liste_attente);

if ($nbattente+$nbdemandes>$etab_nb_max_demandes) {
    $pluriel=($nbdemandes>1)? "s":"";
    alert("Hum... Le nombre maximal de demandes est $etab_nb_max_demandes,\n".
          "le nombre de demandes en cours est $nbattente\n".
          "et il n'est donc pas possible de faire $nbdemandes demande$pluriel !");
    goto("eleve_choix.php");
    print "</body></html>";
}



print "<p class='libelle_eleve'>La demande suivante a t envoye par :</p>";
print "$sess_prenom $sess_nom, classe $sess_classe, le ".date("d/m/Y");
print "\n<hr>\n";

foreach($commentaire as $item_id => $comment) {
    if (!isset($comment)) $comment="";
    //il semble que le passage par POST chappe les apostrophes...
    else $comment=traite(stripslashes($comment),20,500); //limite  combien dans la base
    
    //prendre en compte le changement de commentaire par utilisation de la flche Back
    query("DELETE FROM demandes WHERE eleve_id=$eleve_id and item_id=$item_id and disc_id=$disc_id");
    if (mysql_affected_rows()>0) alert("Le commentaire relatif  la demande de l'item $item_id \na t modifi.");
    $sql="INSERT INTO demandes ".
         "SET eleve_id=$eleve_id, item_id=$item_id, disc_id=$disc_id, ".
         "    date=NOW(), comment='".addslashes($comment)."'";
    print "<b>Item $item_id </b><br>\n";
    print "Commentaire : ";
    if (query($sql)) print $comment;
    else print "<font color='red'>la demande a chou.</font> Essayez plus tard...";
    print "\n<br><br>\n";
}
print "<form action='eleve_ut.php?$eleve_id'>\n";
print "<input  type='submit' class='coul' name='retour' value='Retour'>\n";
print "</form>\n";
?>


</body>
</html>
