<?php
#$Id: gest_eleve_items.php,v 1.38 2004/10/26 15:28:22 jmt Exp $
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol 
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/eleve.inc.php");
include("../include/pdf.inc.php");
$statut=_request('statut');
opensession($statut);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Etat du brevet de l'lve</title>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
</head>

<?php


switch ($statut) {
       case "Prof":
           echo "<BODY class='arialprof'>";
           break;
       case "Admin":
           echo "<BODY class='arialadmin'>";
           break;
       case "Gest":
           echo "<BODY class='arialgest'>";
           break;
   }

if (!isset($eleve_id)) exit();

//rcuprer l'lve
connecte($host, $user, $mdp, $db);
$sqleleve="SELECT * FROM eleves WHERE eleve_id=$eleve_id;";
$reseleve=query($sqleleve);
$roweleve=mysql_fetch_array($reseleve);


//En-tte pour impression
Print "<p class='libelle_admin'>".$etab_nom."&nbsp;&nbsp;&nbsp;&nbsp;".
                 $etab_adresse."&nbsp;&nbsp;&nbsp;&nbsp;".$etab_codepostal.
                 "&nbsp;&nbsp;".$etab_ville;
Print "<hr>";
$n=$roweleve['nom'];
$pr=$roweleve['prenom'];

print "<table width=\"95%\" border=\"0\"><tr><td><p class='nom_prenom'>".$n."  ".$pr."</p> </td>";

//Prparation page en PDF
creertousrep("$DATA/$etab_rne/diplomes/");
$fich_pdf="$DATA/$etab_rne/diplomes/etat_eleve.php";
print "<td align=\"right\"><a href='$fich_pdf' target=_blank ><img src=\"../themes/".$etab_theme."/pdf.gif\" border='0' align='bottom' alt='version PDF'></a><br>";
print "</td></tr></table>";
cree_pdf($fich_pdf);
$etab_quote=addslashes(" $etab_nom - $etab_adresse - $etab_codepostal  $etab_ville");
cree_entete_pdf($fich_pdf,"$pr  $n",$etab_quote);
$offset_pdf=1.2;

//semblable au script eleve_choix.php, sauf que le gest ne peut pas cocher.
switch ($etab_niveau) {
    case "niv1": $condition=" brevet_no=1 ";break;
    case "niv2": $condition=" brevet_no=2 "; break;
    case "niv3": $condition=" brevet_no=3 "; break;
    case "niv12"  : $condition=" (brevet_no=1 || brevet_no=2) "; break;
    case "niv23"  : $condition=" (brevet_no=2 || brevet_no=3) "; break;
    default: $condition="";
}
if ($condition) {
    $condition1="  and ".$condition;
    $condition2 =" where ".$condition;
}   else {
    $condition1="";
    $condition2="";
}


//obtenir les rubriques du brevet $brevet_no
$resrub=query("select rubriques.*, count(*) as nbitems ".  //nb d'items/rubrique
              "from rubriques,items ".
              "where rubriques.rub_no=items.rub_no ".
              $condition1.
              "group by rubriques.rub_no ".
              "order by rubriques.rub_no;");

//obtenir les items du brevet $brevet_no
$resit =query("select * from items ".
              $condition2.
              "order by rub_no, s_rub_no;");

$reslib=query("select inst from libelles,items ".
              "WHERE items.item_id=libelles.item_id ".
              $condition1.
              "order by rub_no, s_rub_no;");

//afficher la situation de l'lve par rapport  chaque item
//en mme temps, comptabiliser le nombre d'items en attente
$nivo=0;
while ($rowrub=mysql_fetch_array($resrub)) {
    $nbitems=$rowrub["nbitems"];
    $lib=$rowrub["libelle"];
    $num_rub=$rowrub["rub_no"];

    $nivo_old=$nivo; //On stocke niveau prcdent
    $nivo=getnivo($num_rub);
    $lnivo=" (niv : ".getnivo($num_rub).")";

    if (($nivo!=$nivo_old) and ($nivo_old!=0)) $saut=true;
        else $saut=false;
    ajout_rub_pdf($fich_pdf,addslashes($lib.$lnivo),$saut);
    
    print "<p class='rubrique'>".$lib.$lnivo."</p>";
    print "<table  border='1' cellspacing='0' bordercolordark='white' bordercolorlight='black' width='100%'>\n";
    for ($it=0 ; $it<$nbitems ; $it++) {
         $rowit=mysql_fetch_array($resit);
         $item_id=$rowit["item_id"];
         $res_pdf="";
         //couleur de la ligne suivant sa parit
         $cl=($it%2==0) ? "paire" : "impaire";
         print "<tr class='$cl'>\n";

         //colonne 1 : l'tat ou l'action possible sur l'item
         //rechercher dans la table resultats
         
         $reqresult=query("SELECT * from resultats ".
                                  "WHERE eleve_id=$eleve_id ".
                                  "and item_id=$item_id;");
         $rowresult=mysql_fetch_array($reqresult);
         
         print "\t<td width=\"50\" align=\"center\">";
         $message_id=demandeactive($eleve_id,$item_id);

         //On traite les demande acquise d'abord
         if ($rowresult) {
           print "acquis "; $typeres="a";
           $res_pdf="Acquis";
           $dat=substr($rowresult['date'],0,10);
           if ($dat!="0000-00-00") echo "le ".$dat."\n";
           //Si on a du dtail (demandes rponses) on les met l avec une ancre non-vide
           if ($message_id) $ancre=" "; else $ancre="";
           
          } else { //L on dtaille en regardant le bilan
          if ($message_id) { //il y a une demande en attente
             list($nboui,$nbnon)=bilanrep($message_id);
             if (($nboui==0) && ($nbnon==0)) { //pas encore de rponse
                 $ancre="";print "demand"; $typeres="ec";
                } else {   //il faut mettre du dtail
                 $ancre="<a href='gest_eleve_details.php?statut=$statut&message_id=$message_id&eleve_id=$eleve_id&item_id=$item_id'>";
                 print $ancre."oui:$nboui<br>non:$nbnon</a>\n"; $typeres="on";
                }
            } else { //pas de demande ou date> max dde vie
            $ancre="";
            print "rien";
             }
         } //Fini on a pass tous les cas
         print "\n\t</td>";
         

         //colonne 2 : le texte de l'item
         $rowlib=mysql_fetch_array($reslib);
         print "\n\t<td><p class='item'>";
         $item=$rowlib["inst"];
         print $item;
         print "\n\t</p></td></tr>";
         //On l'envoie aussi en pdf
         ajout_item_pdf($fich_pdf,$res_pdf,$item);

         if (!empty($ancre)) {
             //sous-colonne de la colonne 2 : le tableau des rponses
             print "<tr>\n";  //une seule ligne utilise dans l'ancien tableau
             print "<td>&nbsp;</td>"; //colonne 1 non utilise
             print "<td>\n";  // une table est dans la colonne 2
             affrepmessage($message_id,false);
             print "</td></tr>";
         }

    }
    print "</table>\n";
}

ferme_pdf($fich_pdf);

?>

</body>
</html>
