<?php
#D
/****************************************************************************

Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

if (!isset($pdf_inc)) {
$pdf_inc=1;

function cree_pdf($fichier) {
 //cre juste jusqu' l'objet $pdf
 $fp=fopen($fichier,"w");
 fputs ($fp,"<?php\n");
 fputs ($fp,"include('../../../include/vars_adm.php');\n");
 fputs ($fp,"include('../../../include/util.inc.php');\n");
 fputs ($fp,"include('../../../outils/fpdf.php');\n");
 fputs ($fp,"\$pdf=new FPDF('P','cm','A4'); \n");
 fputs ($fp,"\$pdf->Open();\n");
 fputs ($fp,"\$pdf->AddPage();\n");
 fclose($fp);
}

function cree_entete_pdf($fichier,$npr,$etab) {
 global $etab_rne, $DATA;
 $fp=fopen($fichier,"a");
 $aujourdhui = date("d/m/Y");
 fputs ($fp,"\$pdf->SetFillColor(233,233,233);\n");
 fputs ($fp,"\$pdf->SetFont('Arial','B',14);\n");
 fputs ($fp,"\$pdf->SetTextColor(132,0,132);\n");
 fputs ($fp,"\$w=0.6+\$pdf->GetStringWidth('$npr');\n");
 fputs ($fp,"\$pdf->Cell(\$w,1.2,'$npr',0,0,'C',1);\n");
 fputs ($fp,"\$pdf->SetFont('Times','I',10);\n");
 fputs ($fp,"\$pdf->SetTextColor(0,0,0);\n");
 fputs ($fp,"\$w=17-\$w;\n");
 fputs ($fp,"\$pdf->Cell(\$w,1.2,'$etab',0,1,'R',1);\n");
 //Recherche du logo perso de l'tab
 $chetab="$DATA/$etab_rne/images/";
 $logo=getfilepath("ministere2.jpg",$chetab,"../images/");
 $logo="../../".$logo;
 fputs ($fp,"\$pdf->Image(\"$logo\",18.5,1,2);\n");
 fputs ($fp,"\$pdf->SetFont('Times','I',10);\n");
 fputs ($fp,"\$pdf->SetTextColor(0,0,0);\n");
 fputs ($fp,"\$pdf->Cell(3.5,1.2,'$aujourdhui',0,0,'C',1);\n");
 fputs ($fp,"\$pdf->SetFont('Arial','B',12);\n");
 fputs ($fp,"\$pdf->SetTextColor(0,0,132);\n");
 fputs ($fp,"\$pdf->Cell(0,1.2,'Validation des comptences du B2i',0,1,'C');\n");
 fclose($fp);
}

function ajout_rub_pdf($fichier,$rub,$s) {
 $fp=fopen($fichier,"a");
 $h=0.6;
 //Saut de page au chgt de niveau
 if ($s)  fputs ($fp,"\$pdf->AddPage();\n");
 fputs ($fp,"\$pdf->SetFont('Times','B',11);\n");
 fputs ($fp,"\$pdf->SetTextColor(115,24,57);\n");
 fputs ($fp,"\$pdf->Cell(19,0.6,'',0,1);\n");
 fputs ($fp,"\$pdf->MultiCell(19,$h,'$rub',0,1);\n");
}

function ajout_item_pdf($fichier,$res,$item) {
 $fp=fopen($fichier,"a");
 $h=0.5;
 fputs ($fp,"\$pdf->SetFont('Times','B',10);\n");
 fputs ($fp,"\$pdf->SetTextColor(132,0,132);\n");
 fputs ($fp,"\$pdf->Cell(2,$h,'$res',1,0,'C',1);\n");

 fputs ($fp,"\$pdf->SetTextColor(0,0,132);\n");
 fputs ($fp,"\$pdf->SetFont('Times','I',9);\n");
 $t=addslashes($item);
 fputs ($fp,"\$pdf->MultiCell(16.8,$h,'$t',1,1);\n");
 fclose($fp);
}

function ferme_pdf($fichier) {
 $fp=fopen($fichier,"a");
 fputs ($fp,"\$pdf->Output();\n");
 fputs ($fp,"?>\n");  //<?
 fclose($fp);


}



} //Ne pas supprimer, fin de !isset
?>
