<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
include("../incorporation/individus.class.php");
include("../incorporation/importation.php");
include("../include/utiljs.php");
include("../include/html.class.php");
include("../incorporation/enluminures.inc.php");



function purge($elvprof) {
global $etab_id, $sess_ascol, $etab_actif;
//les disparus (ncessairement d'une anne antrieure) ne sont pas supprims
//des tables profs et eleves ni de la table comptes mais ils sont inaccessibles
//par login (leur mot de passe a t remplac par n'importe quoi).
//ils ne seront pas lists dans d'autres scripts car ils ne vrifient plus
//les critres (anne essentiellement).

//purger les tables annexes (oblig de balayer les individus)
$ancien=new $elvprof();
$existe=$ancien->findfirst("(tag=0 or tag IS NULL) and etab_id=$etab_id and annee<$sess_ascol;");
if ($existe) {
        print "<h3>Anciens ".$elvprof."s :</h3>";
    $html=new htmlcreator();
    $html->begintable();
    $html->beginrow();
    $html->entetes("civil.","id","Nom","Prnom","d. naiss","anne");
    $html->endrow();
    while ($existe) {
        print "<tr>\n";
        $html->colonnes($ancien->civil,$ancien->id,$ancien->nom,
                        $ancien->prenom,$ancien->dnaiss,$ancien->annee);
        $ancien->couperficelles(); //liens_profs_classes, liens profs_rubriques, ...
        $html->endrow();
        $existe=$ancien->findnext();
    }
    $html->endtable();
}
//revirgination de la table eleves ou profs
query("UPDATE $ancien->table SET tag=0
       WHERE etab_id=$etab_id and tag<>-1;"); //on laisse la famille TEST tranquille

//ractivation de l'tablissement
query("UPDATE etablissements SET actif=$etab_actif WHERE etab_id=$etab_id");

//pour terminer, compte des individus restants
$res=query("SELECT * FROM $ancien->table
            WHERE tag=0 and etab_id=$etab_id and annee=$sess_ascol;");
if ($elvprof=='eleve') $article="d'"; else $article="de ";
print "<p>Nombre actuel $article$ancien->table dans l'tablissement pour l'anne scolaire $sess_ascol-".($sess_ascol+1)." : ".mysql_num_rows($res)."<br />";
$res=query("SELECT * FROM $ancien->table
            WHERE tag=0 and etab_id=$etab_id and annee<$sess_ascol;");
print "Nombre $article$ancien->table d'une anne scolaire antrieure (anciens) : ".mysql_num_rows($res)."</p>";

//on s'occupe enfin de la famille TEST : changement d'anne seulement
//Eleve et Prof TEST ne sont pas comptabiliss dans les individus ci-dessus
query("UPDATE $ancien->table SET annee=$sess_ascol WHERE tag=-1");

} //fonction purge

function nettoyerclasses() {
global $etab_id;
$resclasses=query("SELECT classe_id FROM classes WHERE etab_id=$etab_id;");
while (list($classe_id)=mysql_fetch_array($resclasses)) {
    //on tient compte des disparus dont on garde la classe
    $reselv=query("SELECT nom FROM eleves WHERE classe_id=$classe_id LIMIT 1;");
    if (!mysql_num_rows($reselv)) {
        //cette classe n'a pas d'lve...
        //(ce qui peut tre normal si eleves.txt passe en dernier)
        $resprof=query("SELECT prof_id FROM lien_profs_classes
                        WHERE classe_id=$classe_id;");
        if (!mysql_num_rows($resprof))
            //cette classe n'a pas de profs non plus
            query("DELETE FROM classes WHERE classe_id=$classe_id;");
    }
}
}

function nettoyerfich() {
global $etab_id,$HIDEDATA;
$etab_rne=getrne($etab_id);
$dest="$HIDEDATA/$etab_rne/individus/";;
if ($handle=opendir($dest)) {
   while  ($fich=readdir($handle)) {
       $bout=explode(".",$fich);
       if ($bout) $ext=strtoupper($bout[count($bout)-1]);
       if ($fich !="." && $fich !=".." && ($ext=="DBF" || $ext=="TXT"))   {
          print "<br>Fichier supprim : ".$dest.$fich;
          unlink($dest.$fich);
       }
   } //fin recherche fichiers
} //if
}

//==============================================================================
opensession("Admin",false);
connecte($host,$user,$mdp,$db);

entete("Importation : phase de nettoyage des tables");
if ($incoreleves) purge('eleve');
if ($incorprofs)  purge('prof');
nettoyerclasses(); //supprime les classes sans lve
if ($purgefic==1) nettoyerfich(); //supprime tous les fichiers du rp priv
print "<p><b>L'incorporation est termine.</b></p>";

print "<span style=\"font-family:sans-serif;font-size:12pt;font-style:italic;font-weight:bold;\">";
if ($MODULE=="Melia") {
     print "<a href=\"../include/choixlangues.php?retour=".
               urlencode("../admin/admin_bas.php")."\">
               Choix des langues de l'tablissement
               </a>";
     }
else {
     print "<a href=\"../admin/admin_bas.php\">
               Retour au menu admin
               </a>";
     }

print "</span>\n";
enqueue();
?>