<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

//en variables de session :
// $inceleves contient 0 ou 1 (fichier eleves.txt  traiter)
// $incprofs  contient 0 ou 1 (fichier profs.txt  traiter)

// $fichier contient le fichier des individus de la nouvelle anne
// ce nom ayant la forme 2003_10_23_F_ELE.DBF, avec les variantes du nom
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../incorporation/individus.class.php");
include("../incorporation/importation.php");
include("../include/utiljs.php");
include("../backup/back_traiter.inc.php");
include("./enluminures.inc.php");

function proposer_backup() {
global $etab_rne,$PAS_SAUVE_LOCAL, $HIDEDATA;
print "<p><span style='font-family:sans-serif;font-size:12pt;
                       font-style:italic; font-weight: bold;'>";
//NB : quel que soit le mode de backup dfini par le sadmin, la sauvegarde
//s'effectue localement OU-EXCLUSIF sur le serveur
//si PAS_SAUVE_LOCAL, la sauvegarde s'effectue sur le serveur et une fentre
//popup va afficher le compte rendu de cette opration
//sinon, un dowload local va faire afficher automatiquement une fentre pour
//rcuprer le backup.
if ($PAS_SAUVE_LOCAL) {
    //fentre qui contiendra un compte rendu de la saugarde du backup sur le serveur
    if (@function_exists('gzencode'))
        $zip='gz';
    elseif (@function_exists('bzcompress'))
        $zip='bz2';
    else $zip='non';
    lien_popup("../backup/back_traiter.php?zip=$zip&fermewin=1",
               'Backup',
               "Sauvegarder les donnes actuelles de l'tablissement");
}
else {
    //pas de fentre du tout : le download n'en ncessite pas et a sa propre fentre
    creertousrep("$HIDEDATA/$etab_rne/backup/");
    print "<a href=\"../backup/back_traiter.php?zip=gz&fermewin=0\">
           Tlcharger la partie de la base relative  l'tablissement
           </a>";
}
print "</p><p>&nbsp;</p>";
}


//##########################################################################
//on vient avec var de sess incoreleves=0/1 et incorprofs=0/1
//les noms des fichiers sont dans fichiereleves et/ou fichierprofs
//purgefic et razmdp sont mises en session par le script prcdent (pedd)


opensession("Admin",false);
set_time_limit(0);
connecte($host,$user,$mdp,$db);
$pathimages="./images";
$texte="PATIENCE";
entete("Importation d'utilisateurs");
//print "<h2>Incorporation d'utilisateurs<hr style=\"width:100%\"></h2>\n";
//print "<br>GET=";print_r($_GET);print "<br>";
//print "<br>POST=";print_r($_POST);print "<br>";
//print "<br>SESSION=";print_r($_SESSION);print "<br>";

print "<span class='attend'> <p style=\"text-align: center\">";


print "<p style=\"text-align: center\">";
$hints=array('Allez...','...voir...','...le...','...lien...','...tout...','......','...la...','...fin !');
for ($i=0;$i<strlen($texte);$i++)
     print "<img src=\"$pathimages/".substr($texte,$i,1).".gif\"  alt=\"$hints[$i]\" border=0>\n";
print "<br><br></p>";

//2 variables sont ncessaires pour les fonctions qui suivront : $masque et $champactif
//elles sont globales mais pas en session
if ($IMPOSE_CHGT_MDP) $champactif=0; else $champactif=1;
$incertains=false;
if ($incoreleves) {
    $modele=$etab_modele_login_e;
    if (balayer_txt('eleve',$fichiereleves)) $incertains=true;
    print '<hr>';
}
if ($incorprofs) {
    $modele=$etab_modele_login_p;
    if (balayer_txt('prof',$fichierprofs)) $incertains=true;
    print '<hr>';
}
print "</span>";
if ($incertains)
        print "<h3><a name=\"bas\" href=\"incertains1.php\">Vrifier les lments incertains</a></h3>\n";
else
        print "<h3><a name=\"bas\" href=\"nettoyer.php\">Nettoyer les tables et terminer</a></h3>\n";
print "<p>&nbsp;</p>";
print "<p>&nbsp;</p>";
print "<p>&nbsp;</p>";
print "<p>&nbsp;</p>";
print "<a name=\"bas\"></a>";
enqueue();
?>