<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

//on vient la premire fois de formchoix_txt_dbf.php

require ("../include/vars_adm.php");
require ("../include/util.inc.php");
require ("../include/utiljs.php");
opensession("Admin",false);
connecte($host,$user,$mdp,$db);

//transgresse ventuellement php.ini pour ce script
ini_set('file_uploads','On');         //autorise l'upload
ini_set('upload_max_filesize','5M');  //d'au plus 5 Mo

$tlibelles  =array(1=>"Incorporer les lves (F_ELE.DBF)",
                   "Incorporer les profs (F_WIND.DBF)",
                   "Incorporer les classes des profs (F_MEN.DBF)",
                   "Incorporer les lves du fichier <b>eleves.txt</b>",
                   "Incorporer les profs du fichier <b>profs.txt</b>");
$tfichiers  =array(1=>"f_ele.dbf", "f_wind.dbf", "f_men.dbf",
                   "eleves.txt", "profs.txt");
$tnomschamps=array(1=>"f_ele","f_wind","f_men","eleves","profs");
$tvarfic    =array(1=>"fichierele","fichierwind","fichiermen",
                   "fichiereleves","fichierprofs");
$tvarincor  =array(1=>"incorele","incorwind","incormen",
                   "incoreleves","incorprofs");

foreach(array_merge($tvarfic,$tvarincor) as $var) {
    //effacer d'ventuelles variables de sessions dont les valeurs
    //perturberaient en cas de 2e excution
    unset($$var);
    //mettre en session (pour une premire excution dans la session)
    session_puts($var);
}
print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
print "<HTML><HEAD><link rel=\"stylesheet\" href=\"../themes/".$etab_theme."/b2i.css\"></HEAD>";
print "<BODY class=\"arialadmin\">";
require("../include/utiljs.php");
$PHP_SELF=_server('PHP_SELF');

if ($typefic=='txt') {
   $deb=4;$fin=5;
}
else {
    $deb=1;$fin=3;
}

if (!isset($envoific)) { //$envoific est affect sssi 2 passage
    //1 passage : formulaire avec des fichiers  fournir.

    //rcuprer les variables de POST et les mettre en session
    if (empty($purgefic)) $purgefic=0; else $purgefic=1; //changement de type ou affectation
    if (empty($razmdp))   $razmdp=0; else $razmdp=1;
    session_puts('purgefic','razmdp','typefic');
    print "<p class=\"sous_titre\" align=\"center\">Incorporation des utilisateurs : </p><hr>";
    print "<h2>Choix des fichiers : Type  $typefic</h2>";
    print "<FORM method=\"post\" action=\"$PHP_SELF\" enctype=\"multipart/form-data\">\n";

    if ($typefic=='txt') {
        //explications sur les fichiers TXT
        $aster="<span style=\"color: Red;font-weight: bold;\">*</span>";
        print "<BR><table border=\"1\"><TR class= \"paire\"><TD>";
        print "<br /><b><u>Structure des fichiers TXT </u></b><i>(voir doc annexes pour des exemples) :</i><br />\n";
        print "<br /><b>lves : </b>&nbsp;nident ; civilit ; nom$aster ; prnom ; classe$aster ; naissance ;
               login ; mdp_en_clair<sup style=\"font-size: x-small;\">(1)</sup>";
        if ($MODULE=='Melia') print "; LV1 ; LV2 ; LV3\n";
        print "<br /><br /><b>profs : </b>&nbsp;nident ; civilit ; nom$aster ; prnom ; discipline ; naissance ; login ; mdp_en_clair<sup style=\"font-size: x-small;\">(1)</sup> ; classe1 ; classe2 ; ...<br />\n";
        print "<br /><br />";
        print "<sup style=\"font-size: x-small;\">(1)</sup> la date de naissance est prise par dfaut<br />";
        print "$aster &nbsp;champ obligatoire";
        print "</td></tr></table>\n";
        print "<p>&nbsp;</p>";
        }
    $numerotage=1;
    $type="disc";
    print "<TABLE border = \"0\" class=\"file\" >\n";
    print "<UL>\n";
    for ($i=$deb; $i<=$fin; $i++) {
        print "<TR><TD><li type=\"$type\"><strong>".$numerotage++."</strong></li></TD>\n";
        print "<td width=\"300\"> - ".$tlibelles[$i]."</td>\n";
        print "<TD>&nbsp;</TD><TD>\n"; //cellule vide
        print "<input type='file' name='".$tnomschamps[$i]."'>";
        print "<input type=\"hidden\" name=\"MAX_FILE_SIZE\" VALUE=\"4000000\">";
        print "</TD></TR>";
        }   //fin for
    print "</UL>";
    print "</table>";


    echo "<p style=\"text-align:left\">";
    print "<input type=\"hidden\" name=\"test\" value=\"ok\">";
    print "<input type='submit' class='coul' name='envoific' value='Traiter les fichiers'>\n";
    echo "</p>\n";
    echo "</FORM>\n";
    }
// Deuxime passage
else {
    $erreur="";
    $copies="";
    //vider les variables de session (peut-tre affectes par un passage prcdent)
    $fichierele=$fichierwind=$fichiermen=$fichiereleves=$fichierprofs="";
    $incorele=$incorwind=$incormen=$incoreleves=$incorprofs=0;
    $alerte="";
    for ($i=$deb; $i<=$fin; $i++) {
        $libellechamp=$tnomschamps[$i];
        $infosfichier=_files($libellechamp);  //retourne un tableau
        $nom=strtolower($infosfichier['name']);
        if (empty($nom)) continue; //voir plus tard pour utilisation de copie existante
        if ($nom!=$tfichiers[$i]) {
            $alerte.="Le nom attendu est [".$tfichiers[$i]."] et non pas [$nom]. Ce fichier n'est pas pris en compte.\n";
            continue;
        }
        $type=$infosfichier['type'];
        $tmp_name=$infosfichier['tmp_name'];
        $size=$infosfichier['size'];
        if (!($tmp_name=='none' && $size==0)) {
            //fichier existe et taille < x Mo
            $dest="$HIDEDATA/$etab_rne/individus/$etab_id".'_'.date("Y_m_d_").$nom;
            if (!move_uploaded_file($tmp_name,creertousrep($dest))) {
                $alerte.="Erreur de copie de [$monfichier] vers $dest.\n";
                continue;
            }
            //affecte l'une des variables de session suivantes du nom de fichier correspondant :
            //$fichierele,$fichierwind,$fichiermen,$fichiereleves,sfichierprofs
            ${$tvarfic[$i]}=$dest;         //par ex. $fichiereleves="$HIDEDATA/.../eleves.txt"
            ${$tvarincor[$i]}=1;           //par ex. $incoreleves=1
            session_puts($tvarfic[$i],$tvarincor[$i]);//session_puts('fichiereleves','incoreleves')
        }  // if (!($tmp_name...
    } //  for


    if (!empty($alerte)) {
        alert($alerte);  //warning seulement
        goto($PHP_SELF);
        }
    if ($typefic=='dbf' && $incormen && !$incorwind) {
        alert("Impossible d'importer F_MEN.DBF seul. Il va avec F_WIND.DBF. <br />");
        goto($PHP_SELF);
        }
    if ($typefic=='txt') {
        $mdpenclair=true;
        session_puts('mdpenclair');
        goto('txt2tables.php#fin?op=');
        }
    else {
        $mdpenclair=false;
        session_puts('mdpenclair');
        goto('gep2txt.php#fingep');
        }
} //else  if (!isset(_post("bouton")))

print "</body></html>";
?>