<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************
*/

define("_ALPHA","ABCDEFGHIJKLMNOPQRSTUVWXYZ");
define("_NUM","0123456789");
define("_ALPHANUM",_ALPHA._NUM);
define("_ANSI","׃Ѫ");


function getsep($fp) {
 //recherche du sparateur
 $sep="";
 while (!feof($fp)) {
       $buffer = fgets($fp, 1024);
       if (preg_match ("/[,;\t]/",$buffer,$trouve)) {
          $sep=$trouve[0];
          break;
      }
 }
 rewind($fp);
 if (!$sep) {
     print "Le format du fichier texte ne convient pas : ";
     print "pas de sparateur (,; ou TAB).";
 }
 return $sep;
}

function ASCII2ANSI($source) {
//s'il y a des caractres OEM, les transforme.
//Si la chane est dj en ANSI, ne fait rien.
$result="";
for($i=0; $i<strlen($source) ; $i++) {
 $c=$source[$i];
 $n=ord($c);
 if (($n>127) and ($n<192))
    $c=substr(_ANSI,$n-128,1);
 $result.=$c;
}
return $result;
}

function normerdate($dnaiss) {  //ex normerdateP
$e=ereg("^([0-9]{2})(.)([0-9]{2})(.)?([0-9]{2,4})?$",$dnaiss,$r);
//print_r($r);
if ($e) {    //masque ok
    $an=$r[5];
    return $r[1]."/".$r[3];
}
else return $dnaiss;
}

function carvalide($s,&$idx,$ensemble) {
//retourne le premier caractre correct de s en dbutant  l'indice idx
//correct veut dire : appartenir  "ensemble" . Si ensemble n'est pas vide,
//le caractre est transform en minuscule et l'accent ventuel supprim
//idx est positionn sur l'indice qui suit celui trouv, pour l'appel suivant.
if ($ensemble)
    while ($idx<strlen($s) and strpos($ensemble,strtoupper($s[$idx]))===false) $
           $idx++;
else
    while ($idx<strlen($s) && $s[$idx]==' ')
           $idx++;

if ($idx<strlen($s)) return strtolower($s[$idx++]);
else return "";
}

//retourne un tableau disc_id,libelle  partir de peu de chose
//rcupr sur une ligne dans le fichier texte profs.txt
function searchdiscipline($disc) {
global $DISC_ID_DEFAULT,$DISCIPLINE_DEFAULT;
$ret=array($DISC_ID_DEFAULT,$DISCIPLINE_DEFAULT); //valeur par dfaut
$disc=trim($disc);
if (empty($disc)) return $ret;
if (is_numeric($disc)) {
    $numdisc=intval($disc);
    $res=query("SELECT disc_id,libelle FROM disciplines WHERE disc_id='$disc';");
    if ($res)
        $ret=mysql_fetch_array($res);
}
else {
    $res=query("SELECT disc_id,libelle FROM disciplines WHERE libelle like '$disc%';");
    switch (mysql_num_rows($res))  {
        case 0 :
           $res=query("SELECT disc_id,libelle FROM disciplines WHERE libelle like '%$disc%';");
           if (mysql_num_rows($res)==1) $ret=mysql_fetch_array($res);
           elseif (strlen($disc)<=8) {
               $res=query("SELECT disc_id FROM disc_gep WHERE gep_id='$disc';");
               if ($res && mysql_num_rows($res)) {
                   list($disc_id)=mysql_fetch_array($res);
                   $res=query("SELECT libelle FROM disciplines WHERE disc_id='$disc_id';");
                   $ret=mysql_fetch_array($res);
               }
           }
           break;
        case 1 :
           $ret=mysql_fetch_array($res);
           break;
    }
}
return $ret;
}

?>