<?php
#D
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
****************************************************************************/
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>Installation de GIBII</title>
<link rel="stylesheet" href="../include/general.css" />
</head>
<body class="arial_sadmin" background="../images/logorect2.gif">

<?php
$host='localhost';   //celle-ci est "impose" par Apache

function choix_base() {
global $user,$mdp,$db,$mdp_suppression;
//valeurs par dfaut
if (!isset($user)) $user='root';
if (!isset($mdp)) $mdp='';
if (!isset($db)) $db='gibii';
if (!isset($mdp_suppression)) $mdp_suppression='ok';

?>


<h2>Cration/Configuration de la base de donnes de GiBii</h2>
<hr>
<p>&nbsp;<strong><i>Assurez-vous que le compte ci-dessous permettra d'accder  la base GiBii
avec tous les droits.</i></strong></p>
<p>&nbsp;</p>
<table border="0" width="100%">
    <tr>
        <td width="10%">
            <p>&nbsp;</p>
        </td>
        <td width="70%">
            <form name="form1" method="post" onsubmit="if (this.mdp.value!=this.mdp2.value) {alert('Mots de passe diffrents !');return false;}">
                <table>
                 <tr>
                  <td><p><input type="radio" name="b2iouc2i" value="b2i" checked>Le B2i &nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name="b2iouc2i" value="c2i" >Le C2i  </p>
                  </td>
                  <td><p>Choisissez quels items doivent tre prsents </p>
                  </td>
                  </tr>
                <tr>
                  <td><hr>
                  </td>
                  <td><hr>
                  </td>
                  </tr>

                 <tr>
                  <td><p><input type="text" name="db" value="<?php print $db; ?>" size="20"></p>
                  </td>
                  <td><p>Nom de la base GiBii </p>
                  </td>
                  </tr>
                  <tr>
                  <td><p align='right'><input type='checkbox' name='CB_FAI'></p></td>
                  <td><p>Site hberg chez un FAI (1)</p>
                  </td>
                  </tr>
                 <tr>
                  <td><p><input type="text" name="user" value="<?php print $user; ?>"></p>
                  </td>
                  <td><p>Compte d'accs  la base <br /><i>(dans le cas d'un FAI, peut tre identique au nom de la base)</i></p>
                  </td>
                 <tr>
                  <td><p><input type="password" name="mdp" value="<?php print $mdp ?>"></p>
                  </td>
                  <td><p>Mot de passe de ce compte</p>
                  </td>
                 </tr>
                 <tr>
                  <td><p><input type="password" name="mdp2" value="<?php print $mdp ?>"></p>
                  </td>
                  <td><p>Confirmation de ce mot de passe</p>
                  </td>
                 </tr>
                 <tr>
                  <td><p><input type="text" name="mdp_suppression" value="<?php print $mdp_suppression ?>"></p>
                  </td>
                  <td><p>Code de confirmation requis pour supprimer un tablissement</p>
                  </td>
                 </tr>
                <tr>
                  <td><hr>
                  </td>
                  <td><hr>
                  </td>
                  </tr>

                 <tr>
                  <td>
                      <p><input type="radio" name="confident" value="1">
                         Internet
                         <br />
                         <input type="radio" name="confident" value="0">
                         Intranet</p>
                  </td>
                  <td><p>&nbsp;</p>
                      <p>Facultatif (2) : ce choix peut tre rvis et affin dans les options du menu sadmin</p>
                  </td>
                 </tr>
                  </table>
                <p><br /><input type="submit" name="envoi" value="        Envoyer        "></p>
            </form>
        </td>
        <td width="20%">
            <p>&nbsp;</p>
        </td>
    </tr>
</table>
<p>
<table>
<tr><td>(1) </td><td>Dans ce cas, le nom de la base est impos par le FAI et elle existe dj, <em>SANS les tables de GiBii</em>
<tr><td>(2) </td><td>Internet : Assure le maximum de confidentialit des donnes</td></tr>
<tr><td>&nbsp;</td><td>Intranet : Moins de confidentialit mais davantage de possibilits pour l'admin</td></tr>
</table>
</p>
<?php
}  //fin de la fonction choix_base

//PROGRAMME PRINCIPAL
//===================
// initialisation "amorce" : cration des tables et remplissage
//par scurit, la base b2i ne doit pas exister : elle est cre ici.
//ce script peut donc tre laiss en pture  tout le monde : il ne marche qu'une fois !

include ("../include/util.inc.php");   //pour recup_request()
include ("../include/scriptsql.php");
include ("../include/utiljs.php"); //ici pour viter d'envoyer du texte (var de session)


$fichiersSQL =
   array(
     '01_create.sql'      => 'cration des tables',
     '02_default.sql'     => 'paramtres globaux',
     '03_comptes.sql'     => 'cration du compte sadmin',
     '04_items.sql'       => 'items et rubriques',
     '05_disciplines.sql' => 'disciplines utilises',
     '06_gepdisc.sql'     => 'toutes les "disciplines" du gep');


//TRAITEMENT VARS_ADM (il ne peut tre inclus qu'aprs sa cration...)
//===================

if (!file_exists("../include/vars_adm.php")) {

    //Le fichier vars_adm n'existe pas, la premire chose est de le crer
    recuprequest();
    if (!isset($envoi)) { //passage 1, sans vars_adm.php
        choix_base();
        exit();
    }
    else {

        if (empty($db)) {
            alert('Nom de la base absent !');
            print "Recommencez page prcdente";
            exit();
        }
        if (empty($user)) {
            alert("Compte incorrect !");
            print "Recommencez page prcdente";
            exit();
        }
        $fp=fopen("../include/vars_adm.php","w");
        fputs($fp,"<?php \r\n");
        fputs($fp,"//Paramtres 'de base'\r\n");
        fputs($fp,"//--------------------\r\n\r\n");
        fputs($fp,"\$host='$host';\r\n");
        fputs($fp,"\$user='$user';\r\n");
        fputs($fp,"\$mdp='$mdp';\r\n");
        fputs($fp,"\$db='$db';\r\n");
        fputs($fp,"\$mdp_suppression='$mdp_suppression';\r\n");
        fputs($fp,'?'.'>');
        fclose($fp);
        //On peut intgrer maintenant
    }
}  else {
   //L le fichier vars_adm existe, on propose de refaire l'install malgr tout
   recuprequest();
   if  (!isset($envoi)) { //passage 1, avec  vars_adm.php
      include("../include/vars_adm.php");
      print "<span class='warning'><p>";
      print "Votre fichier de paramtres \"vars_adm.php\" existe dj, vous pouvez refaire une installation.</br>";
      print "Si la base indique existe dj, l'installation chouera pour viter de l'craser.";
      print "</p></span>";
      choix_base();
      unlink("../include/vars_adm.php");
      exit();
      }

   }  //Fin vars_adm




include("../include/vars_adm.php");     //S'il y est dj pas de pb

//Programme principal
//*******************
print "<img src='../images/logorect.gif' border='0'>";
print "<p>&nbsp;<br /></p>";

function tables_exist() {
 global $db;
$ret=true;
//Tables  tester
$tables=array('comptes','eleves','profs', 'demandes','reponses','etablissements');
foreach($tables as $tb) {
 $ret=table_dans_base($tb, $db);
 }
return $ret;
}

$link=@mysql_connect($host, $user, $mdp);
if (!$link) {
    print "Impossible d'accder  MySQL<br />".mysql_error();
    print "<br /><br />Pour recommencer l'installation, supprimez le fichier include/vars_adm.php<br />";
    print "... si vous avez les droits pour le faire !<br />";
    print "Sinon, contactez l'administrateur du serveur.";
    print "</body></html>\n";
    exit();
}

//On limine tous les mauvais cas
//
if (isset($CB_FAI)) {
   $db_ok=dbexists($host, $user, $mdp, $db);
   if (!$db_ok) {
       print "<h2><p>Base de donnes <em>$db</em> absente ou nom incorrect</p></h2>\n";
       print "Recommencez (Page prcdente) aprs avoir supprim le fichier include/vars_adm.php";
       print "</body></html>\n";
       exit();
      } else {
       $tt=tables_exist();
       if ($tt) {
         print "Les tables de GiBii dans la base <strong>$db</strong> existent dj.
               <br />Par scurit, l'installation ne peut pas continuer.
               <br />Contactez l'administrateur MySQL.";
         print "</body></html>\n";
         exit();
         }
      }
  } else {  //L on cre tout
    $CRcreatedb=@mysql_query("create database $db");
    //En cas d'erreur, on dgage
    if (!$CRcreatedb) {
      $erreurno=mysql_errno();
      if (mysql_errno()==1007)
        $mess="La base <strong>$db</strong> existe dj.
               <br />Pour des raisons de scurit, il n'est pas prvu de la supprimer avec GiBii !
               <br />Contactez l'administrateur MySQL.";
      else {
        $mess="Le gestionnaire de base de donnes indique l'erreur suivante :<br />";
        $mess.=mysql_error().".";
    }
    die($mess."</body></html>\n");
    }
} //Normalement on a limin tous les mauvais cas

print  "<h2><p>La base de donnes <em>$db</em> existe</p></h2>\n";


$CRselectdb=mysql_select_db($db)
            or
            die ("Incapable de slectionner la base de donnes $db.</body></html>\n");
$cheminsrv="../data/";
$errexiste=false;

//Choix du B2i ou du C2i on recopie les tables en fonction de la variable $b2iouc2i
$fpath="../data/";
$fsource="04_items_".$b2iouc2i.".sql";
copy($fpath.$fsource,$fpath."04_items.sql");

foreach ($fichiersSQL as $nomf=>$comment) {
    $erreur=array();
    $cr=SQL_execfile($cheminsrv.$nomf,$erreurs);
    if (!$cr) $errexiste=true;
    //print "Aprs $nomf, cr=$cr, ".var_dump($cr)." errexiste=$errexiste<br>";
    if ($cr) {
       print "Excution des requtes de <strong>$nomf</strong> : $comment<br />";
    }
    else {
       print "<p><font color='red'>Erreur dans le fichier <strong>$nomf</strong></font><br />";
       SQL_afferreurs($erreurs);
       print "</p>";
       break;
    }
}
//print "errexiste=$errexiste<br>";
if ($errexiste) {
    print "<p><strong>Problme d'installation (une ou plusieurs erreurs).
              </strong><br />\n";
    print "Vous ne pourrez excuter  nouveau ce script qu'aprs avoir supprim
           manuellement la base $db.<br />
           Pour changer le nom de la base, il faudra en outre supprimer
           le fichier include/vars_adm.php.
           </p>\n";
    die("</body></html>\n");
}

if (@$confident==1) {  //$confident n'existe pas si aucune case radio coche
    query("UPDATE _params_globaux SET param_val=1 WHERE param_nom='ENTREE_STRICTE'");
    query("UPDATE _params_globaux SET param_val=1 WHERE param_nom='IMPOSE_CHGT_MDP'");
    query("UPDATE _params_globaux SET param_val=1 WHERE param_nom='MDP_INIT_GEP'");
    query("UPDATE _params_globaux SET param_val=1 WHERE param_nom='PAS_ITEM_MANUEL_GEST'");
    query("UPDATE _params_globaux SET param_val=1 WHERE param_nom='PAS_ITEM_MANUEL_ADMIN'");
    query("UPDATE _params_globaux SET param_val=1 WHERE param_nom='PAS_SAUVE_LOCAL'");
    query("UPDATE _params_globaux SET param_val=1 WHERE param_nom='PAS_IMPORT_EXPORT'");

    //L on met le champ 'actif' de comptes  0 par dfaut pout tous les nouveaux comptes...
    query("ALTER TABLE `comptes` CHANGE `actif` `actif` INT( 11 ) DEFAULT '0' NOT NULL");
}
print "<p>Installation termine.</p>\n";
print "<h3>\n";
print "<font face=\"Arial\">Vous pouvez passer maintenant en ";
print "<a href=\"../sadmin/index.php\">sadmin</a> (mot de passe sadmin)<br>";
print "pour crer un ou plusieurs tablissements.";
print "</font></h3>";
print "Ce script ne pourra plus tre excut sans supprimer la base <strong>$db</strong>.<br />";
print "Vous pourrez changer le nom de la base ou installer d'autres items (B2i ou C2i) en le relanant.<br />";
print "Notez-vous cela sur votre Palm Pilot :-) : cet avertissement va s'autodtruire !<br />";
print "</body></html>\n";
?>
