<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
//on dbarque avec les paramtres ventuels suivants dans l'URL :
// - ordre=date sens=asc         : nouveaux paramtres (ordre de premier niveau)
// - ordreold=nom sensold=desc   : anciens paramtres (ordre de deuxime niveau)

include ("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");
//ouverture de la session
opensession("Prof",false);
$PHP_SELF=_server('PHP_SELF');
?>
<?php
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html><head>
<meta http-equiv="content-type" content="text/html; charset=Windows-1252">
<title>Texte de la rubrique 1</title>
<script language="JavaScript">
var liste_images = new Array('btn_val_ok','btn_val_no','i','non');
// Un tableau qui permettra le stockage 'virtuel' des images pour les precharger
document.image_chargee = new Array();
// La fonction de prechargement

function prechargement(chemin) {
        for ( i = 0; i < liste_images.length; i++ ) {
                document.image_chargee[i] = new Image;
                document.image_chargee[i].src = chemin + liste_images[i] + '.gif';
                }
    //alert('images charges');
}

var fen;   //cre dans la function getpop, utilise dans body.onfocus
var fen_exist=false;  //permet de savoir si fen a dj t affecte (test du body.onfocus)

function getpop(cible,w,h,l,t) {
   var param='width='+w+',height='+h+',left='+l+',top='+t+',status=0,directories=0,toolbar=0,menubar=0,location=0,scrollbars=1,resizable=1';
   fen=window.open(cible,'vasydefonce',param);
   fen_exist=true;
   window.fen.focus();
}

function focusestla() {
   if (fen_exist) {
       if (fen.closed) fen_exist=false;
       else fen.focus();
   }
}

</script>

<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
</head>
<?php

$chem_images="../themes/".$etab_theme."/";
print "<body class=\"arialprof\"
             bgcolor=\"white\" text=\"black\" link=\"blue\" vlink=\"purple\" alink=\"red\"
             onload=\"javascript:prechargement('$chem_images');\"
             onfocus=\"javascript:focusestla();\">\n";


function fleches($nomchamp,$hint) {
//nomchamp peut valoir date, nom, prenom
global $PHP_SELF,$etab_theme,
       $ordre,$sens; //les "futurs anciens" paramtres (c'est  dire ceux de ce passage)
    print "<br />\n";
    //prparer la nouvelle demande en gardant l'ancienne en 2me niveau

    //flche ascendante
    if ($ordre==$nomchamp && $sens=="asc") $img="iv"; //inversion vido pour l'image slectionne
    else $img="";
    print "<a href=\"$PHP_SELF?ordre=$nomchamp&sens=asc&ordreold=$ordre&sensold=$sens\">";
    print "<img src=\"../themes/".$etab_theme."/bas$img.gif\" width=\"17\" height=\"17\" alt=\"tri croissant des $hint\" border=\"0\">";
    print "</a>";

   // sparateur de flches
    print "<img  border='0' width='15' src=\"../images/pixel_vide.gif\">";

    //flche descendante
    if ($ordre==$nomchamp && $sens=="desc") $img="iv"; //inversion vido pour l'image slectionne
    else $img="";
    print "<a href=\"$PHP_SELF?ordre=$nomchamp&sens=desc&ordreold=$ordre&sensold=$sens\">";
    print "<img src=\"../themes/".$etab_theme."/haut$img.gif\" width=\"17\" height=\"17\" alt=\"tri dcroissant des $hint\" border=\"0\" />\n";
    print "</a>";

}

//modifie le buffer de sortie en affichant d'abord les combo-boxes
function callback_modbuf($buffer) {
global $tabclasses,$tabnoms,$tabitems,
       $sel_date,$sel_classe,$sel_nom,$sel_comment,$sel_item,
       $PHP_SELF;

//$combo= "########  $sel_date,$sel_classe,$sel_nom,$sel_comment,$sel_item<br>";
$combo='';
sort($tabnoms);sort($tabclasses);sort($tabitems);
$combo.="<tr class=\"rubrique\">
    <form name=\"formfiltre\" method=\"post\" action=\"$PHP_SELF\">
      <td>&nbsp; </td> <td>\n";

//date
$selected[$sel_date]=" selected ";
$combo.="<select name=\"sel_date\" size=\"1\" id=\"sel_date\" onchange=\"submit();\">
          <option value=\"0\" $selected[0]>toutes</option>
          <option value=\"1\" $selected[1]>ce jour</option>
          <option value=\"2\" $selected[2]>- de 8 j</option>
          <option value=\"3\" $selected[3]>- de 15 j</option>
          <option value=\"4\" $selected[4]>+ de 15 j</option>
          <option value=\"5\" $selected[5]>+ de 21 j</option>
        </select></td>
      <td>\n";

//classe
unset($selected);
$selected[$sel_classe]=" selected ";
$combo.="<select name=\"sel_classe\" size=\"1\" id=\"sel_classe\" onchange=\"submit();\">
          <option value=\"0\" $selected[0]>toutes</option>";
foreach($tabclasses as $uneclasse) {
    $combo.="<option value=\"$uneclasse\" ".$selected[$uneclasse].">$uneclasse</option>\n";
}
$combo.= "</select></td><td>&nbsp;</td><td>\n";

//nom
unset($selected);
$selected[$sel_nom]=" selected ";
$combo.="<select name=\"sel_nom\" size=\"1\" id=\"sel_nom\" onchange=\"submit();\">
          <option value=\"0\" $selected[0]>tous</option>\n";
foreach($tabnoms as $unnom) {
    $combo.= "<option value=\"$unnom\"".$selected[$unnom].">$unnom</option>\n";
}
$combo.= "</select></td><td>\n";

//commentaire
unset($selected);
$selected[$sel_comment]=" selected ";
$combo.="<select name=\"sel_comment\" size=\"1\" id=\"sel_comment\" onchange=\"submit();\">
          <option value=\"0\"".$selected[0].">tous</option>
          <option value=\"1\"".$selected[1].">prsents</option>
          <option value=\"2\"".$selected[2].">absents</option>
        </select></td><td>\n";

//numro d'item
unset($selected);
$selected[$sel_item]=" selected ";
$combo.="<select name=\"sel_item\" size=\"1\" id=\"sel_item\" onchange=\"submit();\">
          <option value=\"0\" ".$selected[0].">
           tous&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
          </option>";
foreach($tabitems as $unitem) {
    $combo.= "<option value=\"$unitem\"".$selected[$unitem].">$unitem</option>\n";
}

$combo.="</select> </td> </form> </tr>\n";
return $combo.$buffer;
}

//------------

function filtre_requete($sel_date,$sel_classe,$sel_nom,$sel_comment,$sel_item) {
$result="";

//sel_date
$prefixe=" and TO_DAYS(NOW()) - TO_DAYS(demandes.date) ";
switch ($sel_date) {
    case 1 : $result.=$prefixe."=0 ";  break;
    case 2 : $result.=$prefixe."<=8 "; break;
    case 3 : $result.=$prefixe."<=15 ";break;
    case 4 : $result.=$prefixe.">15 "; break;
    case 5 : $result.=$prefixe.">21 "; break;
}
//sel_classe
if ($sel_classe!="0") $result.=" and classes.divcod='$sel_classe' ";
//sel_nom
if ($sel_nom!="0") $result.=" and eleves.nom='$sel_nom' ";
//sel_comment
if ($sel_comment==1) $result.=" and demandes.comment<>'' ";
elseif ($sel_comment==2) $result.=" and demandes.comment='' ";
//$sel_item
if ($sel_item!="0") $result.=" and demandes.item_id='$sel_item' ";
//print "$sel_date,$sel_classe,$sel_nom,$sel_comment,$sel_item";
return $result;
}

/////////////////////////
// programme principal //
/////////////////////////

//print "Au dbut : variables sel_*=$sel_date,$sel_classe,$sel_nom,$sel_comment,$sel_item<br>";

/*
On vient d'endroits varis...
   -1- le login d'un prof (login_traite.php)
   -2- l'appui sur une flche de tri,
   -3- la modification d'un filtre
   -4- le retour du traitement d'une rponse (accord ou refus)
Les cas 2, 3 et 4 ncessitent la rcupration des paramtres de tri et de
filtre. Ces paramtres sont en variables de session lorsqu'ils n'ont pas t
modifis par la page prcdente.
Pour le cas 3 par exemple, un choix d'un filtre sur la classe va modifier
la variable $sel_classe qu'on va rcuprer en POST.
Mais la rcupration des variables de session est faite de telle faon
qu'elle crase les POST et GET et donc $sel_classe par une valeur plus ancienne,
ceci afin de respecter l'ordre EGPCS. Par suite, aprs l'ouverture de la session,
on rcupre les ventuelles variables des tableaux _POST et _GET contenant les
variables passes par formulaire (cas 2) ou par l'URL (cas 3).

De plus, lorsqu'on entre pour la premire fois dans le script (cas 1) il faut
enregistrer des valeurs par dfaut pour les variables de session.
*/

//opensession a rcupr d'abord les GET et les POST puis les variables de session.
//Or ICI, pour une fois, les GET et POST doivent avoir priorit. Il faut donc rectifier
// attention : a ne donnera pas les rsultats escompts avec un trop vieux PHP (<4.0.4 je crois)
//car les variables de POST par exemple seront globalises au niveau 0 et non au niveau de cette fonction

$tempsdebut=getmicrotime();

$post=_post();
$get=_get();
//est-ce qu'on vient d'un choix de filtre
if (count($post))  { //on vient du formulaire : les variables POST ont priorit sur session
    if (isset($post['sel_date'])) $sel_date=$post['sel_date'];
    if (isset($post['sel_classe']))$sel_classe=$post['sel_classe'];
    if (isset($post['sel_nom'])) $sel_nom=$post['sel_nom'];
    if (isset($post['sel_comment'])) $sel_comment=$post['sel_comment'];
    if (isset($post['sel_item'])) $sel_item=$post['sel_item'];
}
//est-ce qu'on vient d'une demande de tri
elseif (count($get))    { //on vient de modifier un ordre
    $ordre=$get['ordre'];
    $sens=$get['sens'];
    $ordreold=$get['ordreold'];
    $sensold=$get['sensold'];
}

$prof_id=$sess_mec_id;

//cas du premier passage dans ce script
$session_ordre=_session('ordre');

if (empty($session_ordre)) {  //le test d'une seule variable suffit
    $ordre="date";
    $sens="desc";
    session_puts("ordre","sens","ordreold","sensold");
    $sel_date=$sel_classe=$sel_nom=$sel_comment=$sel_item=0;
    session_puts("sel_date","sel_classe","sel_nom","sel_comment","sel_item");
}

//prparer le bout de requte relatif  l'ordre
if (!isset($ordre)) $ordre="date";
if (!isset($sens)) $sens="desc";
if (!isset($sel_date)) $sel_date="0";
if (!isset($sel_classe)) $sel_classe="0";
if (!isset($sel_nom)) $sel_nom="0";
if (!isset($sel_comment)) $sel_comment="0";
if (!isset($sel_item)) $sel_item="0";

$orderby=" ORDER BY $ordre $sens ";
if (!empty($ordreold)) $orderby.=", $ordreold $sensold";

//prparer le bout de requte relatif aux filtres
$where=filtre_requete($sel_date,$sel_classe,$sel_nom,$sel_comment,$sel_item);
//print "Requte : $where<br>";
print "<br /><font size='-1' ><i>Liste des messages en cours :</i><br></font><br />";

$conn  = connecte($host, $user, $mdp, $db);


//obtenir un tableau tel que :
//   - la demande concerne un lve du prof
//   - le prof est comptent pour traiter cette demande
//   - cette demande n'est pas prime.
if ($MODULE=='Melia') {
    $from='';
    //$from=', lien_eleves_disciplines ';
    $cond=" AND demandes.disc_id=$disc_id ";
}
else {
    $from='';
    $cond='';
}

$sqldemandes="
SELECT DISTINCT
       demandes.message_id, demandes.date, demandes.comment, classes.divcod,
       eleves.eleve_id, eleves.prenom, eleves.nom, items.item_id AS itid,
       rubriques.rub_no, rubriques.libelle AS rlibelle, libelles.base
FROM   lien_profs_rubriques, lien_profs_classes, demandes, eleves, classes,
       rubriques, items, libelles $from
WHERE  lien_profs_rubriques.prof_id =$prof_id
       AND lien_profs_classes.prof_id =$prof_id
       $cond
       AND demandes.eleve_id = eleves.eleve_id
       AND eleves.classe_id = classes.classe_id
       AND classes.classe_id = lien_profs_classes.classe_id
       AND lien_profs_rubriques.rub_no = rubriques.rub_no
       AND rubriques.rub_no = items.rub_no
       AND items.item_id = demandes.item_id
       AND items.item_id = libelles.item_id
       AND ( TO_DAYS(CURDATE())-TO_DAYS(demandes.date))<".$etab_nbj_vie_demande
       .$where
       .$orderby;

$w1=getmicrotime();

//print $sqldemandes;

$resdemandes=query($sqldemandes);

//DEBUG
$w2=getmicrotime();
$dureebig=$w2-$w1;


//on va attribuer un ID numrot  chaque ancre + image pour l'affichage des demandes
//grce  cet ID, on pourra faire disparatre l'image-bouton et virer le lien.

$dem=0;
print "<table>\n"; //cellspacing=\"0\" va-t-il mieux ?
// au choix : print "<table border=\"0\" CELLSPACING=\"1\" CELLPADDING=\"2\">\n";
print "<tr class='rubrique'>\n";
print "<td width=\"100\">Traiter<br>la demande</td>\n";
print "<td>Date";fleches("date","dates");print "</td>\n";
print "<td>Classe";fleches("divcod","classes");print "</td>\n";
print "<td>Prnom";fleches("prenom","prnoms");print "</td>\n";
print "<td>Nom";fleches("nom","noms");print "</td>\n";
print "<td>Message<br>&nbsp;</td>\n";
print "<td>Item<br>&nbsp;</td>\n";
print "</tr>";

$liste_message_id="";  //en rserve pour une validation globale... plus tard.
$tabclasses=array();$tabnoms=array();$tabitems=array();
ob_start("callback_modbuf");


setlocale(LC_TIME, "fr");

$cumulsqlrep1=$cumulsqlrep2=$cumulsqliacq=0;
while ($rowdem=mysql_fetch_array($resdemandes)) {
    $message_id=$rowdem["message_id"];
    $item_id   =$rowdem["itid"];
    $eleve_id  =$rowdem["eleve_id"];

    //test prioritaire du fait des fluctuations des options : l'item est-il acquis ?
    //DEBUG
    $w1=getmicrotime();

    $iacq=itemacquis($eleve_id,$item_id,$disc_id);
    $w2=getmicrotime();
    $cumulsqliacq+=$w2-$w1;

    if ($iacq) continue;

    //recherche si le prof a dj rpondu oui
    //s'il a rpondu non, on conserve le n de rponse pour la supprimer ventuellement.
    //----------------------------------------------------------------------------------
    $sqlreponseprof="SELECT reponse_id, accord
                       FROM reponses
                      WHERE prof_id=$prof_id
                        AND message_id=$message_id";
    //DEBUG
    $w1=getmicrotime();

    $resreponseprof=query($sqlreponseprof);
    $w2=getmicrotime();
    $cumulsqlrep1+=$w2-$w1;

    $nbreponseprof=mysql_num_rows($resreponseprof);
    $id_rep_non=0;
    switch ($nbreponseprof) {
        case 0 : break; //il n'a pas dj rpondu
        case 1 : $rowreponseprof=mysql_fetch_array($resreponseprof);
                 if ($rowreponseprof["accord"])
                     //il a dja rpondu oui : on passe  la demande suivante du while
                     continue 2;
                 else
                     //il a rpondu non
                     $id_rep_non=$rowreponseprof["reponse_id"];
                 break;
    }
    //rechercher si la demande est dj accorde par d'autres profs
    //-------------------------------------------------------------
    $sqlverif="SELECT  accord, COUNT(accord) as nbacc
                 FROM  reponses
                WHERE  message_id=$message_id
             GROUP BY  accord
             ORDER BY  accord;";

    //DEBUG
    $w1=getmicrotime();

    $resverif=query($sqlverif);
    $w2=getmicrotime();
    $cumulsqlrep2+=$w2-$w1;

    $numrows=mysql_num_rows($resverif);
    //du fait du GROUP BY, le rsultat est form de 0, 1 ou 2 lignes correspondant
    // "pas de rponse", "une seule catgorie de rponses",
    //"deux types de rponses : les non et les oui"

    //calculer le nombre de refus et le bilan "oui"-"non"
    switch ($numrows) {
        case 0 : //pas de rponse
                 $bilan=0;
                 $nbrefus=0;
                 break;  //aucune rponse  la demande

        case 1 : //que des "oui" ou que des "non"
                 $rowverif=mysql_fetch_array($resverif);
                 if (@$rowverif["accord"]) {//des rponses positives seulement
                     $nbrefus=0;
                     $bilan=$rowverif["nbacc"];
                 }
                 else {
                     $nbrefus=@$rowverif["nbacc"]; // que des rep ngatives
                     $bilan=-$nbrefus;
                 }
                 break;

        case 2 : //des "oui" et des "non"
                 $rowverif0=mysql_fetch_array($resverif); //nombre de non (non=0)
                 $rowverif1=mysql_fetch_array($resverif); //nombre de oui
                 $bilan=$rowverif1["nbacc"]-$rowverif0["nbacc"];
                 $nbrefus=$rowverif0["nbacc"]; //nombre de refus (prof_id y est peut-tre)
                 break;
        }
    $item_id=$rowdem["itid"];
    $eleve_id=$rowdem["eleve_id"];
    if ($bilan>=$etab_nb_validations) {
        //l'item a dj t valid et se trouve dans la table resultats
        continue; //passer  la demande suivante
    }

    //La demande doit tre affiche
    //-----------------------------
    $dem++;
    $date=$rowdem["date"];
    $classe=$rowdem["divcod"];
    $prenom=$rowdem["prenom"];
    $nom=$rowdem["nom"];
    $comment=$rowdem["comment"];
    $rubrique=$rowdem["rlibelle"];

    if (isset($rowdem["perso"]) && ($rowdem["perso"]==1))  { //il faut aller piocher dans libelles_perso
       $resperso=query("SELECT libelle FROM libelles_perso ".
                 "WHERE item_id=$item_id and etab_id=$etab_id;");
       $rowperso=mysql_fetch_array($resperso);
       $libelle=$rowperso["libelle"];
       } else $libelle=$rowdem["base"];

    //stockage pour affichage des combo-boxes
    if (!in_array($nom,$tabnoms)) $tabnoms[]=$nom;
    if (!in_array($classe,$tabclasses)) $tabclasses[]=$classe;
    if (!in_array($item_id,$tabitems)) $tabitems[]=$item_id;

    //couleur de la ligne suivant sa parit
    $cl=($dem%2==0) ? "dem_paire" : "dem_impaire";
    print "<tr class='$cl'>\n";

    $liste_message_id.="$message_id,";

    //colonne 0 : les boutons pour la demande
    //---------------------------------------
    print "\t<td>";
    //dans l'URI, seul le paramtre prechoix diffre pour les "bouton" oui et non
        //col 0 :affiche le premier bouton (oui)
        //""""""""""""""""""""""""""""""""""""""
    $target="demande_traite.php?message_id=$message_id&id_rep_non=$id_rep_non".
            "&date=".urlencode($date)."&eleve_id=$eleve_id&item_id=$item_id".
            "&classe=".urlencode($classe).
            "&prenom=".urlencode($prenom)."&nom=".urlencode($nom).
            "&comment=".urlencode($comment)."&libelle=".urlencode($libelle).
            "&rubrique=".urlencode($rubrique)."&bilan=$bilan&nbrefus=$nbrefus".
            "&dem=$dem"; //pour connatre les ID des lments depuis demande_traite.php
    $targetoui=$target."&prechoix=1";
    if ($etab_pop_profs==1) {
        print "<a href=\"javascript:void(0)\"
                  id=\"lienoui$dem\"
                  onClick=\"getpop('$targetoui',700,420,50,50)\">\n";
    }
    else { //Affichage classique avec rafrachissement
        print "<a href=\"$targetoui\">\n";
    }
    print "<img id=\"imgoui$dem\"
                align=\"absmiddle\" border='0' width='20' height='20'
                title=\"Accepter l'item\"
                src='../themes/".$etab_theme."/btn_val_ok.gif'></a>\n";

        // col 0 : affiche le deuxime bouton pour Non
        //""""""""""""""""""""""""""""""""""""""""""""
    $targetnon=$target."&prechoix=0";
    if ($id_rep_non) {
        print "<img align=\"absmiddle\" border='0' width='20' height='20'
                    title=\"Dj refus !\"
                    src=\"../images/pixel_vide.gif\">\n";
    }
    else {
        if ($etab_pop_profs==1) { //Mode popup
            print "<a href=\"javascript:void(0)\"
                      id=\"liennon$dem\"
                      onClick=\"getpop('$targetnon',700,420,50,50)\">";
        }
        else { //Mode normal
            print "<a href=\"$targetnon\">";
        }
        print "<img id=\"imgnon$dem\"
                    align=\"absmiddle\" border='0' width='20' height='20'
                    title=\"Refuser l'item\"
                    src='../themes/".$etab_theme."/btn_val_no.gif'></a>\n";
    }

        // col 0 : un lien vers l'affichage en popup des copains concerns par le mme message
        //""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
    $target="pop_profs_possibles.php?eleve_id=$eleve_id&item_id=$item_id".
            "&message_id=$message_id&prof_id0=$prof_id".
            "&nom=".urlencode($nom)."&prenom=".urlencode($prenom);
    print "<a href=\"javascript:void(0)\"
              onClick=\"getpop('$target',600,300,150,50)\">
           <img width='20' height='20' border='0' align=\"absmiddle\"
              src=\"../themes/".$etab_theme."/i.gif\"
              title=\"Affichage des autres profs concerns\"></a>&nbsp;";

    if ($id_rep_non) {
        // col 0 : une ventuelle croix rouge indiquant un ancien refus
        //"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
        print "<img src=\"../themes/".$etab_theme."/non.gif\"
                    id=\"croix$dem\"
                    align=\"absmiddle\"
                    width=\"20\"
                    height=\"20\"
                    border=\"0\"
                    title=\"Dj rpondu non !\">";
    }
    else {
        //col 0 : ou une zone vide pour maintenir l'alignement de la suite (jmt)
        //""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
        print "&nbsp;<img src=\"../images/pixel_vide.gif\"
                    id=\"croix$dem\"
                    align=\"absmiddle\"
                    width=\"20\"
                    height=\"20\"
                    border=\"0\"
                    title=\"\">";
    }

    print "\n\t</td>";

    //colonne 1 : la date de demande
    //------------------------------
    print "\t<td align=\"center\">&nbsp;&nbsp;";
    print strftime('%a %d %b %Y  %H:%M:%S',strtotime($date));//date('d/m/Y  H:i:s',strtotime($date));
    print "\n\t</td>";

    //colonne 2 : classe id ?
    //-----------------------
    print "\t<td>&nbsp;&nbsp;";
    print $classe;
    print "\n\t</td>";

    //colonne 3 : prnom de l'lve
    //-----------------------------
    print "\t<td>&nbsp;&nbsp;";
    print $prenom;
    print "\n\t</td>";

    //colonne 4 : nom de l'lve
    //--------------------------
    print "\t<td>&nbsp;&nbsp;";
    print $nom;
    print "\n\t</td>";

    //colonne 5 : texte message
    //-------------------------
    print "\t<td>&nbsp;&nbsp;";
    print $comment;
    print "\n\t</td>";

    //colonne 6 : le texte de l'item
    //------------------------------
    print "\n\t<td><p class=item>";
    print "[$item_id] - $libelle";
    print "\n\t</p></td></tr>";
    }
print "</table>\n";
if ($liste_message_id)
    // sortir la dernire virgule
    $liste_message_id=substr_replace($liste_message_id,"",-1,1);
ob_end_flush();

//DEBUG / BENCHMARK
$tempsfin=getmicrotime();

/*
print "<p>&nbsp</p>";
print "<table border=\"0\">";
print "<tr class=\"petit\">
           <td><p>Dure big requte</p></td>
           <td><p>$dureebig</p></td></tr>";
print "<tr class=\"petit\">
           <td><p>Dure requte resultats</p></td>
           <td><p>$cumulsqliacq</p></td></tr>";
print "<tr class=\"petit\">
           <td><p>Dure requtes reponses 1 cumules</p></td>
           <td><p>$cumulsqlrep1</p></td></tr>";
print "<tr class=\"petit\">
           <td><p>Dure requtes reponses 2 cumules</p></td>
           <td><p>$cumulsqlrep2</p></td></tr>";
print "<tr height=10>
           <td>&nbsp;</td>
           <td>&nbsp;</td></tr>";
print "<tr class=\"petit\">
           <td><p>Dure totale des requtes</p></td>
           <td><p>";print $dureebig+$cumulsqlrep1+$cumulsqlrep2;print "</p></td></tr>";
print "<tr class=\"petit\">
           <td><p>Temps total ct serveur</p></td>
           <td><p>"; print $tempsfin-$tempsdebut;print "</p></td></tr>";
print "</table> ";
*/

?>

<p>&nbsp;</p>
</body>
</html>
