<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stphanie Roussel, Jean-Marie Treins
(CATICE Acadmie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

include('../include/vars_adm.php');
include('../include/util.inc.php');
include('../include/new_etab.inc.php');
include('../include/utiljs.php');

//=====================================================================
//// Programme principal
//=====================================================================
$style="arial_sadmin";
opensession("Sadmin",false);

// $action contiendra le traitement envisag parmi creer, modif, suppr
$action="creer";
if (!isset($traitetab)) {  //premier passage : on affiche le formulaire
   include("./etab_form.php");
}
else {
    //traitement du formulaire
    //========================
    connexion("$db");
    if (isset($btn_sauver)) {
       //Vrifier si l'tab n'existe pas dj (uniquement sur le RNE)
       if ($rne_etab) { //non vide en principe du fait de la vrif par JS
           $resetab=query("SELECT rne
                             FROM etablissements
                            WHERE rne='$rne_etab';");
           if (mysql_num_rows($resetab)>0) {
               alert("Le RNE de l'tablissement existe dj.");
               gohistory(-1);//goto("sadmin_bas.php");
           }
       }
       $annee=ascol();
       //alert($mdp_prof_etab);

       //Mise  la norme des variables (checkboxes  affecter si dcoches)

       $rne_etab=addslashes($rne_etab);
       $nom_etab=addslashes($nom_etab);
       $adresse_etab=addslashes($adresse_etab);
       $ville_etab=addslashes($ville_etab);
       if (!isset($alert_message_vide)) $alert_message_vide=0;
       if (!isset($mdp_elev_etab)) $mdp_elev_etab=0;
       if (!isset($mdp_prof_etab)) $mdp_prof_etab=0;
       if (!isset($fiche_prof_etab)) $fiche_prof_etab=0;
       if (!isset($stats_prof_etab)) $stats_prof_etab=0;
       if (!isset($valid_profs_etab)) $valid_profs_etab=0;
       if (!isset($result_profs_etab)) $result_profs_etab=0;

       //sauvegarder des paramtres dans la table _Etablissement
       $sqlsauve="INSERT INTO etablissements
                  SET rne='$rne_etab',
                      nom='$nom_etab',
                      adresse='$adresse_etab',
                      codepostal='$codepost_etab',
                      ville='$ville_etab',
                      theme='$theme_etab',
                      niveau='$niveau_etab',
                      nb_validations=$nbval_etab,
                      nbj_vie_demande=$nbjvie_etab,
                      nb_max_demandes=$maxdemande_etab,
                      nb_max_refus=$maxrefus_etab,
                      alert_message_vide=$alert_message_vide,
                      modele_login_e='$modelelogin_elev_etab',
                      modele_login_p='$modelelogin_prof_etab',
                      mdp_eleve=$mdp_elev_etab,
                      mdp_prof=$mdp_prof_etab,
                      fiche_profs=$fiche_prof_etab,
                      stats_profs=$stats_prof_etab,
                      valid_profs=$valid_profs_etab,
                      result_profs=$result_profs_etab ;";
       query($sqlsauve);
       //Rcup de l'ID de l'tab cr
       $etab_id=@mysql_insert_id();

       if (!$rne_etab) {  //jamais ralis en principe !!! mais on ne sait jamais...
           //impose un RNE factice mais diffrent des normaux
           $rne_etab=$etab_id;
           query("UPDATE etablissements SET rne=$rne_etab
                   WHERE etab_id=$etab_id;");
       }

       //crer la famille TEST, l'admin et le gest
       cree_users($etab_id);

       //on peut envoyer la pure HTML  partir de l

       print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
       print "<html><head>\n";
       print "<title>Cration d'un tablissement</title>\n";
       print "<link rel=\"stylesheet\" href=\"../include/general.css\">\n";
       print "</head>";
       print "<body class=\"arial_sadmin\">\n";
       print "<h2 align=\"center\">Cration d'un tablissement</h2>\n";
       print "<p>&nbsp;</p>\n";

        //Crer les sous-dossiers perso sous data/
       creer_repertoires($rne_etab);

       print "<p>Les nouveaux param&egrave;tres ont &eacute;t&eacute; sauvegard&eacute;s
              avec succ&egrave;s</p>";
       print "<b>Le nouvel tablissement sera accessible avec l'identifiant $etab_id</b>";
       print "<form name=\"form1\" method=\"post\" action=\"sadmin_bas.php\">";
       print "<p align=\"center\">";
       print "<input type=\"submit\" class=\"coul\" name=\"envoi\" value=\"Suite\">";
       print "</p></form></body></html>";
    }
    else {
        goto("sadmin_bas.php");
    }
} //fin traitement du formulaire
?>