<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
?>
<?php
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<HTML>
<HEAD>
    <link rel="stylesheet" href="../include/general.css">
    <script language="javascript">
    function verifmodele(mindiv) {
        permis="npdb#.-_"; //caractres autoriss dans le modle
        m=eval("document.formparam."+mindiv+".value");
        //alert(m+' '+m.length);
        if (m.length==0) {
            alert("Le modle doit au moins comporter un des caractres n,p,d,b,#.");
            return false;
        }
        for (i=0; i<m.length; i++) { //pour coloration : >
            if (permis.indexOf(m.charAt(i))==-1) {
                alert("Le caractre '"+m.charAt(i)+"' n\'est pas autoris dans les modles.");
                return false;
            }
        }
        return true;
    }
    </script>
</HEAD>
<BODY class="arial_sadmin">
<?php
require ('../include/vars_adm.php');
require ('../include/util.inc.php');
require ('../incorporation/util.class.php'); //endroit de stockage  revoir
require ('../include/html.class.php');
require ('../include/utiljs.php');
require ('../include/new_etab.inc.php');

$modele_defe="ppp.nnn";
$modele_defp="pn";
opensession("Sadmin",false);
//transgresse ventuellement php.ini pour ce script
ini_set('file_uploads','On');         //autorise l'upload
connecte($host,$user,$mdp,$db);
$PHP_SELF=_server('PHP_SELF');


function erreur($mess) {   //pour le 2e passage
alert($mess);
gohistory(-1);
print "</body></html>";
exit();
}

function is_etab_incorrect($rne,$nom,$cp,$ville) {
//les paramtres sont supposs addslashs ; de toute faon, ils devront
//l'tre puisque ils seront injects dans une table s'ils sont corrects.
//sortie : chane vide     ~> tablissement correct
//         chane non vide ~> message d'erreur
//exemple d'utilisation :
//         $mess=is_etab_identifiable($rne,$nom,$ville))
//         if ($mess) {print $mess;...} else {...}
if (empty($rne)) return "Le RNE est absent !";
else { //le RNE n'est pas vide
  if (!eregi("^[0-9]{7}[a-z]$",$rne))
      return "RNE incorrect.";
  $resetab=query("SELECT * FROM etablissements WHERE rne='$rne';");
  if (mysql_num_rows($resetab))
      return 'le RNE existe dj';
}
if (empty($nom) && empty($ville))  //l'un des deux vide autoris
    return 'Nom et ville absents';
if (!$cp) return '';          //code postal vide autoris
if (!eregi("^[0-9]{5}$",$cp)) return "Code postal incorrect.";
else  {
  $resetab=query("SELECT * FROM etablissements
                   WHERE nom='$nom'
                     and ville='$ville';");
  if (mysql_num_rows($resetab)) return "Couple (nom,ville) ambigu : ($nom,$ville).";
}
return '';
}

function is_lignetexte($chligneorig,$numligne) {
//on accepte TAB et les caractres de 32  255.
if (ereg("^(\t|[\x0D,\x0A,\x20-\x7f]|[\x80-\xff)])*$",$chligneorig))
   return '';
else return "Caractre tranger (code binaire) en ligne $numligne.<br />";
}

function traiter_etabs($dest) {
global $emodele,$pmodele,$DATA,$HIDEDATA,$MODULE;
$directive=array(); //stocke les lignes de directives affiches  la fin
$ficlog=$dest.'.log';
$fplog=fopen($ficlog,'w');
$fp=fopen($dest,'r');
if (!$fp) erreur("$dest ne peut tre ouvert en lecture");
$sep=getsep($fp);
if (!$sep) erreur("Pas de sparateur trouv dans $fichier !");
$html=new htmlcreator();
$html->begintable("width=\"100%\" border=\"1\" cellspacing=\"0\"
                   bordercolordark=\"white\" bordercolorlight=\"black\"");
$html->beginrow();
$html->styleth="align=\"center\" bgcolor=\"white\"";
//0=rne ; 1=nom ; 2=adresse ; 3=codepostal ; 4=ville ; 5=theme ; 6=niveau  ;
//7=nb_validations ; 8=nbj_vie_demande ; 9=nb_max_demandes ; 10=nb_max_refus ;
//11=modele_login_e ; 12=modele_login_p ; 13=mdp_eleve ; 14=mdp_prof ; 15=fiche_profs ;
//16=stats_profs ; 16=valid_profs ; 17=result_profs
//facultatif aprs ville
//pour mettre une valeur aprs en laissant les prcdentes par dfaut,
//laisser les champs vides (;;;;;)
//21 colonnes affiches dans la page (comme le nombre de champs de la table)
$html->entetes('ID','RNE','Nom','Adresse','CP','Ville','Thme','niv',
               'val','vie','maxD','maxR','logE','logP','mdpe','mdpp','fi',
               'stat','vali','res','actif','Rep'); // Rxxxx=repertoires de l'tab
$html->endrow();

//valeurs par dfaut (sauf etab_id)
if ($MODULE=='Melia') $nbval=1; else $nbval=2;
$tdefaut=array(
     'rne'               => '',                        //les champs de 0  4 doivent tre remplis
     'nom'               => '',                        //(donc pas de valeur par dfaut)
     'adresse'           => '',
     'codepostal'        => '',
     'ville'             => '',
     'theme'             => 'ete',                     //5    theme_etab
     'niveau'            => 'niv12',                   //6    niveau_etab
     'nb_validations'    => $nbval,                    //7    nbval_etab
     'nbj_vie_demande'   => 30,                        //8    nbjvie_etab
     'nb_max_demandes'   => 5,                         //9    maxdemande_etab
     'nb_max_refus'      => 0,                         //10   maxrefus_etab
     'modele_login_e'    => $emodele,                  //11   modelelogin_elev_etab
     'modele_login_p'    => $pmodele,                  //12   modelelogin_prof_etab
     'mdp_eleve'         => 1,                         //13   mdp_elev_etab
     'mdp_prof'          => 1,                         //14   mdp_prof_etab
     'fiche_profs'       => 1,                         //15   fiche_prof_etab
     'stats_profs'       => 1,                         //16   stats_prof_etab
     'valid_profs'       => 1,                         //17   valid_profs_etab
     'result_profs'      => 1,                         //18   result_profs_etab
     'actif'             => 1);                        //19   result_profs_etab

//Valeurs par dfaut des directives incluses dans le fichier texte sous la forme
//  %variable=valeur. Exemple : %mdpadmin=             (mdpadmin sera vide)
//ou : %mdpadmin=admin ou %mdpadmin=$rne
//variables possibles dans le premier membre : voir cls du tableau $dir_defaut
//variables possibles dans le second membre : $rne, $codepostal, $ville
//constantes possibles dans le second membre : peu importe mais entre guillemets
//expressions :  vrifier aprs coup : c'est PHP qui interprte ! (fuite de responsabilit)

$dir_defaut=array('mdpadmin'=>'admin','mdpgestion'=>'gestion',
                  'mdpproftest'=>'proftest','mdp00000'=>'00000'
                  );
$expr_user=array();

$nb_erreurs=0;$voirlog=false;
$keys=array_keys($tdefaut);

while ($ligne = fgetcsv ($fp, 1024, $sep)) {
      for ($i=0 ; $i<count($ligne) ; $i++)
           $ligne[$i]=trim($ligne[$i]);
      $chligne=implode($ligne," ");
      if (!trim($chligne)) continue;
      if ($chligne[0]=="#") continue;
      $chligneorig=implode($ligne,";");  //

      $html->beginrow();

      //voir s'il s'agit d'une ligne de directives
      if ($chligne[0]=='%') {
          if (preg_match("/^%([a-z0-9_]+)=(.*)/i",$chligne,$matches)) {
              if (array_key_exists($matches[1],$dir_defaut))  {
                  //ici, on se contente de stocker l'expression fournie
                  //on l'valuera plus tard, aprs rcupration de chaque nouvelle ligne
                  $expr_user[$matches[1]]=$matches[2];
                  $messdir="Directive accepte : $chligne";
                  }
              else {
                  $messdir="<b>Directive [[<font color=\"maroon\">$chligne</font>]] : premier membre [$matches[1]] inconnu</b>";
                  $nb_erreurs++;
                  $voirlog=true;
                  }
              }
          else {
              $messdir="<b>Directive [[<font color=\"maroon\">$chligne</font>]] incorrecte</b>";
              $nb_erreurs++;
              $voirlog=true;
              }
          $html->colonne($messdir,'colspan="21" bgcolor="#E1D8D8"');
          $html->endrow();
          continue;
          }

      //complter ligne par les valeurs par dfaut
      $req='';
      $mess='';
      for ($i=0 ; $i<count($tdefaut) ; $i++) {
          //si i<5, ligne[i] n'est pas vide (en principe, sauf ventuellement le RNE)
          if (empty($ligne[$i]))
              if ($i>0 && $i<5) $mess='Le champ '.$keys[$i].' est vide !';
              else $ligne[$i]=$tdefaut[$keys[$i]];
          //affecter une variable (pour valuer les directives ultrieurement)
          if ($i>=0 && $i<5) $$keys[$i]=$ligne[$i]; //affecte $rne, $nom, $adresse, ville, $codepostal
          $ligne[$i]=addslashes($ligne[$i]);
          if ($i==0) $req.='SET ';
          else $req.=', ';
          $req.=$keys[$i]."='".$ligne[$i]."'";
      }
      if (!$mess) $mess=is_etab_incorrect($ligne[0],$ligne[1],$ligne[3],$ligne[4]);
      if (!$mess) $mess=is_lignetexte($chligneorig,$i+1);
      if ($mess) {  //renseignements insuffisants dans la ligne
          //virer les sparateurs finals
          do {
              $b=$chligneorig;
              $chligneorig=ereg_replace("()".$sep."$","\\1",$b);
          }
          while ($chligneorig!=$b);
          //les remplacer par d'autres sparateurs
          $chligneorig=ereg_replace($sep," <b>&#164;</b> ",$chligneorig); //caractre 
          //afficher la ligne sans les colonnes (colspan)
          $html->colonne($chligneorig.'<font color="red"> ~&gt; '.$mess.'.</font>',
                         'colspan="21" bgcolor="#E1D8D8"');
          $html->endrow();
          if (++$nb_erreurs>9)
              break;
          else continue;
      }

      //rajouter le premier champ et le dernier
      query("INSERT INTO etablissements $req");
      $etab_id=mysql_insert_id();
      //rectifier vite le RNE si absent (champ unique dans la table)
      $rne=$ligne[0];
      if (!$rne) {
          $rne=$etab_id;
          query("UPDATE etablissements SET rne='$rne' WHERE etab_id=$etab_id;");
      }
      $html->colonne($etab_id);
      for ($i=0 ; $i<count($ligne) ; $i++)  {
          $ch=$ligne[$i];
          if (!$ch) $ch='&nbsp';
          $html->colonne($ch);
      }
      //rpertoire de donnes de l'tablissement (= RNE)
      $repnormal=$DATA.'/'.$rne;
      $rephide=$HIDEDATA.'/'.$rne;
      $reps=array($repnormal);
      $col='';
      if ($repnormal!=$rephide) $reps[]=$rephide; //il y en a 2... s'ils sont diffrents
      for ($i=0; $i<count($reps); $i++) {
          $rep=$reps[$i];
          if (is_dir($rep)) $col.="<font color=\"magenta\">[existait]</font> \n";
          elseif (!mkdir($rep, 0777))
               $col.="<font color=\"maroon\">[non cr] </font> \n";
          else $col.="<font color=\"green\">[ok] </font> \n";
      }
      $html->colonne($col);
      $html->endrow();

      //recalculer les valeurs des variables fournies par les directives
      //----------------------------------------------------------------
      $dynamique=$dir_defaut; //on repart  "zro" pour les variables autorises
      //pour le nouvel tab, calculer les valeurs des variables dynamiques
      //modifies par les directives
      foreach($expr_user as $cle=>$expr) {
          ob_start();                       //bloquer les sorties
          $result=eval("return $expr;");    //valuer le membre droit de l'user
          $erreur=ob_get_contents();        //rcuprer le msg d'erreur ventuel
          ob_end_clean();                   //vider le buffer
          if ($erreur) {
              fputs($fplog,"Etablissement $rne : $cle = ".$expr."\n");
              fputs($fplog,"Message d'erreur rsultant : $erreur\n");
              fputs($fplog,"<br>\n");       //on joue sur 2 types d'affichages !
              $voirlog=true;
              }
          else $dynamique[$cle]=$result;    //stocker l'valuation dans la bonne variable
          }
      cree_users($etab_id,$dynamique);
}
fclose($fp);
fclose($fplog);
$html->endtable();
if ($nb_erreurs>9) {
    print "<p><font color=\"yellow\">";
    print "L'analyse du fichier a t arrte : trop d'erreurs !</font></p><br />";
    }
if ($voirlog) {
    print "<p><br /><b><font color=\"red\">";
    print "Vrifiez les erreurs. Ci-dessous le contenu du fichier log</font></b></p><br /><hr>";
    include($ficlog);
    }
}
//==========================================
//--------  programme principal  -----------
//==========================================

if (!isset($traiter_fichiers)) { //$traiter_fichiers est affect sssi un bouton a t cliqu (donc 2 passage)
    //1 passage : formulaire avec fichier  fournir.
    print "<p>Cette page, rserve au super-administrateur, permet d'importer
              des tablissements dont les caractristiques sont indiques
              dans un fichier texte avec la mme succession de champs que la
              page d'options de l'admin pour chaque ligne :</p>
           <p>Voir la documentation pour plus de dtails (lignes vides, lignes
              de remarques, valeurs par dfaut, champs non indiqus)</p>";
    print "<p>&nbsp</p>";
    print "<FORM method=\"post\" name=\"formparam\" action=\"$PHP_SELF\" enctype=\"multipart/form-data\">\n";
    print "<table width=\"100%\" border=\"0\">
           <tr>
              <td><div align=\"right\"> <br />
                       Slectionnez le fichier texte  importer :
                       </div></td>
              <td><div align=\"left\"><br />
                       <input type=\"file\" name=\"fichier\">
                       <input type=\"hidden\" name=\"MAX_FILE_SIZE\" VALUE=\"4000000\">
                       </div></td>
           </tr>\n";
    print "<tr>
              <td><div align=\"right\"> <br />
                       Modle de login <strong>lve</strong> pour TOUS les tablissements : </div></td>
              <td><div align=\"left\"><br />
                       <input type=\"text\" name=\"emodele\" value=\"$modele_defe\"
                        onblur=\"verifmodele('pmodele')\"></div></td>
           </tr>\n";
    print "<tr>
              <td><div align=\"right\"> <br />
                       Modle de login <strong>prof</strong> pour TOUS les tablissements : </div></td>
              <td><div align=\"left\"><br />
                       <input type=\"text\" name=\"pmodele\" value=\"$modele_defp\"
                        onblur=\"verifmodele('emodele')\"></div></td>
           </tr>\n";
    print "</table>\n";
    print "<p align=\"center\">\n";
    print "<input type='submit' class='coul' name='traiter_fichiers' value='Traiter les fichiers'
            onclick=\"return (verifmodele('emodele') && verifmodele('pmodele'))\">\n";
    print "</p>\n";
    print "</FORM><br />\n";
    print "N.B. : les modles pourront tre modifis localement par chaque admin d'tablissement";

}

// Deuxime passage : on effectue l'action
else {

    $erreur="";
    $copies="";
    $infosfichier=_files('fichier');
    //print_r($infosfichier);print "<br>";
    $nom=strtolower($infosfichier['name']);
    if (empty($nom)) erreur('Pas de fichier indiqu !');
    $type=$infosfichier['type'];
    $tmp_name=$infosfichier['tmp_name'];
    $size=$infosfichier['size'];
    $error=$infosfichier['error'];
    if ($tmp_name=='none' || $size==0) erreur("Le fichier n'existe pas ou a une taille nulle ou trop importante.");
    if ($error) erreur("Erreur $error pour $nom (tmp_name=$tmp_name)");
    if (!eregi("\.txt$",$nom)) erreur("Le fichier DOIT avoir l'extension .txt !");
    $dest="$HIDEDATA/".date("Y_m_d_").$nom;
    if (!move_uploaded_file($tmp_name,creertousrep($dest))) erreur("Erreur de copie vers $dest.");
    traiter_etabs($dest);
    print "</body></html>";
}
?>