<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol 
(CATICE Acadmie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");
opensession("Sadmin",false);
?>
<?php
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html>
<head>
       <title>Activit de l'tab</title>
<link rel="stylesheet" href="../include/general.css">
</head>
<body class="arial_sadmin" bgcolor="white" text="black" link="white" vlink="white" alink="blue">
<?php




function getprofsactifs($etab) {
global $sess_ascol;
  //On suppose la connexion ouverte
  $sql="SELECT DISTINCT profs.prof_id FROM profs, lien_profs_rubriques ".
               " WHERE etab_id=$etab 
                   and annee='$sess_ascol' 
                   and profs.prof_id=lien_profs_rubriques.prof_id ;";
  $res=query($sql);
  if ($res) $nbprofs=mysql_num_rows($res);
     else $nbprofs=0;
  return $nbprofs;
}

function getdemandes($etab) {
  //demandes en cours de l'tablissement
  $sql="SELECT DISTINCT etab_id FROM demandes, eleves WHERE etab_id=$etab ".
               " and demandes.eleve_id=eleves.eleve_id ;";
  $res=query($sql);
  if ($res) $nb=mysql_num_rows($res);
      else $nb=0;
  return $nb;
  }

function getreponses($etab) {
  //rponses en cours de l'tablissement
  $sql="SELECT DISTINCT etab_id FROM reponses, profs WHERE etab_id=$etab ".
               " and reponses.prof_id=profs.prof_id ;";
  $res=query($sql);
  if ($res) $nb=mysql_num_rows($res);
      else $nb=0;
  return $nb;
  }


//On fabrique le tableau
print "<p class='sous_titre'>Avancement des items valids par tablissement</p>";

switch(@$tri) {
   case "rne":
        $ordre="rne";
        break;
   case "nom":
        $ordre="nom";
        break;
   case "codepostal":
        $ordre="codepostal";
        break;
   case "ville":
        $ordre="ville";
        break;
   case "nbeleves":
        $ordre="nom";
        break;
   default :
        $ordre="rne";
}

if (@$order=="d") $ordre=$ordre." DESC";

$conn  = connecte($host,$user,$mdp,$db);
$sql="SELECT etab_id, rne, nom, codepostal, ville ".
             " FROM etablissements ".
             " ORDER BY $ordre ;" ;
$resetab=query ($sql);
$nbetabs=0;
//alert($sql);
//dbut du tableau
$PHP_SELF=_server('PHP_SELF');
print "<table border='1' align='center' cellspacing='0' >\n";
print "<tr class='rubrique'>\n";
print "\t<td><a href=\"$PHP_SELF?tri=rne\"><img src=\"./images/haut.gif\" border=\"0\" align=\"middle\"></a>&nbsp;Rne&nbsp;<a href=\"$PHP_SELF?tri=rne&order=d\"><img src=\"./images/bas.gif\" border=\"0\" align=\"middle\"></a></td>";
print "<td><a href=\"$PHP_SELF?tri=nom\"><img src=\"./images/haut.gif\" border=\"0\" align=\"middle\"></a>&nbsp;Nom&nbsp;<a href=\"$PHP_SELF?tri=nom&order=d\"><img src=\"./images/bas.gif\" border=\"0\" align=\"middle\"></a></td>";
print "<td><a href=\"$PHP_SELF?tri=ville\"><img src=\"./images/haut.gif\" border=\"0\" align=\"middle\"></a>&nbsp;Ville&nbsp;<a href=\"$PHP_SELF?tri=ville&order=d\"><img src=\"./images/bas.gif\" border=\"0\" align=\"middle\"></a></td>";
print "<td><a href=\"$PHP_SELF?tri=codepostal\"><img src=\"./images/haut.gif\" border=\"0\" align=\"middle\"></a>&nbsp;Code postal&nbsp;<a href=\"$PHP_SELF?tri=codepostal&order=d\"><img src=\"./images/bas.gif\" border=\"0\" align=\"middle\"></a></td>";
print "<td>&nbsp;Nombre d'lves&nbsp;</td>";
print "<td>&nbsp;Moy demandes par lve&nbsp;</td>";
print "<td>&nbsp;Nombre total de profs&nbsp;</td>";
print "<td>&nbsp; % Profs actifs&nbsp;</td>";
print "<td>&nbsp;Moy rponses par professeur&nbsp;</td></tr>\n";

while ($rowetab=mysql_fetch_array($resetab)) {
      $etab_id=$rowetab["etab_id"];
      $nbetabs++;
      $rne=$rowetab["rne"];
      $nom=$rowetab["nom"];
      $codepost=$rowetab["codepostal"];
      $ville=$rowetab["ville"];
      $nbprofs=getnbprofs($etab_id);
      $practifs=getprofsactifs($etab_id);
      //Pourcentage de profs actifs
      if ($nbprofs>0) $ppract=($practifs/$nbprofs)*100;
         else $ppract=0;
      $ppract=round($ppract,1);
      //$ppp=$practifs." >> ".$ppract." %";
      $ppp=$ppract." %";
      
      $demandes=getdemandes($etab_id);
      //Moyenne de demandes par lve
      $nbelev=getnbeleves($etab_id);
      if ($nbelev>0) $pdem=round(($demandes/$nbelev),2);
         else $pdem=0;
      //Moyenne de rponses par prof actif
      $reponses=getreponses($etab_id);
      if ($practifs>0) $prep=round(($reponses/$practifs),2);
         else $prep=0;

     //couleur de la ligne suivant sa parit
     $cl=($nbetabs%2==0) ? "sadmin_paire" : "sadmin_impaire";

     //Affichage d'une ligne
     print "\t<tr class=$cl>\n";
     print "\t<td align=\"center\">$rne</td>\n";
     print "\t<td >$nom</td>\n";
     print "\t<td >$ville</td>\n";
     print "\t<td >$codepost</td>\n";
     print "\t<td >$nbelev</td >\n";
     print "\t<td class='sadmin_rose'>$pdem</td>\n";
     print "\t<td >$nbprofs</td>\n";
     print "\t<td class='sadmin_rose'>$ppp</td>\n";
     print "\t<td class='sadmin_rose'>$prep</td>\n";
     print "\t</tr>\n";
}

 print "</table><br>\n";
 if ($nbetabs>1) print $nbetabs." tablissements";
    else print $nbetabs." tablissement";


?>
</body>
</html>
