<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
opensession("Admin",false);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
 <title>Traitement du formulaire</title>
 <?php include("../include/utiljs.php"); ?>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
</head>
<body class="arialadmin">
<?php

connecte($host, $user, $mdp, $db);


function enregistrer($eleve_id) {
//enregistre un lve :
//si l'lve existait dj ($eleve_id!=0), c'est une modification
     //enregistre nom, prnom (table ELEVES) et classes (table CLASSES)
//si c'est un nouveau ($eleve_id==0), c'est une cration
     //enregistre les mmes choses, en crant un eleve_id et un compte (table COMPTES)
global $etab_id,$sess_ascol,$MODULE,
       $IMPOSE_CHGT_MDP;

//rcupration des variables du formulaire en local
$t=_post();
foreach ($t as $c => $v) $$c=$v;    //on dispose de toutes les variables du formulaire
//on rcupre $nom, $prenom, $login, $civilite,
//            $classe_id, $oldlogin (champ cach)
if (!isset($nom)) { //cas d'un vieux PHP : les var du formulaire sont en var globales
    global $nom,$prenom,$civilite,$dnaiss,
           $login,$oldlogin,$mdpinit,$newclasse_id;
}
$nomquot=addslashes($nom);          //pour les requtes SQL
$prenomquot=addslashes($prenom);    //sinon, M'BOLO se fait jeter...

//criture dans les tables ELEVES, COMPTES
$dnaiss=normerdatenaiss($dnaiss);
if ($eleve_id) {     //modification d'un lve
                    //------------------------
    if ($login!=$oldlogin) { // le login a t chang : maj de la table COMPTES
        $login=LoginUnique($login); //cherche le login possible avec $login
        $loginquot=addslashes($login);
        query("UPDATE comptes SET login='$loginquot' WHERE eleve_id=$eleve_id;");
    }
    if ((isset($mdpinit)) && ($mdpinit=="on"))   { //demande d 'initialisation du mdp
        $passwd=md5($dnaiss);
        query("UPDATE comptes SET mdp='$passwd' WHERE eleve_id=$eleve_id;");
    }
    $sql="UPDATE eleves
          SET nom='$nomquot', prenom='$prenomquot',
              classe_id=$newclasse_id, civil='$civilite' , dnaiss='$dnaiss'
          WHERE eleve_id=$eleve_id;";
    query($sql);
    //suppression des langues (ajout plus bas)
    query("DELETE FROM lien_eleves_disciplines WHERE eleve_id=$eleve_id;");
    message('Modifications effectues.',$eleve_id,$newclasse_id,$nom,$prenom,$dnaiss,$login);
}
else {              //cration d'un nouvel lve
                    //--------------------------
    $login=LoginUnique(($login) ? $login : $prenom[0].$nom[0]);
    $loginquot=addslashes($login);
    //ajouter l'lve dans ELEVES
    $sql="INSERT INTO eleves ".
         "   SET nom='$nomquot', prenom='$prenomquot', civil='$civilite', ".
         "   etab_id=$etab_id,   annee=$sess_ascol, dnaiss='$dnaiss', classe_id=$newclasse_id ;";
    //echo "Voici la requte : <BR> $sql <BR>";
    query($sql);
    $eleve_id=mysql_insert_id();

    //rajouter un compte dans COMPTES
    $passwd=md5($dnaiss); //pas d'autre choix commode pour tous !
    if ($IMPOSE_CHGT_MDP) $actif=0; else $actif=1;

    $sql="INSERT INTO comptes
                 SET login      = '$loginquot',
                     mdp        = '$passwd',
                     statut     = 'Eleve',
                     actif      = $actif,
                     nbsessions = 0,
                     eleve_id   = $eleve_id,
                     etab_id    = $etab_id";
    query($sql);
    $compte_id=mysql_insert_id();
    //Mettre  jour la table lve avec compte_id
    $sql="UPDATE eleves ".
         "SET compte_id=$compte_id  WHERE eleve_id=$eleve_id;";
    query($sql);
    message("Cration effectue.",$eleve_id,$newclasse_id,$nom,$prenom,$dnaiss,$login);
}
if ($MODULE=="Melia") {
//ajout des langues dans tous les cas (MELIA)
for ($r=1; $r<=3; $r++) {
    if ($combolangue[$r]>=0)
        query("INSERT INTO lien_eleves_disciplines
               SET rang=$r,
                   disc_id={$combolangue[$r]},
                   eleve_id=$eleve_id");
  }
 }//Fin du module pour Melia


}


function supprimer($eleve_id) {
global $host, $user, $mdp, $db, $etab_id;     // pour connexion  la base
//rcuprer les donnes de l'lve pour les afficher
$resele=query("SELECT nom,prenom,dnaiss,classe_id
               FROM eleves WHERE eleve_id=$eleve_id;");
list($nom,$prenom,$dnaiss,$classe_id)=mysql_fetch_array($resele);
list($loginquot)=mysql_fetch_array(query("SELECT login FROM comptes WHERE eleve_id=$eleve_id"));
$login=stripslashes($loginquot);
// on supprime l'lve des tables dans lesquelles il n'est plus ncessaire
query("DELETE FROM eleves WHERE eleve_id=$eleve_id;");
query("DELETE FROM lien_eleves_disciplines WHERE eleve_id=$eleve_id;");
query("DELETE FROM comptes WHERE eleve_id=$eleve_id;");
$resdem=query("SELECT message_id FROM demandes WHERE eleve_id=$eleve_id;");
while (list($message_id)=mysql_fetch_array($resdem)) {
      query("DELETE FROM reponses WHERE message_id=$message_id;");
}
query("DELETE FROM demandes WHERE eleve_id=$eleve_id;");
query("UPDATE eleves SET etab_id=-etab_id WHERE eleve_id=$eleve_id;");
query("DELETE FROM resultats WHERE eleve_id=$eleve_id;");
message('Suppression effectue.',$eleve_id,$classe_id,$nom,$prenom,$dnaiss,$login);
}

function message($m,$eleve_id,$classe_id,$nom,$prenom,$dnaiss,$login) {
$resclasse=query("SELECT divcod FROM classes WHERE classe_id=$classe_id;");
list($divcod)=mysql_fetch_array($resclasse);

$t=array('id'=>$eleve_id,'Nom'=>$nom,'Prnom'=>$prenom,
         'Date de naissance'=>$dnaiss,'Classe'=>$divcod,'Login'=>$login);

print "$m<br><br>";
print "<table border=1>\n";
foreach($t as $c => $v) {
  print "<tr>\n<td>$c</td>\n";
  print "<td>$v</td>\n</tr>\n";
}
print "</table>\n";
}
//*******************
//Programme principal
//*******************
//On arrive ici depuis eleves_form, aprs avoir cliqu sur l'un des boutons de la page :
//enregistrer, supprimer, quitter
//include "../include/debug.php";
if (!isset($id)) {
    echo "Le paramtre en id n'existe pas dans l'URL";
    exit();
}
//echo "<BR>id=$id<BR>Nom=$nom  Prnom=$prenom<BR>";
if (isset($enregistrer)) {
    enregistrer($id);
    $cible="eleves_liste.php";
    if ($id==0) js("parent.liste.location.href='$cible'");
    //if ($id==0) js("refreshframe()");
    echo "<BR>\n";
}
else {
    if (isset($supprimer)) {
        supprimer($id);
        $cible="eleves_liste.php";
        js("parent.liste.location.href='$cible'");
    }
}
?>
</body></html>