<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
$statut=_request('statut');
opensession($statut,false);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
       <title>Fiche d'une classe</title>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
</head>

<?php


switch ($statut) {
       case "Prof":
           echo "<BODY class='arialprof'>";
           break;
       case "Admin":
           echo "<BODY class='arialadmin'>";
           break;
       case "Gest":
           echo "<BODY class='arialgest'>";
           break;
   }

if (!isset($divcod)) exit();
if ($objet!="liste")  {
    $pretitre="Attribution manuelle d'items pour les lves ";
}
else {
    $pretitre="Elves ";
    //En-tte pour impression
    Print "<p class='libelle_admin'>".$etab_nom."&nbsp;&nbsp;&nbsp;&nbsp;".
                 $etab_adresse."&nbsp;&nbsp;&nbsp;&nbsp;".$etab_codepostal.
                 "&nbsp;&nbsp;".$etab_ville;
    Print "<hr>";
}

print "<p class='sous_titre'>";
print $pretitre."de la classe de&nbsp;".$divcod."</p>";

$conn  = connecte($host,$user,$mdp,$db);
$sql="SELECT eleves.nom, eleves.prenom, eleves.dnaiss, eleves.eleve_id, comptes.login
        FROM classes, eleves, comptes
       WHERE classes.etab_id=$etab_id and classes.divcod='$divcod'
         and classes.classe_id=eleves.classe_id
         AND comptes.eleve_id=eleves.eleve_id
         and eleves.annee='$sess_ascol'
       ORDER BY nom, prenom;" ;
$resclasse=query($sql);
$nbelev=0;

//dbut du tableau
print "<table border='1' align='center'>\n";
print "<tr class='rubrique'>\n";
print "\t<td width=\"150\">Nom</td><td  width=\"150\">Prnom</td><td>Date de naissance</td><td>Login</td></tr>\n";


while ($rowclasse=mysql_fetch_array($resclasse)) {
      $nbelev++;
      $nom=stripslashes($rowclasse["nom"]);
      $prenom=stripslashes($rowclasse["prenom"]);
      $dnaiss=$rowclasse["dnaiss"];
      $login=stripslashes($rowclasse["login"]);
      $id=$rowclasse["eleve_id"];
//Affichage d'une ligne
     print "\t<tr >\n";
     if ($objet=="liste")
        print "\t<td>&nbsp;&nbsp;$nom</td>\n";
        else
        print "\t<td><a href=\"../outils/saisie_admin.php?eleve_id=$id&classe_id=$classe_id&divcod=$divcod&statut=$statut\" title=\"Saisie manuelle des items de $nom\">&nbsp;&nbsp;$nom</a></td>\n";

     print "\t<td>&nbsp;&nbsp;$prenom</td>\n";
     print "\t<td>&nbsp;&nbsp;$dnaiss</td>\n";
     print "\t<td>&nbsp;&nbsp;$login&nbsp;&nbsp;</td>\n";
     print "\t</tr>\n";
}

 print "</table><br>\n";
 print $nbelev;
 print ($nbelev>1) ? " lves" : " lve";


?>
</body>
</html>
