<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/util.inc.php");
include("../include/utiljs.php");

opensession("Eleve",true);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>
<title>Bandeau B2I - lve</title>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
<script language='javascript'>

function getURLframe(nameframe) {
 //recherche de l'URL qui est dans la frame choix
 var fURL=eval('window.parent.'+nameframe+'.location.href');
 fURL=fURL.substring(fURL.lastIndexOf('/')+1);
 fURL=fURL.substring(0,fURL.indexOf('.'));
 return fURL;
}

function envoi() {
 //suivant le cas, on gre l'envoi depuis eleve_choix ou depuis eleve_coche1
 var fURL=getURLframe('choix');
 var wing=window.parent.choix;
 switch (fURL) {
     case 'eleve_choix' : {
         if (window.parent.choix.compte_coches()) {
             window.parent.choix.soumettre();
         }
         break;
         }
     case 'eleve_coche1' : {
         window.parent.choix.target_top();
         window.parent.choix.soumettre();
         break;
         }
     case 'eleve_traiter' : {
         nombouton('Envoyer');
         window.parent.choix.recharger('eleve_choix.php');
         break;
         } //case
     } //switch
 } //function

function nombouton(libelle) {
window.document.form1.envoyer.value=libelle;
}


function logout() {
  window.top.location.replace('../login/login.php?etab_id=<?php echo $etab_id; ?>');
}

function changelangue(ancienne,nouvelle) {
if (ancienne!=nouvelle) document.chgtlang.submit();
}

</script>
</head>


<body class="arialeleve">
<?php

//on possde les variables de session suivantes :
//   - $sess_discipline : discipline/langue en cours
//   - $sess_langues[1..3] codes des langues pour l'affichage des libells des boutons radio
//   - $sess_lvchoix[1..3] langues vivantes choisies par l'lve
//     $sess_lvchoix[2]=1 signifie que sa LV2 est $sess_langues[1] (en principe anglais)

//dfinition des variables pour le tableau
//Dnomination EXCEL A1 A2 A3 B1 B2 B3 C1 C2 C3
$A1=date("d/m/Y")."&nbsp;<br><B>".$etab_nom."</b><br/>".$sess_classe;
$A2=$sess_prenom." ".$sess_nom;
$A3=" ";
if ($MODULE=='Melia') {
    for ($i=1; $i<=count($sess_lvchoix) ; $i++) {
        if (!isset($sess_lvchoix[$i]) || $sess_lvchoix[$i]==0) continue; //ou break,  moins qu'on puisse faire LV1 et LV3 sans LV2 !
        if ($disc_id==$sess_lvchoix[$i]) $checked="checked"; else $checked="";
        $libelle=$sess_tabcodelang[$sess_lvchoix[$i]];
        $A3.="<input type=\"radio\" name=\"boutonrad\"
                     value=\"$sess_lvchoix[$i]\"
                     onclick=\"changelangue($disc_id,$sess_lvchoix[$i]);\"
                     $checked> $libelle&nbsp;&nbsp;&nbsp;&nbsp;\n";   //
    }
}
$B1="../themes/".$etab_theme."/b2i_eleve.gif";
$C1=oldsession();
$C2="";
$C3="";

?>

<table border="0" width="98%">
   <tr class="titre_prof" VALIGN="center" >
        <td valign='middle'>
            <font size="2"><I><?php echo $A1; ?></I></font>

        </td>
        <td rowspan="3" height="100%" width="40%">
            <p style="text-align:center;">
            <a href="eleve_ut.php" target=_top title="Retour accueil lve">
               <img src="<?php echo $B1; ?>" border="0">
            </a>
            </p>
        </td>
        <td>
            <?php print $C1;  ?>
        </td>
    </tr>
    <tr class="titre_elev" >
        <td width="26%" valign="center">
           <?php print $A2; ?>
        </td>
        <td rowspan="2">
        <form
            <form name="form1" method="POST" >
            <p style="text-align:right;">
            <input class='coul' type='button' name='bout' value='Dconnexion' onclick='logout();'>
            <br />
            <input class='coul' type='button' name='envoyer' value='Envoyer' onclick='envoi();'>
            </p>
            </form>
        </td>

    </tr>
    <tr class="titre_prof" VALIGN="bottom">
        <td width="26%" valign="bottom" >
            <form name="chgtlang" action="chgtlang.php" method="post" target=_top>
                  <strong><?php echo $A3; ?></strong>
            </form>
        </td>
    </tr>
</table>
</body>
</html>
