<?php
#=
/*
Copyright 2002-2004, Daniel Deycard, Jacques Messines, Stphanie Roussel, Jean-Marie Treins
(CATICE Acadmie de Bordeaux)

This file is part of GiBii/Melia.
GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

/*
function getetab($etab_id)
function getrne($etab_id)
function getclasse($classe_id)
function getclasseid($divcod)
function getdisc($disc_id)
function getdiscid($discco)
function getlangue($langue_id)
function getlvchoix($eleve)
function getlvclasse($class_id)
function geteleve($id)
function geteleveid($login)
===============================
*/

if (!isset($getincphp)) {
$getincphp=1;

//recherche un tablissemement (et en mme temps stocke tous les rsultats)
function getetab($etab_id) {
static $etablissements=array();
if (empty($etablissements)) {
    $res=query("SELECT etab_id,rne,nom,adresse,codepostal,ville
                  FROM etablissements");
    while (list($id,$rne,$nom,$adresse,$codepostal,$ville)
           =mysql_fetch_array($res)) {
            $etablissements[$id]['rne']=$rne;
            $etablissements[$id]['nom']=$nom;
            $etablissements[$id]['adresse']=$adresse;
            $etablissements[$id]['codepostal']=$codepostal;
            $etablissements[$id]['ville']=$ville;
    }
}
if (isset($etablissements[$etab_id]))
    return $etablissements[$etab_id];
else return false;
}

function getrne($etab_id) {
$tabetab=getetab($etab_id);
return $tabetab['rne'];
}

//recherche d'une classe (et en mme temps de toutes les classes) de l'tablissement courant
function getclasse($classe_id) {
global $etab_id;
static $classes=array();
if (!isset($classes[$classe_id])) {
    $res=query("SELECT classe_id,divcod FROM classes WHERE etab_id=$etab_id");
    while (list($id,$divcod)=mysql_fetch_array($res))
          $classes[$id]=$divcod;
}
if (isset($classes[$classe_id])) return $classes[$classe_id];
else return false;
}

function getclasseid($divcod) {  //permet d'avoir tabid["4G3"]=6 par exemple
global $etab_id;
static $tabdivcod_classeid;
$res=query("SELECT classe_id,divcod FROM classes where etab_id=$etab_id;");
while (list($classe_id,$divcod)=mysql_fetch_array($res)) $tabdivcod_classeid["$divcod"]=$classe_id;
if (isset($tabdivcod_classeid["$divcod"])) return $tabdivcod_classeid["$divcod"];
else return false;
}


//cherche la discipline et rcupre toutes les disciplines
function getdisc($disc_id) {
static $disciplines=array();
if (empty($disciplines)) {
    $res=query("SELECT disc_id,libelle FROM disciplines");
    while (list($id,$discipline)=mysql_fetch_array($res)) $disciplines[$id]=$discipline;
}
if (isset($disciplines[$disc_id])) return  $disciplines[$disc_id];
else return false;
}

//cherche le disc_id en fonction du code GEP (DISCCO) (et stocke le tableau)
function getdiscid($discco) {
static $tabdiscco_discid=array();
if (empty($tabdiscco_discid)) {
    $res=query("SELECT disc_id,gep_id FROM disc_gep;");
    while (list($disc_id,$gep_id)=mysql_fetch_array($res)) $tabdiscco_discid["$gep_id"]=$disc_id;
}
if (isset($tabdiscco_discid[$discco])) return $tabdiscco_discid[$discco];
else return false;
}

//spcifique Melia
function getlangue($langue_id) {
return getdisc($langue_id);
}

//rcuprer les langues vivantes pratiques par l'lve
function getlvchoix($eleve) {
$lvchoix=array();
$res4=query("SELECT rang, disc_id FROM lien_eleves_disciplines WHERE eleve_id=$eleve");
while (list($r,$d)=mysql_fetch_array($res4)) {
        $lvchoix[$r]=$d;
}
return $lvchoix;
}

//rcuprer les langues vivantes pratiques dans une classe
function getlvclasse($class_id) {
$i=1;
$res5=query("SELECT  DISTINCT disciplines.disc_id
        FROM disciplines, lien_eleves_disciplines, eleves, classes
        WHERE disciplines.disc_id = lien_eleves_disciplines.disc_id
        AND lien_eleves_disciplines.eleve_id = eleves.eleve_id
        AND eleves.classe_id = $class_id;");
while (list($lv)= mysql_fetch_array($res5)) {
    $lvclasse[$i]=$lv;
    $i++;
   }
return $lvclasse;
}




//retourne nom prnom de l'lve $id (PAS DE STOCKAGE ICI (ce serait trop !))
function geteleve($id) {
 $sql="SELECT nom, prenom FROM eleves WHERE eleve_id=$id;";
 $res=query($sql);
 if (list($nm,$pre)=mysql_fetch_array($res)) return $pre." ".$nm;
 else return false;
}


//recherche d'lve connaissant son login
function geteleveid($login) {
global $etab_id;
$loginquot=addslashes($login);
$sql="SELECT * FROM comptes WHERE login='$login' and etab_id=$etab_id";
$res=query($sql);
if ($res) {
   $tab=mysql_fetch_array($res);
   if ($tab) $eleveid=$tab["eleve_id"];
   else $eleveid=0;
}
else $eleveid=0;
return $eleveid;
}

//retourne nom prnom du prof  $id
function getprof($id) {
 $sql="SELECT civil, nom, prenom, annee FROM profs WHERE prof_id=$id;";
 $res=query($sql);
 if (list($civ,$nm,$pre,$an)=mysql_fetch_array($res))
    return $civ." ".$pre." ".$nm." ($an)";
 else return false;
}



} //non, cette accolade n'est pas en trop !
?>