<?php
#=
/*
Copyright 2002, Daniel Deycard, Jacques Messines, Stphanie Roussel, Jean-Marie Treins
(CATICE Acadmie de Bordeaux)

This file is part of GiBii/Melia.
GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

if (!isset($util_inc)) {
$util_inc=1;

define("ALPHA","ABCDEFGHIJKLMNOPQRSTUVWXYZ");
define("NUM","0123456789");
define("ALPHANUM",ALPHA.NUM);

//Mettre une ou plusieurs variables en session.
//Syntaxe comme session_register mais...
//  - marche dans toutes les versions de PHP !
//  - suppose que les variables mises en session sont affectes AVANT L'APPEL
//  - si les variables de session sont modifies, sesion_puts doit tre appel  nouveau

function session_puts() { //nombre variable ed paramtres (noms de variables)
global $HTTP_SESSION_VARS;
if (isset($_SESSION)) $session=&$_SESSION; //php>4.1
elseif (isset($HTTP_SESSION_VARS))
    $session=&$HTTP_SESSION_VARS;
for ($i=0;$i<func_num_args();$i++) {
    $nomvar=func_get_arg($i);     //ex : $nomvar="a" et $a='AAA'
    global $$nomvar;              //global $a;
    $session[$nomvar]=$$nomvar;   //$_SESSION['a']='AAA'; PHP>=4.1 ou register_globals=0ff
    session_register($nomvar);    //pour PHP<4.1 et register_globals=On
}
}


function aneantir_session() {
global $HTTP_SESSION_VARS;
session_start(); //effet pervers : session start cre $_SESSION impossible  dtruire !
//print "Aprs session_start dans aneantir _SESSION = ";print_r($_SESSION);print ", defined(SID)=".defined('SID')."<br>";
if (isset($_SESSION))
    $session=&$_SESSION;
elseif (isset($HTTP_SESSION_VARS))
    $session=&$HTTP_SESSION_VARS;
else $session=array();

reset($session);
//dtruire les ventuelles variables globales (php<=4.2 et register_globals=On)
//utilisation de each car foreach travaille sur une copie du tableau qui n'est donc pas modifi
while (list($cle,)=each($session)) {  //$session['a']=8   $cle='a'
    global $$cle;                     //global $a
    unset($$cle);                     //unset($a)
}
//$_SESSION=array(); //ne sert  rien : on ne peut pas dtruire $_SESSION aprs le dmarrage de la session
//$_SESSION est cre par session_start mais pas dtruite par session_destroy !!!
unset($_SESSION);
unset($HTTP_SESSION_VARS);       //pour ce tableau, unset sert
session_unset();                 //quelques couches de plus
session_destroy();
}

function recuprequest() { //rcupre REQUEST (cad GET et POST)
global $HTTP_GET_VARS,$HTTP_POST_VARS;
if (isset($_REQUEST)) $request=&$_REQUEST;
elseif (isset($HTTP_POST_VARS)) {
    $request=&array_merge($HTTP_GET_VARS,$HTTP_POST_VARS);
}
else $request=array();
foreach($request as $cle=>$valeur) {
    global $$cle; $$cle=$valeur;
    //attention : le global transporte au niveau 0, pas  une fonction
    //appelante ventuelle (qui devra faire global (...) elle-aussi).
}
return $request;
}

function recupvars() {   //ordre GPS
    //rcuprer les variables globales (surtout $_POST et $_SESSION)
global $HTTP_SESSION_VARS;
recuprequest();
if (isset($_SESSION)) $session=&$_SESSION;
elseif (isset($HTTP_SESSION_VARS))  {
    $session=&$HTTP_SESSION_VARS;
}
else $session=array();  //les variables sont globales pour PHP<4.0.?
foreach($session as $cle=>$valeur) {
    global $$cle; $$cle=$valeur;
}
}

function opensession($statut,$boutonlogin=true) {
//rcupration des variables (GET, POST, SESSION)
//le flot html ne doit pas avoir dmarr
if ($statut=="Sadmin") define ('LOGIN',"./index.php");
else define('LOGIN',"../login/login.php");
@session_start();
global $etab_id;     //lorsqu'il est dfini
global $sess_statut; //sera globalis dans recupvars, mais ce global
                     //permet de la retrouver aussi dans opensession !

recupvars(); //globalise les variables de session (mais elles sont inacessibles
             // cette fonction, sauf $sess_statut grce au global ci-dessus).
if (isset($sess_statut)) {
    $mess="Statut $sess_statut - Statut attendu=$statut";;
    $result=(($sess_statut==$statut) || ($sess_statut=="Sadmin"));
}
else {
    $mess='Session expire ou invalide.';
    $result=false;
}

if ((!$result) && ($boutonlogin)) {
   //pas de session en cours et il faut se reloger en abandonnant le programme appelant
   print "<html><head><title>Hop hop... au recensement !</title></head><body>\n";
   print "<center>";
   print "$mess<br />\n";
   print "<form id=\"formz\" target=\"_top\" method='POST' action=\"".LOGIN."?etab_id=$etab_id\">\n";
   print "<input class='coul' type='submit' name='bout_ton' value='Ouvrir une nouvelle session' />";
   print "</form></center></body></html>\n";
}


if (!$result) exit();//dans tous les cas d'erreur on sort, avec ou sans bouton de login
}

function boutonlogin($url) {
global $etab_id;
print "<p style=\"text-align:right\"><form name='formo2' method=\"post\" target='_top' action='$url?etab_id=$etab_id'>\n";
print "<input class='coul' type='submit' name='bout' value='Dconnexion' />";
print "</form></p>";
}

function connecte($host,$user,$mdp,$db) {
$link  = @mysql_connect($host, $user, $mdp)
         or
         die ("Impossible d'accder  la base $db <br>".mysql_error());
if (!@mysql_select_db($db, $link))
    die("Impossible de slectionner la base $db");
return $link;
}


function connexion($db) {
global $host,$user,$mdp;
if (isset($host)) return connecte($host,$user,$mdp,$db);
else return connecte("localhost","root","",$db);
}

function query($sql) {
$res=@mysql_query ($sql) or
     die ("<p><b>Echec de la requte SQL : </b><br>$sql<br><b>".
          mysql_error().
          "</b></p>");
return $res;
}


//========== rcupration des variables prdfinies =========================

function vars($nom,$param) {
//si param='', retourne un tableau, sinon une valeur de ce tableau
//dans tous les cas, la variable est globalise
$t=&${'_'.$nom};                //$_SESSION par exemple
if (!isset($t)) {
    $var='HTTP_'.$nom.'_VARS';  //$HTTP_POST_VARS par exemple
    global $$var;
    $t=&$$var;

    if (!isset($t)) { //vieux PHP sans HTTP_xxx_VARS
            $t=array();
            if (!empty($param)) { //(on ne traite que $param non vide : impossible de faire mieux)
            global $$param;             //par ex : $param='nom' donc global $nom
            //si les deux tableaux ci-dessus n'existent pas, il faut quand mme que
            //la variable rceptrice soit affecte correctement au retour de la fonction
            //Par exemple $hisname=var('POST','nom') fera ainsi la mme chose que
            //            $hisname=$nom, dans ce cas de PHP trop vieux
            $t[$param]=$$param;
        }
    }
}

if (empty($param)) return $t;
if (isset($t[$param])) return $t[$param];
//sinon, pas de valeur retourne !
}

function _post($param="") {return vars('POST',$param);}
function _get($param="") {return vars('GET',$param);}
function _env($param="") {return vars('ENV',$param);}
function _session($param="") {return vars('SESSION',$param);}
function _server($param="") {return vars('SERVER',$param);}
function _cookie($param="") {return vars('COOKIE',$param);}

function _files($param) {  //param est le nom d'un champ file du formulaire
//retourne un tableau contenant les renseignements de l'upload
$t=&$_FILES[$param];
if (!isset($t)) {
    global $HTTP_POST_FILES;
    $t=&$HTTP_POST_FILES[$param];
    if (!isset($t)) { //vieux PHP sans HTTP_POST_FILES
        global ${$param."_name"},${$param."_type"},
               ${$param},${$param."_size"};
        $t=array();
        $t['name']=${$param."_name"};
        $t['type']=${$param."_type"};
        $t['tmp_name']=${$param};
        $t['size']=${$param."_size"};
        $t['error']=($t['size']==0)? 1 : 0; //difficile d'inventer mieux
    }
}
return $t;
}

function _request($param="") {
  $t=&$_REQUEST;
  if (!isset($t)) $t=&array_merge(_get(),_post());
  if ($param) return $t[$param];
  else return $t;
}
//========== fin rcupration des variables prdfinies =====================

function getparams($avecsession=true) {
global $host,$user,$mdp,$db;
//rcupration des paramtres globaux  mettre en variables de session,
//mme s'ils ne sont pas tous utiles tout le temps.
connecte($host,$user,$mdp,$db);
$resparam=query("SELECT param_nom,param_type,param_val FROM _params_globaux;");
while (list($PARAM_NOM, $param_type, $param_val)=mysql_fetch_array($resparam)) {
 //Exemple : $PARAM_NOM=="etab_nb_validations"
 //$$PARAM_NOM==$etab_nb_validations
 global $$PARAM_NOM;
 switch ($param_type) {
     case "s" : $$PARAM_NOM=$param_val;break;
     case "i" : $$PARAM_NOM=(int) $param_val;break;
     case "a" : break;  // faire
 }
 if ($avecsession) session_puts($PARAM_NOM);
}
}

function getparams_etab($id) {
global $host,$user,$mdp,$db;
//rcupration des paramtres de l'tablissement  mettre en variables de session,
//mme s'ils ne sont pas tous utiles tout le temps.
connecte($host,$user,$mdp,$db);
$resparam=query("SELECT * FROM etablissements WHERE etab_id=$id;");
//A ce niveau, on doit avoir un seul enregistrement  dcortiquer
$resetab=mysql_fetch_array($resparam);

//Combien de champs ?
$nbfields=mysql_num_fields($resparam);
for ($i=0; $i<$nbfields; $i++) {
    $name=mysql_field_name($resparam,$i);
    $param_type=mysql_field_type($resparam,$i);
    //Prfixer les variables avec 'etab_' pour viter les confusions
    if (substr($name, 0, 4)!="etab") $sessvar="etab_".$name;   //sauf $etab_id
       else $sessvar=$name;
    global $$sessvar;
    switch ($param_type) {
        case "string" : $$sessvar=$resetab["$name"];break;
        case "int" : $$sessvar=(int) $resetab["$name"];break;
        case "array" : break;  // faire
    }
    session_puts($sessvar);
}//fin de lecture de
}


function getscriptpath() {
//surtout utile pour les LOAD DATA
    $ch=_server("PATH_TRANSLATED");
    $ch=stripslashes($ch);
    $ok=ereg_replace("\\\\","/",$ch); //"ne pas toucher ce guillemet ! Il est l uniquement pour la rapparition de la coloration syntaxique dans PHPCoder :)))
    $ok=ereg_replace("//","/",$ch);

    $ok=substr($ok,0,strrpos($ok,'/')); //dernier slash
    $ok=substr($ok,0,strrpos($ok,'/')); //avant-dernier
    return $ok;
}


function CarCorrect($s,&$idx,$ensemble) {
//retourne le premier caractre correct de s en dbutant  l'indice idx
//Si ensemble est non vide,
//   correct veut dire : appartenir  "ensemble". Le caractre est alors
//   transform en minuscule (les caractres accentus de s sont sauts)
//sinon, tout caractre de s diffrent de l'espace est accept.

if ($ensemble)
    while ($idx<strlen($s) and strpos($ensemble,strtoupper($s[$idx]))===false) $idx++;
else
    while ($idx<strlen($s) && $s[$idx]==' ') $idx++;
if ($idx<strlen($s)) return strtolower($s[$idx++]);
else return "";
}

function LoginUnique($login,$champ="login") {      // par exemple, $login="jd"
//ATTENTION l'unicit est locale  chaque tab
global $etab_id;
// partir d'un login de base ($login) cre un login unique en rajoutant
//ventuellement un suffixe numrique.
//l'unicit est vrifie par rapport au champ $champ, en principe "login" sauf
//pour le script qui change tous les logins
    $loginnew=$login;
    $suffixe=0;
    //recherche du premier login possible commenant par jd
    do {
       $logintest=$loginnew;        //pour la requte
       $logintestquot=addslashes($logintest);
       $suffixe++;
       $loginnew=$login.$suffixe;   //pour le prochain passage
       //recherche lourde pour viter tout souci... mme parmi les disparus
       $sql="SELECT COUNT(*) FROM comptes WHERE $champ='$logintestquot' and etab_id=$etab_id;";
       $result=query($sql);
       $row=mysql_fetch_row($result);
       mysql_free_result($result);
       }
    while ($row[0]);
    return $logintest;
}

function Login($MasqueIndividu,$nom,$prenom,$d,$dnaiss="",$numero="00000") {
//interprter n=nom, p=prnom, d=division ou discipline, #=numro, b=naissance (born)
$result='';

//viter de perdre du temps s'il n'y a pas de #
if (strpos($MasqueIndividu,"#")!==false) {
    //complter le n GEP  5 chiffres
    $numero=str_repeat("0",5-strlen($numero)).$numero;
}
$inum=0;$inom=0;$ipre=0;$id=0;$idnaiss=0;
for ($i=0; $i<strlen($MasqueIndividu); $i++) {
     switch ($MasqueIndividu[$i]) {
       case "n" : $result .=CarCorrect($nom,$inom,"");break;
       case "p" : $result .=CarCorrect($prenom,$ipre,"");break;
       case "d" : $result .=CarCorrect($d,$id,ALPHANUM);break;
       case "b" : $result .=CarCorrect($dnaiss,$idnaiss,NUM);break;
       case "#" : $result .=CarCorrect($numero,$inum,NUM);break;
       default  : $result .=$MasqueIndividu[$i];break;
       }
     }
return $result;
}

function CombienEleves($nom,$prenom,$classe_id) {
$req="SELECT nom FROM eleves
      WHERE (nom='$nom') and (prenom='$prenom') and (classe_id=$classe_id)
            and (etab_id=$etab_id) and annee='$sess_ascol';";
$result=query($req);
$nb=mysql_num_rows($result);
return($nb);
}


function affentetes($colonnes,$style="") {
//affiche sans peaufiner la premire ligne d'un tableau (nb paramtres variable)
if (!empty($style) && strpos($style,"style")===false) $style="style=\"$style\"";
for ($i=0;$i<count($colonnes);$i++)
    print "<th $style>".$colonnes[$i]."</th>\n";
}
function affcolonnes($colonnes,$style="") {
//affiche sans peaufiner une ligne d'un tableau (nb paramtres variable)
if (!empty($style) && strpos($style,"style")===false) $style="style=\"$style\"";
for ($i=0;$i<count($colonnes);$i++)
    print "<td $style>".$colonnes[$i]."</td>\n";
}

function redirige($url){
die('<meta http-equiv="refresh" content="0;URL='.$url.'">');
}

function retour($url,$finpage="") {
    print "<p style=\"text-align : center;\">\n";
    print "<form action=\"$url\">\n";
    print "<input class=\"coul\" type=\"submit\" name=\"retour\" value=\"Retour\">\n";
    print "</form></p>$finpage\n";
}

function champ_dans_table($champ,$table,$base) {
//utiliser APRES une connexion  la base de donnes
$resfields=mysql_list_fields($base,$table);
$nbfields=mysql_num_fields($resfields);
$ret=false;
for ($i=0;$i<$nbfields;$i++) {
   if  (mysql_field_name($resfields,$i)==$champ)
       $ret=true;
}
return $ret;
}

function table_dans_base($table,$base) {
//utiliser APRES une connexion  la base de donnes
$ress=mysql_list_tables($base);
while (list($temp)=mysql_fetch_array($ress))
   if ($temp==$table) return true;
return false;
}

function dbexists($host,$user,$mdp,$db) {
$link  = @mysql_connect($host, $user, $mdp);
if (@mysql_select_db($db, $link)) return true;
else return false;
}

function itemacquis($eleve_id,$item_id,$disc_id=-1) {
if ($disc_id==-1) $et=''; else $et="and  disc_id=$disc_id";
$resacq=query("SELECT * FROM resultats
               WHERE eleve_id=$eleve_id
                 and item_id=$item_id
                 $et");
return (mysql_num_rows($resacq)!=0);
}

function reponse($message_id,$prof_id) {
$resrep=query("SELECT accord FROM reponses
               WHERE message_id=$message_id
                 and prof_id=$prof_id;");
list($rep)=mysql_fetch_array($resrep);
if (!isset($rep)) $rep=-1;
return $rep;
}


function bilan($e_id, $i_id, $l_id=0) {  //retourne true si l'item $i_id est acquis pour l'lve $e_id
  global $host, $user, $mdp, $db, $etab_nb_validations, $etab_nbj_vie_demande;
  $retour=false;
  if ($l_id==0)   $and=" "; else $and=" AND disc_id=$l_id ";
  //Recherche dernire demande valide (pas trop ancienne)
  $sql="SELECT * FROM demandes ".
                     "WHERE eleve_id=$e_id ".
                     "AND item_id=$i_id  ".$and.
                     "AND (TO_DAYS(CURDATE())-TO_DAYS(demandes.date))<".$etab_nbj_vie_demande.
                     " ORDER BY date DESC;";
  $res=query($sql);
  list($message_id)=mysql_fetch_array($res);
  if (isset($message_id)) { //une demande a eu lieu, il reste  compter les rponses
     $compt=0;
     $sql="SELECT accord FROM reponses ".
                     "WHERE message_id=$message_id;";
     $res=query($sql);
     while (list($accord)=mysql_fetch_array($res)) {
       //print $accord." ";
       if ($accord==1) $compt++;
         else $compt--;
       }
     //Test Nb_validations ?
     //print "Bilan = ".$compt." pour ".$etab_nb_validations." validations demandes";
     if ($compt>=$etab_nb_validations) $retour=true;
     }

  return $retour;
} //fin bilan

function nb_refus($el, $it, $nbjvie) {
  $nb=0;
 //retourne le nb de refus opposs  la demande de $el pour $it
 $sql_refus="SELECT count(*) as nb_non FROM demandes, reponses ".
    " WHERE demandes.message_id=reponses.message_id ".
    " AND TO_DAYS( CURDATE( ))-TO_DAYS( demandes.date )<$nbjvie ".
    " AND eleve_id=$el AND item_id=$it ".
    " AND accord=0;";
 $res=query($sql_refus);
 list($nb)=mysql_fetch_array($res);
  return $nb;
}


function apure_demandes($etab,$nbval,$nbjvie,$nbjvie_old,$nbrefus) {
 //remet  plat la table des demandes, par ex aprs un changement de stratgie
 //Tient compte de  $etab_nb_validations, de $etab_nbj_vie_demande
 //et de $etab_nb_max_refus
 global $sess_tablang;

 $mess_ret="";
 //Prparer les demandes de l'tablissement
 $sqldem="SELECT demandes.message_id, TO_DAYS( CURDATE( ))-TO_DAYS( demandes.date )  AS nbj, demandes.eleve_id, demandes.item_id, demandes.disc_id ".
    " FROM demandes,eleves ".
    " WHERE demandes.eleve_id=eleves.eleve_id ".
    " AND TO_DAYS( CURDATE( ))-TO_DAYS( demandes.date )<$nbjvie_old ".
    " AND eleves.etab_id=$etab ".
    " ORDER BY date desc;";
 $res=query($sqldem);
 while (list($mess_id, $nbj, $el_id, $it_id, $disc)=mysql_fetch_array($res)) {
    //Trop de refus et pas acquis on vire !      Trop vieux on vire  !
    $elev=geteleve($el_id,0);
    if  ((bilan($el_id, $it_id, $disc)) && (!itemacquis($el_id,$it_id,$disc))) {
        //Si l'item est acquis et pas dans resultats on l'crit
        query("INSERT INTO resultats SET item_id=$it_id, eleve_id=$el_id, disc_id=$disc, date=NOW();");
        $langue=$sess_tablang[$disc];
        $mess_ret.="<br>Item acquis $it_id pour $elev en $langue";
      } elseif  ((($nbrefus!=0) && (nb_refus($el_id, $it_id, $nbjvie)>=$nbrefus) && (!itemacquis($el_id,$it_id,$disc))) ||  ($nbj >$nbjvie)){
      //virer la demande et les rponses associes
      query("DELETE FROM demandes WHERE message_id=$mess_id;");
      query("DELETE FROM reponses WHERE message_id=$mess_id;");
      $mess_ret.="<br>Trop de refus : demande annule pour l'item $it_id pour $elev";
        }
 } //fin while
 return $mess_ret;
}

function get_nbrep($mid) {
 //retourne le nb de rponses OUI du message $mid
 $n=0;
 $res=query("SELECT count(*) as nbr FROM reponses WHERE accord=1 and message_id=$mid;");
 list($n)=mysql_fetch_array($res);
 return $n;
}

function abonde_reponses($etab, $nbval) {
 //ajoute des rponses oui jusqu' ce qu'il y en ait $nbval
  $mess_ret="";
 //Rechercher les demandes de l'tablissement qui correspondent  un rsultat
 $sqlrep="SELECT demandes.message_id, demandes.eleve_id, demandes.item_id ".
    " FROM demandes, eleves, resultats ".
    " WHERE demandes.eleve_id=eleves.eleve_id ".
    " AND eleves.eleve_id=resultats.eleve_id ".
    " AND resultats.item_id=demandes.item_id ".
    " AND eleves.etab_id=$etab;";
 $res=query($sqlrep);
 //Pour chacune d'elles on compte les rponses associes
 while (list($messid,$elid, $itid)=mysql_fetch_array($res)) {
  $nbrep=get_nbrep($messid);
  //Et on ajoute les bonnes rponses
  $cpt=$nbval-$nbrep;
  for ($i=0;$i<$cpt;$i++) {
   query("INSERT INTO reponses SET accord=1, date=NOW(),
        comment='Rponse technique $i', message_id=$messid, prof_id=0;");
      }
  $mess_ret.="<br>$i rponses ajoutes pour l'lve $elid, item $itid";
  }
 return $mess_ret;
}



function estadmin($pr_id) {
  global $host, $user, $mdp, $db;
  $retour=false;
  $sql="SELECT admin FROM profs ".
               "WHERE prof_id=$pr_id;";
  $res=query($sql);
  list($adm)=mysql_fetch_array($res);
  $retour=($adm==1);
  return $retour;
}


function normerdatenaiss($dnaiss) {
$e=ereg("^([0-9]{2})(.)([0-9]{2})(.)?([0-9]{2,4})?$",$dnaiss,$r);
//print_r($r);
if ($e) {        //masque ok
    $an=$r[5];
    return $r[1]."/".$r[3];
}
else return $dnaiss;
}


function bool($check_result) {
     //transforme les 'on' des checkbox par des 1
     if ($check_result=='on') $res=1;
     else $res=0;
     return $res;
}

function getlibperso($etab_id,$item_id)     {
     //retourne le libell perso s'il existe, le vide sinon
     $libperso="";
     //On suppose une connexion mysql faite
     $resperso=query("SELECT libelle FROM libelles_perso WHERE etab_id=$etab_id and item_id=$item_id;");
     if (mysql_num_rows($resperso)>0) {
         $rowperso=mysql_fetch_array($resperso);
         $libperso=$rowperso["libelle"];
     }
     return $libperso;
}

//$repaussi==true ~> efface aussi $rep
//retourne true si tout s'est bien pass,
//false si un fichier est rest (problme de permission ou attribut lecture sous Win
//dans tous les cas, le maximum possible est supprim.
function deltree($rep,$repaussi=true) {
static $niv=0;
$niv++;
if (!is_dir($rep)) return false;
$handle=opendir($rep);
if (!$handle) return false;
while ($entree=readdir($handle)) {
    if (is_dir($rep.'/'.$entree)) {
        if ($entree!='.' && $entree!='..') {
            $ok=deltree($rep.'/'.$entree);
        }
        else $ok=true;
    }
    else {
        $ok=@unlink($rep.'/'.$entree);
    }
}
closedir($handle);
$niv--;
if ($niv || $repaussi) $ok &= @rmdir($rep);
return $ok;
}

function creertousrep($fic) {
//cre tous les rpertoires intermdiaires s'il n'existent pas
//$fic est de la forme '../rep1/rep2/.../repn/bloub' et sont crs :
//../rep1, ../rep1/rep2, ../rep1/rep2/.../repn
//bloub peut ne pas exister ($fic se termine par /)
$p=strpos($fic,'/');
while ($p<strlen($fic) && $p=strpos($fic,'/',$p+1)) {
    //print substr($fic,0,$p);
    if (!is_dir($fic)) @mkdir(substr($fic,0,$p),0777);
}
return $fic;
}

function getfilepath($fichier,$chemin1,$chemin2) {
$r=$chemin1.$fichier;
//alert($r);
//Retourne le chemin du fichier s'il est dans chemin1, sinon dans chemin2
if (!file_exists($r)) $r=$chemin2.$fichier;
return $r;
}

//fonctions de calcul par tab et par classe si $classid existe

function getnbeleves($etab,$classid=0) {
  //On suppose la connexion ouverte
  //si on donne un id de classe, on obtient le nb des lves de la classe
  global $sess_ascol;
  if ($classid>0) $comp=" and classe_id=$classid ";
     else $comp="";
  $sql="SELECT eleve_id FROM eleves WHERE etab_id=$etab and annee='$sess_ascol'".$comp." ;";
  $res=query($sql);
  if ($res) $nb=mysql_num_rows($res);
      else $nb=0;
  return $nb;
}

function getnbclasses($etab_id) {
 //retourne le nb de classes de l'tablissement
 $sql="SELECT * FROM classes WHERE  etab_id=$etab_id;";
 $res=query($sql);
 if ($res) $nb=mysql_num_rows($res);
    else $nb=0;
 return $nb;
}


function getnbelevesactifs($etab,$classid=0) {
  //On suppose la connexion ouverte
  //si on donne un id de classe, on obtient le nb des lves de la classe
  global $sess_ascol,$sum;
  if ($classid>0) $comp=" and classe_id=$classid ";
     else $comp="";
  $sql="SELECT eleves.eleve_id, comptes.actif FROM eleves, comptes ".
       " WHERE eleves.etab_id=$etab ".
       " and eleves.eleve_id=comptes.eleve_id ".
       " and annee='$sess_ascol'".
       " and comptes.actif>-1 ".$comp." ;";
  $res=query($sql);
  if ($res) $nb=mysql_num_rows($res);
      else $nb=0;
  while (list($el,$act)=mysql_fetch_array($res)) $sum+=$act;
  return $nb;
}

function compteactif($qui,$id) {
 //retourne la valeur de 'actif' dans compte (-1 0 ou 1)
 $champ=$qui."id";
 $res=query("SELECT actif FROM comptes WHERE $champ=$id;");
 list($act)=mysql_fetch_array($res);
 return $act;
}

function comboclasses($etab_id,$change) {
    global $conn;
    //$change  1 permet de valider dans un formulaire
    //$dis=disabled pour dsactiver
   if ($change==1) {
       $chan="onchange=\"submit();\" ";
        }
   print "<select name=\"cclas\" size=\"1\"  $chan>\n";

   //Premire ligne vide
   $selected=($id_selected==0) ? "selected" : "";
   print "<option $selected value='0'>&nbsp;$default</option>";
   $resultclasses=query ("SELECT * FROM classes WHERE etab_id=$etab_id ORDER BY divcod;");
   while ($rowrel=mysql_fetch_array($resultclasses)) {
       $classe_id=$rowrel["classe_id"];
       $divcod=$rowrel["divcod"];
       //if ($selected) echo
       print "<option value='$classe_id'>";
       print $divcod;
       print "</option>\n";
       }
   mysql_free_result($resultclasses);
   print "</select>";
}


function comboetabs($change) {
    Print " choisissez un tablissement l-dedans ->  ";
    //$change  1 permet de valider dans un formulaire
    //$dis=disabled pour dsactiver
   if ($change==1) {
       $chan="onchange=\"submit();\" ";
       } else $chan="";
   $sql="SELECT * FROM etablissements ORDER BY etab_id;";
   $resultetabs=query($sql);

   print "<select name=\"cetab\" size=\"1\"  $chan>\n";
   //Premire ligne vide
   //$selected=($id_selected==0) ? "selected" : "";
   $selected="selected";
   print "<option $selected value='0'>&nbsp;</option>";
   //print "Nombre d'tabs= ".mysql_num_rows($resultetabs);
   while ($rowrel=mysql_fetch_array($resultetabs)) {
       $etab_id=$rowrel["etab_id"];
       $rne_id=$rowrel["rne"];
       $nom=$rowrel["nom"];
       $ville=$rowrel["ville"];
       //if ($selected) echo
       print "<option value='$etab_id'>";
       print $nom." ".$ville;
       print "</option>\n";
       }
   mysql_free_result($resultetabs);
   print "</select>";
}

function getnbprofs($etab) {
  //On suppose la connexion ouverte
  global $sess_ascol;
  $sql="SELECT prof_id FROM profs WHERE etab_id=$etab and annee='$sess_ascol';";
  $res=query($sql);
  if ($res) $nb=mysql_num_rows($res);
      else $nb=0;
  return $nb;
}

function ascol() {
  //retourne l'anne scolaire en cours
  //$moisref est le mois de rentre scolaire !
  global $MOIS_RENTREE;
  if (empty($MOIS_RENTREE)) getparams(false); //rcupre $MOIS_RENTREE (notamment)
  $today= getdate();
  $mois=$today['mon'];
  $an=$today['year'];
  if ($mois<$MOIS_RENTREE-1) $an--;
  return $an;
}


function getnivo($rub) {
  //On suppose la connexion faite
  $res=query("SELECT brevet_no FROM items WHERE rub_no=$rub ;");
  list($nivo)=mysql_fetch_array($res);
  return $nivo;
}

function prepare_download($fichier) {
//utilisable seulement dans un script dont les seules sorties (print)
//constituent le contenu du $fichier
header('Content-Type: application/octetstream');
header('Content-Disposition: filename="'.$fichier.'"');
header('Pragma: no-cache');
header('Expires: 0');
}

function gettheme($etab_id) {
  if (empty($etab_id)) $etheme="standard";
    else {
      $sql="SELECT theme FROM etablissements WHERE etab_id=$etab_id;";
      //print $sql;
      $res=query($sql);
      if ($res) list($etheme)=mysql_fetch_array($res);
        else $etheme="standard";
      }
  return $etheme;
}

//retourne une chane donnant les caractristiques de la session prcdente
function oldsession() {
global $sess_precdate,$sess_nbsessions,$sess_machinecliente,$sess_ip,$MODULE;
//affich dans chaque frame haute, ligne 1 colonne 3
$num_session_prec=$sess_nbsessions;

$ret="<p style=\"text-align:right;
                 font-family:sans-serif;
                 font-style:italic;
                 font-size:x-small;\">\n";
if ($num_session_prec==0) {
    $ret.="<strong>Premire session avec $MODULE.</strong>";
}
else {
    $ret.="<strong>Session prcdente</strong> : n$num_session_prec";
    $ret.="<br />le $sess_precdate<br />";
    if (!empty($sess_ip) && $sess_ip=="127.0.0.1") $ret.="depuis le serveur Melia.";
    else {
        if (!empty($sess_ip)) $ret.=$sess_ip;
        if (!empty($sess_machinecliente)) $ret.=" (".$sess_machinecliente.").";
    }
}
$ret.="</p>\n";
return $ret;
}

//stocke dans comptes les caractristiques de la session prcdente
function enregistre_session($compte_id) {
$ip4=$_SERVER['REMOTE_ADDR'];
$tip=explode(',',$ip4);
$ip4=$tip[0];
$mac=gethostbyaddr($ip4);
//$mac="ouioui";
$tmac=explode('.',$mac);
$mac=$tmac[0];
$timestamp=strtotime("now");
$ip=ip2long($ip4);
query("UPDATE comptes
          SET actif=1,
              nbsessions=nbsessions+1,
              precdate=$timestamp,
              ip='$ip',
              machinecliente='$mac'
        WHERE compte_id=$compte_id");
}


function getmicrotime() {
  list($msec, $sec)=explode(" ",microtime());
  return ((float)$msec  + (float)$sec);
}


} //if isset  1) (ne pas supprimer !!!) 2) DOIT ETRE EN DERNIER DANS LE SCRIPT !!!!!
?>