<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
opensession("Prof");
connecte($host,$user,$mdp,$db);

function print_alert($htmlav,$mess,$htmlap) {
global $etab_pop_profs;
if ($etab_pop_profs==1) {
    if ($mess) alert($mess);
}
else {
    print $htmlav.$mess.$htmlap;
}
}

?>
<?php
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>B2i - Traitement des demandes</title>
<meta name="generator" content="jako">
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>" />
<?php include("../include/utiljs.php"); ?>
<script type="text/javascript">

var liste_images = new Array('btn_val_ok','btn_val_no','i','pixel_vide','non');
// Un tableau qui permettra le stockage 'virtuel' des images pour les precharger
document.image_chargee = new Array();
// La fonction de prechargement

function prechargement(chemin) {
	for ( i = 0; i < liste_images.length; i++ ) {   //>
		document.image_chargee[i] = new Image;
		document.image_chargee[i].src = chemin + liste_images[i] + '.gif';
		}
    //alert('images charges');
}

function change_img(id,img,title) {
    //id=imgoui23 ou imgnon11 ou croix7 par exemple
    var objimg=window.opener.document.getElementById(id);
    objimg.src=img;         //souvent '../images/pixel_vide.gif';
    objimg.title=title;
}

function efface_img_lien(suffixe)   {
    //suffixe=oui3 ou non9 par exemple (efface un OUI ou un NON, image et lien)
    var doc=window.opener.document;
    doc.getElementById('img'+suffixe).src='../images/pixel_vide.gif';
    doc.getElementById('img'+suffixe).title='Pour rafrachir cette page, cliquez sur l\'image "B2i professeur"';
    doc.getElementById('lien'+suffixe).onclick='javascript:void(0)';
}

function fermer_fen() {
    if (window.opener) window.close();
    else window.location.href='prof_bas.php';
}
</script>

</head>

<?php
print "<body class=\"arialprof\"
             text=\"black\" link=\"blue\" vlink=\"purple\" alink=\"red\"
             onload=\"prechargement('../themes/$etab_theme/');\">";


if (!isset($valider)) {
   //premier passage : le formulaire
   //-------------------------------
   $nom=stripslashes(urldecode($nom));
   $prenom=stripslashes(urldecode($prenom));
   $classe=stripslashes(urldecode($classe));
   $comment=stripslashes(urldecode($comment));
   $libelle=stripslashes(urldecode($libelle));
   $rubrique=stripslashes(urldecode($rubrique));
   
   echo "<p class='libelle_prof'>Traitement du message n : ".$message_id."<p>";
?>
  <center><span class="demande">
  <table border="1" width='90%'>
    <tr>
        <td ><p align="right" >Classe&nbsp;: </p><td>
        <td ><p class="libelle">&nbsp;<?php echo $classe; ?></p><td>
        <td ><p align="right">Date&nbsp;de&nbsp;la&nbsp;demande&nbsp;: </p><td>
        <td ><p class="libelle">&nbsp;<?php echo $date; ?></p><td>
    </tr>
    <tr>
        <td ><p align="right">Nom&nbsp;: </p><td>
        <td ><p class="libelle">&nbsp;<?php echo $nom; ?></p><td>
        <td ><p align="right">Rubrique&nbsp;:</p><td>
        <td ><p class="libelle">&nbsp;<?php echo $rubrique; ?></p><td>
    </tr>
    <tr>
        <td ><p align="right">Pr&eacute;nom&nbsp;: </p><td>
        <td ><p class="libelle">&nbsp;<?php echo $prenom; ?></p><td>
        <td ><p align="right">Item&nbsp;: </p><td>
        <td ><p class="libelle">&nbsp;<?php echo $libelle; ?></p><td>
    </tr>
    <tr>
        <td ><p >Message&nbsp;:</p><td>
        <td colspan="3"><p class="libelle"> &nbsp;<?php echo $comment; ?></p><td>
    </tr>
</table></span></center>

<br>
<center>
<form name="form_valid" method="post"
      action="demande_traite.php?message_id=<?php echo $message_id; ?>">
<input type='hidden' name='id_rep_non' value='<?php print $id_rep_non; ?>' >
<input type='hidden' name='dejarep'    value='<?php print $dejarep; ?>' >
<input type='hidden' name='bilan'      value='<?php print $bilan; ?>' >
<input type='hidden' name='eleve_id'   value='<?php print $eleve_id; ?>' >
<input type='hidden' name='item_id'    value='<?php print $item_id; ?>' >
<input type='hidden' name='nbrefus'    value='<?php print $nbrefus; ?>' >
<input type='hidden' name='dem'        value='<?php print $dem; ?>' >

<table border="0" >
    <tr>
        <td ><p>Saisir une r&eacute;ponse :</p><td>
        <td ><div align='center'><textarea name="pcomment" rows="6" cols="50"></textarea> </div>
        </td>
    </tr>
</table>
    <p align="center">&nbsp;

    <?php
     $check='checked="checked"';
     if ($prechoix==1) {$oui=$check ; $non='';}
     else              {$oui=''     ; $non=$check;}
     if ($prechoix==1 || $etab_pop_profs==0)  {
         print "<input type=\"radio\" name=\"valider\" value=\"accord\" $oui>";
         print "Accord&nbsp;&nbsp;&nbsp;";
     }
     if ($prechoix==0 || $etab_pop_profs==0)  {
         print "<input type=\"radio\" name=\"valider\" value=\"refus\" $non>";
         print "Refus&nbsp;&nbsp;&nbsp;";
     }
     ?>

     <input type="submit" class="coul" name="Btn_envoi" value="Envoyer la rponse">
     <input type="button" class="coul" name="annuler" value="Annuler"
            onclick="fermer_fen();">
    </p>
</form>
</center>
<p>&nbsp;</p>

<?php
}   //fin de $valider non affect
else {
    //deuxime passage : stockage rponse
    //-----------------------------------
    $accord=($valider=="accord") ? 1 : 0 ;
    $aujourdhui = date("Y/m/d H:I");
    //$pcomment  : commentaire du prof
    $pcomment=addslashes($pcomment);
    //$message_id : id de la demande



    //$id_rep_non, pass depuis prof_bas par l'URL,
    //puis depuis la partie 1 de ce script par un champ cach, indique :
    //         - 0 si le prof n'a pas dj rpondu (sous-entendu NON)
    //         - reponse_id s'il a dj rpondu NON antrieurement

    print_alert("<p style=\"align:center;\">",'','');  //print ou alert, suivant $etab_pop_profs

    $req_insert="INSERT INTO reponses SET accord='$accord', date='$aujourdhui', 
                    comment='$pcomment',message_id='$message_id',prof_id='$sess_mec_id'";
    $java='';
    if ($accord) {
       $bilan++; //ajoute un oui
       $java.="efface_img_lien('oui$dem');";
       $java.="efface_img_lien('non$dem');";
       if (@$id_rep_non) {
           $bilan++; //efface l'ancien non
           query("DELETE FROM reponses WHERE reponse_id=$id_rep_non");
           $java.="change_img('croix$dem','../images/pixel_vide.gif','');";
       }
       query($req_insert);
       if ($bilan>=$etab_nb_validations) { //un item de plus pour l'lve
           $sql="INSERT INTO resultats
                    SET eleve_id=$eleve_id, item_id=$item_id, disc_id=$disc_id,
                        date=NOW();";
           query($sql);
           print_alert("<i>",'Item acquis.',"</i><br />");
       }
    }
    else {
       $java.="efface_img_lien('non$dem');";
       if (@$id_rep_non) {
           //on met  jour la date et le commentaire
           query("UPDATE reponses SET date='$aujourdhui',comment='$pcomment'
                   WHERE reponse_id=$id_rep_non;");
           print_alert("<p>","L'ancien refus a t mis  jour (date et commentaire).","</p>");
       }
       else {
           $nbrefus++;
           $java.="change_img('croix$dem','../themes/$etab_theme/non.gif','Dj rpondu non !');";
           query($req_insert);
           if ($etab_nb_max_refus>0 && $nbrefus>=$etab_nb_max_refus) {
               //demande limine (rgle du jeu)
               $java.="efface_img_lien('oui$dem');";   //la demande doit tre inaccessible
               query("DELETE FROM demandes WHERE message_id=$message_id;");
               query("DELETE FROM reponses WHERE message_id=$message_id;");
               print_alert("<i><strong>",
                      "La demande de l'lve est supprime car le nombre de refus (=$nbrefus)\nvaut au moins le nombre maximal accept (=$etab_nb_max_refus).",
                      "</strong></i><br />");
           }  //if ($etab_nb_max_refus)
       } //else $id_rep_non
    }  //else $accord

    //Dans le cas o cette page est en popup, mettre  jour la page parente
    if ($etab_pop_profs==1) {
        //Fermeture popup automatique
        js($java);
        close_window();
    }
    else { //Mode normal
        print "<p>Demande traite</p>";
        print "<form method='post' action='prof_bas.php'>\n";
        print "<input type='submit' class='coul' name='retour' value='Retour'>\n";
        print "</form>";
        print "</p>\n"; //provient du <p style=\"align:center;\"> du premier print_alert
    }

}//fin du stockage des rponses
?>
</body>
</html>
