<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
//  programme principal
//  ===================

include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");

opensession("Prof");
connecte($host,$user,$mdp,$db);


print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";

print "<html><head>\n";
print "<meta http-equiv='content-type' content='text/html; charset=Windows-1252'>\n";
print "<link rel=\"stylesheet\" href=\"../themes/".$etab_theme."/b2i.css\">\n";
print "<Title> B2i</Title></head>\n";
print "<body onBlur=\"javascript:window.close();\" onClick=\"javascript:window.close();\">\n";

//on connat eleve_id, item_id, message_id passs par un lien
//prof_id0 indique le prof demandant ce renseignement
//afin que son nom n'apparaisse pas dans les rsultats affichs
//on veut les profs
//  - qui ont $eleve_id en classe
//  - qui sont comptents pour $item_id
if ($MODULE=='Melia')   $cond=" and profs.disc_id=$disc_id ";
else $cond='';
$res=query("SELECT DISTINCT profs.prof_id, profs.nom, profs.prenom
              FROM profs, lien_profs_classes, classes, eleves,
                   lien_profs_rubriques, rubriques, items
             WHERE
               #les profs qui enseignent dans la classe de l'lve
                   profs.prof_id=lien_profs_classes.prof_id
               and lien_profs_classes.classe_id=classes.classe_id
               and classes.classe_id=eleves.classe_id
               and eleves.eleve_id=$eleve_id
               
               #les profs comptents pour la demande
               and profs.prof_id=lien_profs_rubriques.prof_id
               and lien_profs_rubriques.rub_no=rubriques.rub_no
               and rubriques.rub_no=items.rub_no
               and items.item_id=$item_id

               #Melia : mme langue
               $cond
               #
               
               #on veut afficher seulement les copains du prof demandeur
               and profs.prof_id<>$prof_id0
               ORDER BY profs.nom
               ");

if (mysql_num_rows($res)==0) {
    print "Pas d'autre enseignant concern par le cas de cet lve avec cet item";
}
else {
    $lv=$prenom." ".$nom;
    print "<p class='libelle'>Elve : $lv</p>";
    print "<p class='sous_titre'>Autres enseignants habilits  rpondre  cette demande</p><hr />\n";
    print "<table border='1' align='center' width='90%'>\n";
    print"<tr class='rubrique'><td width='200'> Nom</td><td width='80'> a rpondu </td><td>le</td>\n";
    //tous les profs trouvs vont tre affichs. On va indiquer en plus
    //s'ils ont rpondu (si oui, on indiqura oui ou non) ou s'ils n'ont pas rpondu.
    while (list($prof_id,$nom,$prenom)=mysql_fetch_array($res))  {
        //prof_id a-t-il rpondu ?
        $resrep=query("SELECT accord, date FROM reponses
                        WHERE message_id=$message_id
                          and prof_id=$prof_id");
        if (mysql_num_rows($resrep)) {
            //il a rpondu (normalement une seule fois)
            list($accord, $date)=mysql_fetch_array($resrep);
            if ($accord) $yesno="<span class='vert'><B>Oui</B></span>";
            else $yesno="<span class='warning'>Non</span>";
            $mess=" $yesno ";
        }
        else {
            //il n'a pas rpondu
            $mess="NR";
            $date="-";
        }

        print "<tr><td>&nbsp;&nbsp;$nom $prenom&nbsp;&nbsp;</td>\n";
        print "    <td align='center'>$mess</td><td align='center'>$date</td>\n";
        print "</tr>";
    }
    print "</table>\n";
}
// retour par click ou perte du focus
// retour("javascript:window.close();");
print "</body></html>\n";

?>
