<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stphanie Roussel, Jean-Marie Treins
(CATICE Acadmie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
    print "<html><head>";
    print "<link rel=\"stylesheet\" href=\"../include/general.css\">";
    print "<title>Cration_tab</title>";
    include("../include/utiljs.php");


    if ($action=="creer") {     //valeurs par dfaut des paramtres tablissement
       $title="Cration d'un tablissement";
       $cible="creetab.php?action=$action";
       $rne_etab="";
       $nom_etab="";
       $adresse_etab="";
       $codepost_etab="";
       $ville_etab="";
       $theme_etab="standard";
       $niveau_etab="";
       $nbval_etab=2;
       $nbjvie_etab=15;
       $maxdemande_etab=5;
       $maxrefus_etab=0;
       $alert_message_vide=0;
       $modelelogin_elev_etab="ppp.nnn";
       $modelelogin_prof_etab="pn";
       $mdp_prof_etab=1;
       $mdp_elev_etab=1;
       $fiche_prof_etab=1;
       $stats_prof_etab=1;
       //$modifs_items=0;
       $valid_profs_etab=1;
       $result_profs_etab=1;

    } else {  //Charger les donnes de l'etab_id
       $title="Modification d'un tablissement";
       $cible="modifetab.php?action=$action&etab_id=$etab_id";
       $conn  = connecte($host,$user,$mdp,$db);
       $sql="SELECT * ".
             " FROM etablissements ".
             " WHERE etab_id=$etab_id" ;
       $resetab=query ($sql);
       $rowetab=mysql_fetch_array($resetab);

       $rne_etab=$rowetab["rne"];
       $nom_etab=$rowetab["nom"];
       $adresse_etab=$rowetab["adresse"];
       $codepost_etab=$rowetab["codepostal"];
       $ville_etab=$rowetab["ville"];
       $theme_etab=$rowetab["theme"];
       $niveau_etab=$rowetab["niveau"];
       $nbval_etab=$rowetab["nb_validations"];
       $nbjvie_etab=$rowetab["nbj_vie_demande"];
       $maxdemande_etab=$rowetab["nb_max_demandes"];
       $maxrefus_etab=$rowetab["nb_max_refus"];
       $alert_message_vide=$rowetab["alert_message_vide"];
       $modelelogin_elev_etab=$rowetab["modele_login_e"];
       $modelelogin_prof_etab=$rowetab["modele_login_p"];
       $mdp_prof_etab=$rowetab["mdp_prof"];
       $mdp_elev_etab=$rowetab["mdp_eleve"];
       $fiche_prof_etab=$rowetab["fiche_profs"];
       $stats_prof_etab=$rowetab["stats_profs"];
       //$modifs_items_etab=$rowetab["modifs_items"];
       $valid_profs_etab=$rowetab["valid_profs"];
       $result_profs_etab=$rowetab["result_profs"];
    }
    ?>

    <script language="javascript">
    function etabestbon() { //vrifie le formulaire avant envoi
    var frm=document.formetab;
    var mdlrne = /^\d{7}[A-Za-z]$/;
    var msg="";
    if (!frm.rne_etab.value)
        msg+="   - le RNE est absent\n";
    else if (!mdlrne.test(frm.rne_etab.value))
        msg+="   - le RNE est incorrect\n";
    if (!frm.nom_etab.value)
        msg+="   - le nom de l'tablissement est absent\n";
    if (parseInt(frm.codepost_etab.value)!=frm.codepost_etab.value)
        msg+="   - le code postal n'est pas un nombre\n";
    if (frm.codepost_etab.value.length!=5)
        msg+="   - le code postal ne contient pas 5 chiffres\n";
    if (!frm.ville_etab.value)
        msg+="   - la ville est absente\n";
    if (frm.niveau_etab.value=="0")
        msg+="   - le niveau n'est pas dfini\n";
    if (msg) {
       alert("Formulaire incomplet :\n"+msg);
       return false;
    }
    return true;
    }

    function verifmodele(mindiv) {
        permis="npdb#.-_"; //caractres autoriss dans le modle
        m=eval("document.formetab."+mindiv+".value");
        //alert(m+' '+m.length);
        if (m.length==0) {
            alert("Le modle doit au moins comporter un des caractres n,p,d,b,#.");
            return false;
        }
        for (i=0; i<m.length; i++) {
            if (permis.indexOf(m.charAt(i))==-1) {
                alert("Le caractre '"+m.charAt(i)+"' n\'est pas autoris dans les modles.");
                return false;
            }
        }
        return true;
    }


    </script>
    </head>

    <body class="arial_sadmin">
    <h2 align="center"><?php echo $title; ?></h2>
    <form name="formetab" method="post" action=<?php echo $cible; ?>>
    <input type="hidden" name="style" value="<?php echo $style; ?>">
    <input type="hidden" name="traitetab" value=1>
    <input type="hidden" name="old_rne" value="<?php echo $rne_etab; ?>">

    <table border="1" cellspacing="0" bordercolordark="white" bordercolorlight="black" align="center" width="80%">
    <tr><td class="sadmin_light">
            <p align="center"><font color="white" size="3">
            <b>Param&egrave;tres de l'&eacute;tablissement </b></font></p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Code RNE de l'tablissement :
            <input type="text" name="rne_etab" maxlength="9" size="9"
                   value="<?php echo $rne_etab; ?>" alt="7 chiffres suivis d'une lettre">
            <br />
            <font size="1">7 chiffres suivis d'une lettre</font>
            </p>
        </td>
    </tr>

    <tr><td>
            <p align="right">Nom de l'&eacute;tablissement : &nbsp;
            <input type="text" name="nom_etab" maxlength="35" size="35"
                   value="<?php echo $nom_etab; ?>"></p>
            <!-- <input type="hidden" name="PARA"
                   value="taratata"></p>  -->

        </td>
    </tr>
    <tr><td>
            <p align="right">Adresse :
            <input type="text" name="adresse_etab" maxlength="35" size="35"
                   value="<?php echo $adresse_etab; ?>"></p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Code postal :
            <input type="text" name="codepost_etab" maxlength="5" size="5"
                   value="<?php echo $codepost_etab; ?>">
            &nbsp;Ville :
            <input type="text" name="ville_etab"
                   value="<?php echo $ville_etab; ?>" maxlength="25" size="25"></p>
        </td>

    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td align="center" class="sadmin_light">
            <p><font color="white" size="3"><b>Aspect gnral</b></font></p>
        </td>
    </tr>
    <tr><td >
            <p align="right">Choix du thme : <select name="theme_etab" size="1">
    <?php
        $def_theme=$theme_etab;
        $handle=opendir('../themes');
        while ($file = readdir($handle)) {
                           if ( (!ereg("[.]",$file)) ) {
                                  $themelist .= "$file ";
                           }
        }
        closedir($handle);
        $themelist = explode(" ", $themelist);
        sort($themelist);
        for ($i=0; $i < sizeof($themelist); $i++) {
                           if($themelist[$i]!="") {
                            echo "<option name=\"def_theme\" value=\"$themelist[$i]\" ";
                                   if($themelist[$i]==$def_theme) echo "selected";
                                   echo ">$themelist[$i]\n";
                            }
         }
          echo "</select>&nbsp;&nbsp;</p>";
    ?>
        </td>
    </tr>
    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td align="center" class="sadmin_light">
            <p><font color="white" size="3"><b>Les niveaux de <?php print $MODULE; ?></b></font></p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Prsentation aux lves des items de <?php print $MODULE; ?>&nbsp;: &nbsp;&nbsp;
            <select name="niveau_etab" size="1">
            <option value="0" <?php if ($niveau_etab=="") echo 'selected';  ?>>Choisissez le niveau
            <option value="niv1" <?php if ($niveau_etab=="niv1") echo 'selected';  ?>>Niveau 1
            <option value="niv2" <?php if ($niveau_etab=="niv2") echo 'selected';  ?>>Niveau 2
            <option value="niv3" <?php if ($niveau_etab=="niv3") echo 'selected';  ?>>Niveau 3
            <option value="niv12" <?php if ($niveau_etab=="niv12") echo 'selected';  ?>>Niveaux 1 &amp; 2
            <option value="niv23" <?php if ($niveau_etab=="niv23") echo 'selected';  ?>>Niveaux 2 &amp; 3
            <option value="niv123" <?php if ($niveau_etab=="niv123") echo 'selected';  ?>>Niveaux 1 &amp; 2 &amp; 3
            </select></p>
        </td>
    </tr>
    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td class="sadmin_light">
            <p align="center"><font color="white" size="3"><b>Validation pour <?php print $MODULE; ?></b></font></p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Nombre de validations ncessaires pour chaque item :
            <input type="text" name="nbval_etab" value="<?php echo $nbval_etab; ?>" maxlength="2" size="2">&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Dur&eacute;e de vie maximale d'une demande sans r&eacute;ponse : &nbsp;
            <input type="text" name="nbjvie_etab" value="<?php echo $nbjvie_etab; ?>" maxlength="2" size="2">
            jours&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Nombre maximal de demandes en cours sur la dure indique ci-dessus :
            <input type="text" name="maxdemande_etab" maxlength="2" size="2" value="<?php echo $maxdemande_etab; ?>">&nbsp;
            </p>
        </td>

    </tr>
    <tr><td>
            <p align="right">Nombre maximal de refus pour supprimer une demande d'lve :
            <input type="text" name="maxrefus_etab" maxlength="2" size="2" value="<?php echo $maxrefus_etab; ?>">&nbsp;
            <br />(0 indique que cette option ne sera pas utilise)
            </p>
        </td>

    </tr>
    <tr><td>
            <p align="right">Les lves sont prvenus s'ils envoient une demande sans message :
            <input type="checkbox" name="alert_message_vide" value="1" <?php if ($alert_message_vide==1) echo "checked";  ?>>&nbsp;
            </p>
        </td>

    </tr>

    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td class="sadmin_light">
            <p align="center">
            <font color="white" size="3">
            <b>Acc&egrave;s  <?php print $MODULE; ?></b>
            </font>
            </p>
        </td>
    </tr>
    <tr><td>
            <p align="right">&nbsp;Mod&egrave;le de login lve (exemple : ppp.nnn)
            <br>
            <font size="2" face="Arial">
            [p] prnom, [n] nom, [d] division, [b] date naiss, [#] chiffre GEP, [.-,_] sparateurs.
            </font>
            <input type="text" name="modelelogin_elev_etab" size="10"
                   value="<?php print $modelelogin_elev_etab; ?>"
                   onblur="verifmodele('modelelogin_elev_etab')">
            </p>
         </td>
    </tr>
    <tr><td>
            <p align="right">&nbsp;Mod&egrave;le de login prof (exemple : pn)
            <br>
            <font size="2" face="Arial">
            [p] prnom, [n] nom, [d] discipline, [b] date naiss, [#] chiffre GEP, [.-,_] sparateurs.
            </font>
            <input type="text" name="modelelogin_prof_etab" size="10"
                   value="<?php print $modelelogin_prof_etab; ?>"
                   onblur="verifmodele('modelelogin_prof_etab')">
            </p>
         </td>
    </tr>
    <tr><td>
            <p align="right">Les &eacute;l&egrave;ves peuvent changer leur
            mot de passe : <input type="checkbox" name="mdp_elev_etab" value="1" <?php if ($mdp_elev_etab==1) echo "checked";  ?>>&nbsp;</p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Les professeurs peuvent changer leur mot de passe :
            <input type="checkbox" name="mdp_prof_etab" value="1" <?php if ($mdp_prof_etab==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Les professeurs acc&egrave;dent &agrave; leur fiche
            de configuration :
            <input type="checkbox" name="fiche_prof_etab" value="1" <?php if ($fiche_prof_etab==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Les professeurs ont acc&egrave;s aux tableaux d'avancement par classe
            <input type="checkbox" name="stats_prof_etab"  value="1" <?php if ($stats_prof_etab==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>

    <tr><td><p>&nbsp;</p></tr>
    <tr><td class="sadmin_light">
            <p align="center">
            <font color="white" size="3">
            <b>Privil&egrave;ges des professeurs "administrateurs"</b>
            </font>
            </p>
        </td>
    </tr>
    <tr><td><p align="right">Les professeurs administrateurs ont accs  la validation des items sans demande des lves
            <input type="checkbox" name="valid_profs_etab" value="1" <?php if ($valid_profs_etab==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td><p align="right">Les professeurs administrateurs ont accs aux rsultats individuels des lves
            <input type="checkbox" name="result_profs_etab"  value="1" <?php if ($result_profs_etab==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>

    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr><td align="center">
    <input type="submit" class="coul"
           name="btn_sauver" value="Enregistrement des paramtres"
           onclick="return etabestbon()">
    <input type="reset" class="coul" name="btn_reset" value="Valeurs prcdentes">
    </td>
    </tr>
    <tr><td align="center">
    <input type="submit" class="coul" name="btn_retour" value="Retour sans enregistrement">
        </td>
    </tr>
    </table>
    </form>
<?php
//pour ne pas troubler l'interprteur php par cet include bizarre
?>