<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/util.inc.php");
aneantir_session();

//Paramtre permettant ou pas le changement de mot de passe de SADMIN
$sadmin_mdp_chg=true;

//TRAITEMENT VARS_ADM
//===================
if (!file_exists("../include/vars_adm.php")) {
    print "Le fichier vars_adm.php est absent du rpertoire include<br />";
    print "Il semble que GiBii n'ait pas t install.<br />";
    //copy("../include/vars_adm_safe.php","../include/vars_adm.php");
    exit();
}
//On peut intgrer maintenant
include("../include/vars_adm.php");
include("../include/scriptsql.php");
include("../include/utiljs.php");

//on rcupre VERSION et DATE sans ouvrir de session
//c'est utile aussi en cas de mise  jour, pour connatre les params ACTUELS
getparams(false);

//Lancement des mises  jour ventuelles
//Fichiers trouvs dans le dossier /sadmin/maj
//Uniquement les fichiers php (PHP ou PHP3)
$dir_source_maj="./maj";
$dir_cible_maj="./maj_faites";
clearstatcache();
if (!file_exists($dir_source_maj)) mkdir($dir_source_maj,0777);
if (!file_exists($dir_cible_maj)) mkdir($dir_cible_maj,0777);

if ($handle=opendir($dir_source_maj)) {
    while   ($fich=readdir($handle)) {
            $bout=explode(".",$fich);
            if ($bout) $ext=strtoupper($bout[count($bout)-1]);
            if ($fich !="." && $fich !=".." && ($ext=="PHP" || $ext=="PHP3"))
                    $tab_fich[]=$fich;
            } //fin recherche fichiers
}

//inclusion des fichiers dans l'ordre alphabtique au cas o a serait important..
//au passage on les envoie dans ./maj_faites
if (isset($tab_fich)) {
    sort($tab_fich);
    for ($nb_fichmaj=0;$nb_fichmaj<count($tab_fich);$nb_fichmaj++) {
      //inclusion fait un bte include (il est dans util.inc.php)
      include($dir_source_maj."/".$tab_fich[$nb_fichmaj]);
      //Dplacement
    if (copy($dir_source_maj."/".$tab_fich[$nb_fichmaj],$dir_cible_maj."/".$tab_fich[$nb_fichmaj]))
        unlink($dir_source_maj."/".$tab_fich[$nb_fichmaj]);
    }
}
?>
<?php
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html>
<head>
<title>Ouverture de session sadmin</title>
<link rel="stylesheet" href="../include/general.css">
<base target='_self'>
<script  langage='javascript'>
function saisie_ok(message)
{
   var formu=window.document.formlogin;
 var temp=eval("document.formlogin.s_login.value.length");
if (temp == 0)
   {
   alert(message);
   return false;
   }
   else
    return true;
}
</script>

<?php
print "</head>";
print "<body class='arial_sadmin' onload=\"document.formlogin.s_login.focus();\">";
?>


<table border="0" width="80%" align='center'>
<tr><td colspan='2'><div align="center"><font  size="1">
<i>GiBii version <?php print $VERSION_GIBII; ?>&nbsp;&nbsp;--&nbsp; Copyright 2002-2004, Daniel Deycard, Jacques Messines, Jean-Marie Treins, Alain Pomirol
       (CATICE Acadmie de Bordeaux)</i><br /></font>
</div></td></tr>
<tr><td colspan='2' height="80"><p class="nom_prenom" align="center">Super Administrateur</p></td></tr>
</table>

<FORM method='post' action="sadmin_traite.php" name="formlogin" onsubmit="return saisie_ok('Saisir login et mot de passe SVP');">


<table border='0' width='90%'>
    <tr>
        <td width='150'><p align=left><a href="http://www.ac-bordeaux.fr"><img src="../images/logorect.gif" border="0" alt="Rectorat de Bordeaux" align="top"></a></p>
        </td>

    <td> <p>&nbsp;</p><p align='center'><img src="./images/titre_b2i.gif" border="0"></p>
    </td>
    </tr>
</table>
<p>&nbsp;</p>
<p align="center"><font face="Verdana"><i>&nbsp;Saisissez le code SuperAdmin et son mot de
passe</i></font></p>
<table align="center" border="0" width="70%" height="0%">
    <tr>
        <td width="12%"><p>&nbsp;</p></td>
        <td width="28%" ><p align="right">Utilisateur :</p></td>
        <td width="30%" >
            <p align="center"><input type="text" name="s_login" maxlength="20" size="20"></p>
        </td>
        <td width="12%"><p>&nbsp;</p></td>
    </tr>
    <tr>
        <td width="12%"><p>&nbsp;</p></td>
        <td width="28%" ><p align="right">Mot de passe :</p></td>
        <td width="30%" >
            <p align="center"><input type="password" name="s_passwd" maxlength="20" size="20"></p>
        </td>
        <td width="12%"><p>&nbsp;</p></td>
    </tr>
    <tr>
        <td width="12%">
            <p align="left">
            &nbsp;
            </p>
        </td>

        <td width="28%">
<?php
 if ($sadmin_mdp_chg) {
?>
  <p align="right">
  <span style="font-size:xx-small;"><i>Changer de mot de passe</i></span>
  <input type="checkbox" name="changer" value=1>&nbsp;
  </p>

<?php
     } else print "&nbsp;";
?>


        </td>
        <td width="30%">
            <p align="center">&nbsp;<input type="submit" class="coul" name="btn_login" value="Envoyer"></p>
        </td>
        <td width="12%"><p>&nbsp;</p></td>
    </tr>
</table>
</form>
</body>
</html>
