<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");

$style="arial_sadmin";
opensession("Sadmin",false);
$PHP_SELF=_server('PHP_SELF');
//Tableau des scurits
$secure=Array(
        "AGREMENT_CNIL"=>"<b>La demande d'agrment  la CNIL a t satisfaite :</b>",
        "ENTREE_STRICTE"=>"Pas d'affichage du tableau des tablissements en page d'accueil :",
        "IMPOSE_CHGT_MDP"=>"Obligation de changer le mot de passe  la premire connexion :",
        "MDP_INIT_GEP"=>"Pas de mots de passe initiaux lis  la date de naissance (mais code complexe li  l'identifiant GEP) :",
        "PAS_ITEM_MANUEL_GEST"=>"Pas de saisie directe d'items en mode gestion :",
        "PAS_ITEM_MANUEL_ADMIN"=>"Pas de saisie directe d'items en mode admin :",
        "PAS_SAUVE_LOCAL"=>"Sauvegardes SQL non transmises au client (elles restent sur le serveur) :",
        "PAS_IMPORT_EXPORT"=>"Pas d'import/export de rsultats lves :");

getparams(); //on rcupre VERSION et DATE et MOIS_RENTREE et le reste
if (!isset($traitaca)) {  //premier passage : on affiche le formulaire
//tableau des mois
$mois=array("1"=>"Janvier","Fvrier","Mars","Avril","Mai","Juin","Juillet","Aot","Septembre","Octobre","Novembre","Dcembre");

?>
<?php
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html>
<head>
  <title>Options acadmiques</title>
  <link rel="stylesheet" href="../include/general.css" />
</head>
<body class="arial_sadmin">
    <h2 align="center">Options globales</h2>
    <form name="formaca" method="post" action="<?php echo "$PHP_SELF?statut=$statut"; ?>" >
    <input type="hidden" name="traitaca" value=1>
    <table border="1" cellspacing="0" bordercolordark="white" bordercolorlight="black" align="center" width="80%">
    <tr><td class="sadmin_light">
         <p align="center"><font color="white" size="3">
         <b>Gestion de l'anne scolaire </b></font></p>
        </td>
    </tr>
    <tr><td>
       <p align="right">Premier mois de l'anne scolaire&nbsp;&nbsp;
       <SELECT name="mois">
<?php
  //Boucle des mois
  for ($i=1;$i<13;$i++) {
    $sel=($MOIS_RENTREE==$i) ? "selected" : "";
    print "<option value=\"$i\" $sel>".$mois[$i]."</OPTION>\n";
    }
  ?>
    </SELECT><p><td><tr>
    <tr><td><p align="right">Adresse de messagerie du Super Admin de <?php print $MODULE; ?> :&nbsp;&nbsp;
        <input type="text" name="mail" size=35 <?php if (isset($MAIL_ADMIN)) print "value=\"$MAIL_ADMIN\""; ?> >
    <br><i> (pour les requtes de fonctionnement) </i>
    </p></td></tr>
    <tr><td><p align="right">Adresse de messagerie du Service Responsable de <?php print $MODULE; ?> :&nbsp;&nbsp;
        <input type="text" name="mail_resp" size=35 <?php if (isset($MAIL_RESP)) print "value=\"$MAIL_RESP\""; ?> >
    <br><i> (pour les requtes institutionnelles, les demandes CNIL etc..)</i>
    </p></td></tr>

    <tr><td><p align="right">Adresse postale du service <?php print $MODULE; ?> (par ex. Rectorat) :&nbsp;&nbsp;
        <input type="text" name="ptt" size=55 <?php if (isset($PTT_RESP)) print "value=\"$PTT_RESP\""; ?> >
    </p></td></tr>

    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td class="sadmin_light">
         <p align="center"><font color="white" size="3">
         <b>Gestion de la scurit (coch=scurit renforce)</b></font></p>
        </td>
    </tr>
<?php
foreach($secure as $key => $comment) {
  $check=((isset($$key)) && ($$key==1)) ? "checked" : "" ;
  print  "<tr><td><p align=\"right\">".$comment."&nbsp;&nbsp;\n";
  print "<input type=\"checkbox\" name=\"CB_".$key."\" ".$check.">\n";
  print "</p></td></tr>\n";
}

?>


    <tr><td><p align="right">Longueur minimale du mot de passe pour tout le site (0 = dsactiv) :&nbsp;&nbsp;
        <input type="text" name="mdpmini" size=1 maxlength=1 <?php if (isset($MDP_MINI)) print "value=\"$MDP_MINI\""; else print "value=0"; ?> >
    </p></td></tr>
    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td align="center">
            <input type="submit" class="coul" name="btn_sauver" value="Enregistrement des paramtres">
            <input type="reset" class="coul" name="btn_reset" value="Valeurs prcdentes">
        </td>
    </tr>
    <tr><td align="center">
            <input type="submit" class="coul" name="btn_retour" value="Retour sans enregistrement">
        </td>
    </tr>
     </table>
     </form>

<?php        }

else { //traitement formulaire
    //========================
  connexion("$db");
  if (isset($btn_sauver)) {
      $sqlsauve="UPDATE _params_globaux SET param_val=$mois ".
                 " WHERE param_nom='MOIS_RENTREE' ;";
      query($sqlsauve);
      if (isset($MAIL_ADMIN)) {
        $sqlsauve_mail="UPDATE _params_globaux SET param_val='$mail' ".
                       " WHERE param_nom='MAIL_ADMIN' ;";
        query($sqlsauve_mail);
      }
      else {
        $sqlsauve_mail="INSERT INTO _params_globaux ".
               " SET  param_nom='MAIL_ADMIN', ".
               "   param_type='s' , ".
               "   param_val='$mail' , ".
               "   param_desc='Adresse de messagerie de sadmin' , ".
               "   param_tag=-1 ;";
         query($sqlsauve_mail);
         }
      if (isset($MAIL_RESP)) {
        $sqlsauve_mail="UPDATE _params_globaux SET param_val='$mail_resp' ".
                       " WHERE param_nom='MAIL_RESP' ;";
        query($sqlsauve_mail);
      }
      else {
        $sqlsauve_mail="INSERT INTO _params_globaux ".
               " SET  param_nom='MAIL_RESP', ".
               "   param_type='s' , ".
               "   param_val='$mail_resp' , ".
               "   param_desc='Adresse de messagerie du Responsable $MODULE' , ".
               "   param_tag=-1 ;";
         query($sqlsauve_mail);
         }
      if (isset($PTT_RESP)) {
        $sqlsauve_resp="UPDATE _params_globaux SET param_val='$ptt' ".
                       " WHERE param_nom='PTT_RESP' ;";
        query($sqlsauve_resp);
      }
      else {
        $sqlsauve_resp="INSERT INTO _params_globaux ".
               " SET  param_nom='PTT_RESP', ".
               "   param_type='s' , ".
               "   param_val='$ptt' , ".
               "   param_desc='Adresse postale du Responsable $MODULE' , ".
               "   param_tag=-1 ;";
         query($sqlsauve_resp);
         }




      //Paramtres de scurit
      foreach($secure as $key => $comment) {
            $CBox="CB_".$key;
            if (isset($$CBox)) $$CBox=bool($$CBox); else $$CBox=0;
            if (isset($$key)) {
              $sqlsauve="UPDATE _params_globaux SET param_val='".$$CBox."' ".
                                " WHERE param_nom='$key' ;";
              query($sqlsauve);
            }
            else {
              $comment=addslashes($comment);
              $sqlsauve="INSERT INTO _params_globaux ".
                    " SET  param_nom='$key', ".
                    "   param_type='i' , ".
                    "   param_val=".$$CBox." , ".
                    "   param_desc='$comment' , ".
                    "   param_tag=-1 ;";
              query($sqlsauve);
            }
      } //Fin foreach

      //Securit :
      //Si on oblige au chgt de mdp au 1 login, il faut changer la val par dfaut de 'actif' de comptes
     if  ($CB_IMPOSE_CHGT_MDP==1)
         query("ALTER TABLE `comptes` CHANGE `actif` `actif` INT( 11 ) DEFAULT '0' NOT NULL");
     else
             query("ALTER TABLE `comptes` CHANGE `actif` `actif` INT( 11 ) DEFAULT '1' NOT NULL");

      //Longueur mini du mdp
      if (isset($MDP_MINI))
          $sqlsauve="UPDATE _params_globaux SET param_val='$mdpmini' ".
                    " WHERE param_nom='MDP_MINI' ;";
      else
          $sqlsauve="INSERT INTO _params_globaux
                    SET  param_nom='MDP_MINI',
                    param_type='i' ,
                    param_val=$mdpmini ,
                    param_desc='Longueur minimale du mot de passe' ,
                    param_tag=-1 ;";
      query($sqlsauve);
      //Prudent de relire les paramtres globaux ? On verra au besoin

      //on peut envoyer la pure HTML  partir de l
      print "<html><head>\n";
      print "<title>Modification des paramtres globaux</title>\n";
      print "<link rel=\"stylesheet\" href=\"../include/general.css\">\n";
      print "</head>";
      print "<body class=\"arial_sadmin\">\n";
      print "<h2 align=\"center\">Modification des paramtres globaux</h2>\n";
      print "<p>&nbsp;</p>\n";
      print "Les nouveaux param&egrave;tres ont &eacute;t&eacute; sauvegard&eacute;s
             avec succ&egrave;s<br>";
      print "<form name=\"form1\" method=\"post\" action=\"sadmin_bas.php\">";
      print "<p align=\"center\">";
      print "<input type=\"submit\" class=\"coul\" name=\"envoi\" value=\"Suite\">";
      print "</p></form></body></html>";
    }
else {
      $cible="sadmin_bas.php?statut=$statut";
      goto($cible);
}
} //fin traitement
 ?>
</body>
</html>
